samba (2:4.13.13+dfsg-1~deb11u5) bullseye-security; urgency=medium

  * 3 patches:
    - CVE-2022-32742-bug-15085-4.13.patch
    - kpasswd_bugs_v15_4-13.patch
    - ldb-memory-bug-15096-4.13-v3.patch
    fixing:
    o CVE-2022-2031: Samba AD users can bypass certain restrictions associated
      with changing passwords.
      https://www.samba.org/samba/security/CVE-2022-2031.html
    o CVE-2022-32742: Server memory information leak via SMB1.
      https://www.samba.org/samba/security/CVE-2022-32742.html
    o CVE-2022-32744: Samba AD users can forge password change requests
      for any user.
      https://www.samba.org/samba/security/CVE-2022-32744.html
    o CVE-2022-32745: Samba AD users can crash the server process with an LDAP
      add or modify request.
      https://www.samba.org/samba/security/CVE-2022-32745.html
    o CVE-2022-32746: Samba AD users can induce a use-after-free in the server
      process with an LDAP add or modify request.
      https://www.samba.org/samba/security/CVE-2022-32746.html
   * Closes: #1016449, CVE-2022-2031 CVE-2022-32742, CVE-2022-32744,
     CVE-2022-32745, CVE-2022-32746
   * Build-Depend on libldb-dev >= 2.2.3-2~deb11u2
     (which includes the new symbols in libldb used by this update)
   * d/rules: use dpkg-query instead of pkg-config to find debian package
     version of libldb-dev, since this is what we actually want, not the
     internal version libldb thinks it is at.

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 10 Aug 2022 00:19:38 +0300

samba (2:4.13.13+dfsg-1~deb11u4) bullseye-proposed-updates; urgency=medium

  * fix the order of everything during build by exporting PYTHONHASHSEED=1
    for waf.  This should fix the broken i386 build of the last security
    upload. Closes: #1006935, #1009855
  * Import the left-over patches from 4.13.17 upstream stable branch:
   - s3-winbindd-fix-allow-trusted-domains-no-regression.patch
     https://bugzilla.samba.org/show_bug.cgi?id=14899
     Closes: #999876, winbind fails to start with `allow trusted domains: no`
   - IPA-DC-add-missing-checks.patch
     https://bugzilla.samba.org/show_bug.cgi?id=14903
   - CVE-2020-25717-s3-auth-fix-MIT-Realm-regression.patch
     https://bugzilla.samba.org/show_bug.cgi?id=14922
     Closes: #1001053, MIT-kerberos auth broken after 4.13.13+dfsg-1~deb11u2
   - dsdb-Use-DSDB_SEARCH_SHOW_EXTENDED_DN-when-searching.patch
     https://bugzilla.samba.org/show_bug.cgi?id=14656
     https://bugzilla.samba.org/show_bug.cgi?id=14902
   - s3-smbd-Fix-mkdir-race-condition-allows-share-escape.patch
     https://bugzilla.samba.org/show_bug.cgi?id=13979
     Closes: #1004691, CVE-2021-43566: mkdir race condition allows share escape
  * 4 patches from upstream to fix possible serious data corruption issue
    with windows client cache poisoning, Closes: #1005642
    https://bugzilla.samba.org/show_bug.cgi?id=14928
  * two patches from upstream to fix coredump when connecting to shares
    with var substitutions, Closes: #998423
    https://bugzilla.samba.org/show_bug.cgi?id=14809
  * samba-common-bin.postinst: mkdir /run/samba before invoking samba binaries
    Closes: #953530
  * remove file creation+deletion from previously applied combined patches
    CVE-2021-23192-only-4.13-v2.patch & CVE-2021-3738-dsdb-crash-4.13-v03.patch
    to make patch deapply happy (quilt does not notice this situation)
  * d/salsa-ci.yml: target bullseye

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 28 May 2022 22:52:59 +0300

samba (2:4.13.13+dfsg-1~deb11u3) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add patches for CVE-2022-0336 (Closes: #1004694)
    - CVE-2022-0336: pytest: Add a test for an SPN conflict with a re-added
      SPN.
    - CVE-2022-0336: s4/dsdb/samldb: Don't return early when an SPN is
      re-added to an object.
  * Add patches for CVE-2021-44142 (Closes: #1004693)
    - CVE-2021-44142: libadouble: add defines for icon lengths.
    - CVE-2021-44142: smbd: add Netatalk xattr used by vfs_fruit to the list
      of private Samba xattrs.
    - CVE-2021-44142: libadouble: harden ad_unpack_xattrs()
    - CVE-2021-44142: libadouble: add basic cmocka tests.
    - CVE-2021-44142: libadouble: harden parsing code.
  * Add patches to address "The CVE-2020-25717 username map [script] advice
    has undesired side effects for the local nt token" (Closes: #1001068)
    - CVE-2020-25727: idmap_nss: verify that the name of the sid belongs to
      the configured domain
    - CVE-2020-25717: tests/krb5: Add method to automatically obtain server
      credentials
    - CVE-2020-25717: nsswitch/nsstest.c: Lower 'non existent uid' to make
      room for new accounts
    - CVE-2020-25717: selftest: turn ad_member_no_nss_wb into
      ad_member_idmap_nss
    - CVE-2020-25717: tests/krb5: Add a test for idmap_nss mapping users to
      SIDs
    - CVE-2020-25717: s3:auth: Fallback to a SID/UID based mapping if the
      named based lookup fails

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 03 Feb 2022 21:54:02 +0100

samba (2:4.13.13+dfsg-1~deb11u2) bullseye-security; urgency=high

  * This is a security release in order to address the following defects:
    - CVE-2016-2124: don't fallback to non spnego authentication if we require
      kerberos
    - MS CVE-2020-17049 in Samba: 'Bronze bit' S4U2Proxy Constrained Delegation
      bypass
    - CVE-2020-25717: A user on the domain can become root on domain members
    - CVE-2020-25718: An RODC can issue (forge) administrator tickets to other
      servers
      + Bump build-depends ldb >= 2.2.3
    - CVE-2020-25719: AD DC Username based races when no PAC is given
    - CVE-2020-25721: Kerberos acceptors need easy access to stable AD
      identifiers (eg objectSid)
    - CVE-2020-25722: AD DC UPN vs samAccountName not checked (top-level bug
      for AD DC validation issues)
    - CVE-2021-3738: crash in dsdb stack
    - CVE-2021-23192: dcerpc requests don't check all fragments against the
      first auth_state
      + Update d/samba-libs.install for libdcerpc-pkt-auth.so.0

 -- Mathieu Parent <sathieu@debian.org>  Thu, 04 Nov 2021 23:20:37 +0100

samba (2:4.13.13+dfsg-1~deb11u1) bullseye-security; urgency=high

  * Upload to bullseye-security

 -- Mathieu Parent <sathieu@debian.org>  Mon, 01 Nov 2021 15:52:40 +0100

samba (2:4.13.13+dfsg-1) unstable; urgency=high

  [ Athos Ribeiro ]
  * Add autopkgtest to verify tmpfiles setup (LP: #1905387)
    - d/t/reinstall-samba-common-bin: make sure /run/samba is created
      by the samba-common-bin installation process (postinst script)
    - d/t/control: run new reinstall-samba-common-bin test case

  [ Paride Legovini ]
  * samba.postinst: do not populate sambashare from the Ubuntu admin group
    (LP: #1942195)

  [ Mathieu Parent ]
  * New upstream version
    - Remove CVE-2021-20254.patch
    - Bump build-depends ldb  >= 2.2.2
  * libwbclient0: Add Breaks+Replaces: libsamba-util0 (<< 2:4.0.0)
    (Closes: #988170)

 -- Mathieu Parent <sathieu@debian.org>  Mon, 01 Nov 2021 08:59:20 +0100

samba (2:4.13.5+dfsg-2) unstable; urgency=high

  * CVE-2021-20254: Negative idmap cache entries can cause incorrect group
    entries in the Samba file server process token (Closes: #987811)
  * Add Breaks+Replaces: samba-dev (<< 2:4.11) (Closes: #987209)

 -- Mathieu Parent <sathieu@debian.org>  Thu, 06 May 2021 21:09:29 +0200

samba (2:4.13.5+dfsg-1) unstable; urgency=medium

  * New upstream version (Closes: #984863)

 -- Mathieu Parent <sathieu@debian.org>  Sat, 13 Mar 2021 08:31:27 +0100

samba (2:4.13.4+dfsg-1) unstable; urgency=medium

  * New upstream version
    - GPG signature has changed
    - Update samba-libs.install
    - Update symbols
  * Never use priority high when asking for DHCP integration (Closes: #981554)
  * Sync CTDB patches with Ubuntu:
    - Add "ctdb-config: enable syslog by default"
    - Update "fix nfs related service names"
  * d/rules: Ubuntu specifics
    - No Ceph on i386
    - Disable some i386 packages
    - No GlusterFS

 -- Mathieu Parent <sathieu@debian.org>  Tue, 09 Feb 2021 22:26:43 +0100

samba (2:4.13.3+dfsg-1) unstable; urgency=medium

  [ Andreas Hasenack ]
  * d/control: enable the liburing vfs module (Closes: #976854)
  * Add new DEP8 tests for the uring vfs module
  * Factor out common DEP8 test code into d/t/util and change the tests to
    source from it
  * Add set -x and set -e to DEP8 tests

  [ Mathieu Parent ]
  * liburing-dev is linux-any
  * New upstream version

 -- Mathieu Parent <sathieu@debian.org>  Wed, 16 Dec 2020 18:23:09 +0100

samba (2:4.13.2+dfsg-3) unstable; urgency=medium

  * Ensure systemd-tmpfiles is called before testparm (Closes: #975422)
  * Only check configuration on configure step

 -- Mathieu Parent <sathieu@debian.org>  Sun, 22 Nov 2020 10:44:51 +0100

samba (2:4.13.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Wed, 18 Nov 2020 20:34:51 +0100

samba (2:4.13.2+dfsg-1) experimental; urgency=medium

  * New upstream major version
    - Update d/gbp.conf, d/watch and d/README.source for 4.13
    - Update patches
    - Bump build-depends ldb >= 2.2.0
    - Install new files
    - Update symbols
  * Includes the following security fixes:
    - CVE-2020-14318: Missing handle permissions check in SMB1/2/3 ChangeNotify
      (Closes: #973400)
    - CVE-2020-14323: Unprivileged user can crash winbind (Closes: #973399)
    - CVE-2020-14383: An authenticated user can crash the DCE/RPC DNS with
      easily crafted records (Closes: #973398)
    - CVE-2020-1472: Unauthenticated domain takeover via netlogon ("ZeroLogon")
      (Closes: #971048)
  * Includes the following fixes:
    - Fixes "samba_dnsupdate gives depreacation warnings" (Closes: #973957)
    - s3: libsmbclient.h: add missing time.h include (Closes: #946840)
  * Remove unused python3-crypto dependency (Closes: #971292)
  * Enable Spotlight with ES backend (Closes: #956096, #956482)
  * Standards-Version: 4.5.0
  * Add missing Build-Depends-Package in libsmbclient.symbols and
    libwbclient0.symbols
  * d/copyright: Fix duplicate-globbing-patterns
  * Remove outdated/malformed lintian overrides
  * d/winbind.logrotate: Only reload winbindd when running (Closes: #946821)
  * Bump to debhelper compat 13
  * Add another library-not-linked-against-libc override

 -- Mathieu Parent <sathieu@debian.org>  Thu, 12 Nov 2020 11:23:01 +0100

samba (2:4.12.5+dfsg-3) unstable; urgency=high

  * Add Breaks: sssd-ad-common (<< 2.3.0), due to libndr so bump
    (Closes: #963971)
  * Add patch traffic_packets: fix SyntaxWarning: "is" with a literal
    (Closes: #964165)
  * Add patch Rename mdfind to mdsearch (Closes: #963985)

 -- Mathieu Parent <sathieu@debian.org>  Sat, 04 Jul 2020 23:57:59 +0200

samba (2:4.12.5+dfsg-2) unstable; urgency=high

  * Add missing symbol (path_expand_tilde)

 -- Mathieu Parent <sathieu@debian.org>  Thu, 02 Jul 2020 15:27:25 +0200

samba (2:4.12.5+dfsg-1) unstable; urgency=high

  * New upstream security release:
    - CVE-2020-10730: NULL pointer de-reference and use-after-free in Samba AD
      DC LDAP Server with ASQ, VLV and paged_results
    - CVE-2020-10745: Parsing and packing of NBT and DNS packets can consume
      excessive CPU
    - CVE-2020-10760: LDAP Use-after-free in Samba AD DC Global Catalog with
      paged_results and VLV.
    - CVE-2020-14303: Empty UDP packet DoS in Samba AD DC nbtd.
    - Bump build-depends ldb >= 2.1.4

 -- Mathieu Parent <sathieu@debian.org>  Thu, 02 Jul 2020 14:03:36 +0200

samba (2:4.12.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Sun, 28 Jun 2020 11:45:14 +0200

samba (2:4.12.3+dfsg-1) experimental; urgency=medium

  * New upstream major version (Closes: #963106)
    - Update d/gbp.conf, d/watch and d/README.source for 4.12
    - Drop merged patches
    - Bump build-depends talloc >= 2.3.1, tdb >= 1.4.3, tevent >= 0.10.2 and
      ldb >= 2.1.3
    - Upstream fixes:
      + pygpo: use correct method flags
        (Closes: #963242, #961585, #960171, #956428)
      + CVE-2020-10700: A use-after-free flaw was found in the way samba AD DC
        LDAP servers, handled 'Paged Results' control is combined with the 'ASQ'
        control. A malicious user in a samba AD could use this flaw to cause
        denial of service (Closes: #960189)
      + CVE-2020-10704: A flaw was found when using samba as an Active Directory
        Domain Controller. Due to the way samba handles certain requests as an
        Active Directory Domain Controller LDAP server, an unauthorized user can
        cause a stack overflow leading to a denial of service. The highest
        threat from this vulnerability is to system availability
        (Closes: #960188)
    - intel aes-ni no more needed as GnuTLS is used
    - Install new files
    - Update symbols
    - Update samba-libs.lintian-overrides
  * d/control: Remove unused libattr1-dev Build-Depends (Closes: #953915)

 -- Mathieu Parent <sathieu@debian.org>  Wed, 24 Jun 2020 23:12:11 +0200

samba (2:4.11.5+dfsg-1) unstable; urgency=medium

  * New upstream security release
    - CVE-2019-14902: Replication of ACLs set to inherit down a subtree on AD
      Directory not automatic.
    - CVE-2019-14907: Crash after failed character conversion at log level 3 or
      above.
    - CVE-2019-19344: Use after free during DNS zone scavenging in Samba AD DC.
    - Bump build-depends ldb >= 2.0.8

 -- Mathieu Parent <sathieu@debian.org>  Tue, 28 Jan 2020 07:19:46 +0100

samba (2:4.11.3+dfsg-1) unstable; urgency=high

  * New upstream security release
    - Drop merged patches for previous security fixes
    - CVE-2019-14861: An authenticated user can crash the DCE/RPC DNS management
      server by creating records with matching the zone name.
    - CVE-2019-14870: The DelegationNotAllowed Kerberos feature restriction was
      not being applied when processing protocol transition requests (S4U2Self),
      in the AD DC KDC.
  * d/control: drop python3-matplotlib
  * d/control: Fix stronger-dependency-implies-weaker
    (samba depends -> recommends python3-dnspython)

 -- Mathieu Parent <sathieu@debian.org>  Mon, 16 Dec 2019 09:47:45 +0100

samba (2:4.11.1+dfsg-3) unstable; urgency=medium

  * Add some python dependencies:
    - python3-matplotlib : samba-tool visualize
    - python3-markdown   : samba-tool domain schemaupgrade
    - python3-dnspython  : samba-tool dns
  * Only build with default python3 (Closes: #943635)

 -- Mathieu Parent <sathieu@debian.org>  Sun, 17 Nov 2019 14:48:02 +0100

samba (2:4.11.1+dfsg-2) unstable; urgency=high

  * New upstream security release
    - CVE-2019-10218: Malicious servers can cause Samba client code to return
      filenames containing path separators to calling code.
    - CVE-2019-14833: When the password contains multi-byte (non-ASCII)
      characters, the check password script does not receive the full password
      string.

 -- Mathieu Parent <sathieu@debian.org>  Fri, 18 Oct 2019 20:26:45 +0200

samba (2:4.11.1+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Mathieu Parent <sathieu@debian.org>  Fri, 18 Oct 2019 19:00:46 +0200

samba (2:4.11.0+dfsg-11) unstable; urgency=medium

  * Stop building with spotlight support which pulls glib (Closes: #941654)
  * Force quota support (Closes: #941899)
  * Standards-Version: 4.4.1, no change

 -- Mathieu Parent <sathieu@debian.org>  Mon, 14 Oct 2019 12:16:04 +0200

samba (2:4.11.0+dfsg-10) unstable; urgency=medium

  * Add libwbclient-dev to samba-dev depends as samba-util was moved there
    (Closes: #941750)

 -- Mathieu Parent <sathieu@debian.org>  Sat, 05 Oct 2019 15:57:07 +0200

samba (2:4.11.0+dfsg-9) unstable; urgency=medium

  * Remove versioned depends on libtdb-dev (>= 2) and add libldb-dev (>= 2:2)

 -- Mathieu Parent <sathieu@debian.org>  Thu, 03 Oct 2019 19:08:17 +0200

samba (2:4.11.0+dfsg-8) unstable; urgency=medium

  * d/gbp.conf: sign-tags = True
  * Do not check smb.conf with testparm when server role=active directory domain
    controller (Closes: #931734)
  * Force one job during configure step with -j 1 (Closes: #941467).
    Not setting -j leads to default which is number of cpus

 -- Mathieu Parent <sathieu@debian.org>  Thu, 03 Oct 2019 07:52:39 +0200

samba (2:4.11.0+dfsg-7) unstable; urgency=medium

  * Always evaluate WAF_NO_PARALLEL to ensure correct value (Closes: #941467)
  * This version is built with talloc from sid (Closes: #940963)

 -- Mathieu Parent <sathieu@debian.org>  Wed, 02 Oct 2019 20:45:24 +0200

samba (2:4.11.0+dfsg-6) unstable; urgency=medium

  * Do not run waf configure in parallel. Fix FTBFS on arm (Closes: #941467)

 -- Mathieu Parent <sathieu@debian.org>  Tue, 01 Oct 2019 22:35:36 +0200

samba (2:4.11.0+dfsg-5) experimental; urgency=medium

  * d/gitlabracadabra.yml: only_allow_merge_if_pipeline_succeeds: false
  * Remove patches:
    - "build: Remove tests for _readdir() and __readdir()"
    - "build: Remove tests for rdchk()"
    - "build: Remove tests for _pwrite() and __pwrite()"
  * Add patches by Ralph Boehme:
    - "wscript: remove all checks for _FUNC and __FUNC"
    - "wscript: split function check to one per line and sort alphabetically"

 -- Mathieu Parent <sathieu@debian.org>  Mon, 30 Sep 2019 13:37:50 +0200

samba (2:4.11.0+dfsg-4) experimental; urgency=medium

  * Use the same arches for librados-dev than libcephfs-dev (Fix missing
    build-depends on alpha and sh4)
  * Split vfsmods:Recommends substvar into
    {vfsceph,vfsglusterfs,vfssnapper}:Recommends to make the code more readable
    and fix FTBFS on linux platforms without ceph (hppa and sparc64, and also
    alpha and sh4)
  * Add patch for "build: Remove tests for _readdir() and _readdir()", to
    hopefully fix FTBFS on armel

 -- Mathieu Parent <sathieu@debian.org>  Sun, 29 Sep 2019 09:29:03 +0200

samba (2:4.11.0+dfsg-3) experimental; urgency=medium

  * Try to fix FTBFS on armel (armhf is fixed):
    - Add patch for build: Remove tests for rdchk()

 -- Mathieu Parent <sathieu@debian.org>  Sat, 28 Sep 2019 22:17:04 +0200

samba (2:4.11.0+dfsg-2) experimental; urgency=medium

  * d/gitlabracadabra.yml: Add samba-team/libsmb2
  * Try to fix FTBFS on armel and armhf:
    - Add patch for build: Remove tests for _pwrite() and __pwrite()

 -- Mathieu Parent <sathieu@debian.org>  Sat, 28 Sep 2019 11:47:56 +0200

samba (2:4.11.0+dfsg-1) experimental; urgency=medium

  [ Mathieu Parent ]
  * Upload to experimental
  * New upstream major release
    - Update d/gbp.conf, d/watch and d/README.source for 4.11
    - Import upstream release
    - Update fix-nfs-service-name-to-nfs-kernel-server.patch
    - Bump build-depends talloc >= 2.2.0, tdb >= 1.4.2, tevent >= 0.10.0 and
      ldb >= 2:2.0.7
    - libsamba-passdb.so bumped to 0.28.0
    - libnon-posix-acls is now a subsystem
    - Drop libparse-pidl-perl package (Closes: #939419)
    - Add new files to d/*.install
    - Move libsamba-util.so.* to libwbclient0, to avoid circular dependencies
    - Move libsamba-util deps to libwbclient0
  * Add build-Remove-tests-for-getdents-and-getdirentries.patch, to fix FTBFS on
    armel and armhf
  * salsa-ci: Build on experimental

  [ John Paul Adrian Glaubitz ]
  * Disable cephfs support on architectures where it's not stable
    (Closes: #940697)

  [ Louis van Belle ]
  * d/control, d/samba.install: added libtasn1-bin, libtasn1-6-dev to build
    dumpmscat
  * d/control, d/rules: Enable spotlight (TimeMachine)
  * d/control: Bump libtdb-dev (>= 2) in samba-dev deps
  * Update libwbclient0.symbols
  * d/rules: adjust LDB_DEPENDS

 -- Mathieu Parent <sathieu@debian.org>  Thu, 26 Sep 2019 09:37:51 +0200

samba (2:4.10.8+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release:
    - CVE-2019-10197: Combination of parameters and permissions can allow user
      to escape from the share path definition

 -- Mathieu Parent <sathieu@debian.org>  Tue, 10 Sep 2019 18:46:54 +0200

samba (2:4.10.7+dfsg-1) experimental; urgency=medium

  [ Mathieu Parent ]
  * New upstream release
    - Update patches
    - Drop nsswitch-Add-try_authtok-option-to-pam_winbind.patch, merged
    - libsamba-passdb.so bumped to 0.27.2
    - Update symbols
    - Update installed files
  * samba-libs: Fix Breaks+Replaces: libndr-standard0 (<< 2:4.0.9)
    (Closes: #910242)
  * Add missing Breaks+Replace found by piuparts (Closes: #929217)
  * Enable vfs_nfs4acl_xattr (Closes: #930540)
  * ctdb:
    - enable ceph and etcd recovery lock
    - Downgrade ctdb_mutex_ceph_rados_helper shlibdeps to recommends
  * Add gitlabracadabra.yml
  * Update salsa-ci.yml

  [ Rafael David Tinoco ]
  * debian/rules: Make DEB_HOST_ARCH_CPU initialized through dpkg-architecture
    (Closes: #931138)
  * CTDB NFS fixes from Ubuntu (Closes: #929931, LP: #722201):
    - d/p/fix-nfs-service-name-to-nfs-kernel-server.patch: change nfs service
      name from nfs to nfs-kernel-server
    - ctdb-config: depend on /etc/ctdb/nodes file
    - d/ctdb.install, d/rules: create ctdb run directory into tmpfiles.d to
      allow pid file to exist
    - added /var/lib/ctdb/* directories
    - d/ctdb.postrm: remove leftovers from /var/lib/ctdb/*
    - Add examples of NFS HA CTDB config files + helper script

  [ Mathieu Parent ]
  * Update d/gbp.conf, d/watch and d/README.source for 4.10
  * Drop ctdb-config-depend-on-etc-default-nodes-file.patch, merged upstream
  * Bump build-depends talloc >= 2.1.16, tdb >= 1.3.18, tevent >= 0.9.39 and
    ldb >= 2:1.5.5
  * Bump libcmocka-dev builddep to 1.1.3
  * d/rules: Remove 1.5.1+really prefix from LDB_DEPENDS
  * d/copyright:
    - s/GPL-3+/GPL-3.0+/ and s/LGPL-3+/LGPL-3.0+/
    - Move License details to end of file
    - Add waf licences
    - Add lib/replace licences
    - Update lib/{ldb,talloc,tdb} licences
  * Move to Python3 (from Ubuntu)
  * Bump debhelper from old 11 to 12.
  * Standards-Version: 4.4.0
  * Replace all reference of /var/run to /run (Closes: #934540)
  * Replace python shbang by python3 in d/*.py

 -- Mathieu Parent <sathieu@debian.org>  Thu, 29 Aug 2019 14:32:52 +0200

samba (2:4.9.5+dfsg-1) experimental; urgency=medium

  * New upstream release
    - Bump ldb Build-Depends to 2:1.5.1+really1.4.6
    - Drop s3-auth-ignore-create_builtin_guests-failing-without.patch, merged
    - Drop and python-gpg.patch, merged
  * Add Recommends: samba-dsdb-modules for samba-common-bin (Closes: #862467)

 -- Mathieu Parent <sathieu@debian.org>  Wed, 20 Mar 2019 21:07:02 +0100

samba (2:4.9.4+dfsg-4) unstable; urgency=medium

  * samba-libs: Add Breaks+Replaces: libndr-standard0 (<< 4) (Closes: #910242)
  * Improve AppArmor integration (Closes: #896080)
    - Install update-apparmor-samba-profile 1.2 from Christian Boltz (openSUSE)
    - Adapt update-apparmor-samba-profile: Rename apparmor profile snippet, and
      test for it's directory
    - smbd.init: Run update-apparmor-samba-profile before start
    - smbd.service: Run update-apparmor-samba-profile before start
    - Remove /etc/apparmor.d/samba/smbd-shares on purge

 -- Mathieu Parent <sathieu@debian.org>  Tue, 26 Feb 2019 22:18:19 +0100

samba (2:4.9.4+dfsg-3) unstable; urgency=medium

  [ Ivo De Decker ]
  * Remove myself from uploaders

  [ Mathieu Parent ]
  * Update debian/gitlab-ci.yml
  * Standards-Version: 4.3.0
  * Add upstream patch for python-gpg support
  * Replace Suggests: python-gpgme by Recommends: python-gpg (Closes: #876984)

 -- Mathieu Parent <sathieu@debian.org>  Fri, 15 Feb 2019 11:14:10 +0100

samba (2:4.9.4+dfsg-2) unstable; urgency=medium

  * Append +really0.02 to libparse-pidl-perl version (Closes: #918564)
  * Add apport hook (From Ubuntu)
  * Change build dependency to libglusterfs-dev (Closes: #919667)

 -- Mathieu Parent <sathieu@debian.org>  Wed, 23 Jan 2019 20:59:08 +0100

samba (2:4.9.4+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Remove patches for previous security fixes, merged
    - Remove unused lintian overrides (library-not-linked-against-libc)
  * ignore create_builtin_guests() failing without a valid idmap configuration
    (Closes: #909465, #899269)

 -- Mathieu Parent <sathieu@debian.org>  Sat, 22 Dec 2018 18:32:00 +0100

samba (2:4.9.2+dfsg-2) unstable; urgency=high

  * New upstream security release
    - CVE-2018-14629 Unprivileged adding of CNAME record causing loop in AD
      Internal DNS server
    - CVE-2018-16841 Double-free in Samba AD DC KDC with PKINIT
    - CVE-2018-16851 NULL pointer de-reference in Samba AD DC LDAP server
    - CVE-2018-16852 NULL pointer de-reference in Samba AD DC DNS servers
    - because of CVE-2018-16853 (Samba AD DC S4U2Self Crash in experimental
      MIT Kerberos configuration (unsupported)), mark the MIT Kerberos build of
      the Samba AD DC as experimental (not used in Debian package)
    - CVE-2018-16857 Bad password count in AD DC not always effective
  * Prepend 1.5.1+really to ldb version

 -- Mathieu Parent <sathieu@debian.org>  Sat, 24 Nov 2018 23:21:27 +0100

samba (2:4.9.2+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Bump build-dependencies to ldb 1.4.2
    - Update debian/samba-libs.install
  * d/gitlab-ci.yml:
    - Update to use include
    - allow_failure for reprotest until #912340 is fixed
  * d/rules: Replace override_dh_perl by override_dh_perl-arch (Closes: #913143)
  * debian/gitlab-ci.yml:
    - Samba sometimes needs ldb from experimental
    - Use ldb from experimental in piuparts

 -- Mathieu Parent <sathieu@debian.org>  Sat, 17 Nov 2018 17:25:10 +0100

samba (2:4.9.1+dfsg-2) unstable; urgency=medium

  [ Mathieu Parent ]
  * Enable --accel-aes=intelaesni on DEB_HOST_ARCH_CPU=amd64 instead of
    DEB_HOST_ARCH=amd64. This matches samba-libs.install and adds x32
  * Allow one to change password via passwd in default config
    - third_party: Update pam_wrapper to version 1.0.7
    - third_party: Add pam_set_items.so from pam_wrapper
    - nsswitch: Add try_authtok option to pam_winbind
    - tests: Check pam_winbind pw change with different options
    - Patch for previous 4 commits
    - debian/winbind.pam-config: Use the new try_authtok option allowing
      password change while preserving current behavior with password strength
      modules (Closes: #858923, LP: #570944)
  * README.source: use gbp pull --track-missing
  * Override library-not-linked-against-libc false positives (See #896012)
  * Fix wrong-path-for-interpreter for pidl and findsmb
  * ctdb.postrm: Fix to disable_legacy (found by piuparts) (Closes: #911530)

  [ James Clarke ]
  * Fix systemd-related build failures on non-Linux

  [ Mathieu Parent ]
  * Add Gitlab CI:
    - Subscribe to salsa-ci-team/pipeline (See salsa-ci-team/pipeline!27 and
      samba-team/samba!10)
    - Copy /etc/apt/{sources.list.d,preferences.d} in the dockerbuilder
      container (salsa-ci-team/images!9)
    - Allow daemons to start during autopkgtest (salsa-ci-team/images!10)
    - debian/gitlab-ci.yml: all jobs: Use ldb from experimental
    - debian/gitlab-ci.yml: piuparts job: Add --scriptsdir, --allow-database
      and --warn-on-leftovers-after-purge options
    - debian/gitlab-ci.yml: piuparts job: Copy apt config to allow enabling
      extra repositories
    - debian/gitlab-ci.yml: piuparts job: Use image with the following changes:
      + Add pre_install_copy_configs and post_install_remove_configs to copy,
        resp. remove config files from /etc-target to /etc
      + patch pre_remove_50_find_bad_permissions to workaround findutils bug
        #912180. Also proposed another workaround in piuparts as bug #911334
        which is merged but not yet released
  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Thu, 01 Nov 2018 21:13:37 +0100

samba (2:4.9.1+dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Mathieu Parent <sathieu@debian.org>  Mon, 24 Sep 2018 13:33:21 +0200

samba (2:4.9.0+dfsg-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release
    - Update d/gbp.conf, d/watch and d/README.source for 4.9
    - Remove Fix-pidl-manpage-sections.patch, Fix-spelling.patch and
      Improve-vfs_linux_xfs_sgid-manpage.patch, merged upstream
    - Bump build-depends talloc >= 2.1.14, tdb >= 1.3.16, tevent >= 0.9.37 and
      ldb >= 2:1.4.2'
    - Update paths
    - Update libsmbclient.symbols
    - ctdb.lintian-override: Remove script-not-executable override
    - Add ctdb.NEWS: "Configuration has been completely overhauled"
    - ctdb: Enable/disable legacy script in postinst/presinst

 -- Mathieu Parent <sathieu@debian.org>  Sat, 22 Sep 2018 23:04:11 +0200

samba (2:4.8.5+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Bump ldb Build-depends to 2:1.4.0+really1.3.6
    - Fixes FTBFS on kFreeBSD (Closes: #883972)
    - d/rules: winbind_krb5_locator is now in the correct path
    - winbind_krb5_locator manpage has moved from section 7 to 8
  * Standards-Version: 4.2.1

 -- Mathieu Parent <sathieu@debian.org>  Thu, 30 Aug 2018 19:32:24 +0200

samba (2:4.8.4+dfsg-2) unstable; urgency=high

  * Fix typo in previous release: s/usefull/useful/
  * Prepend 1.4.0+really to ldb version to allow samba-dsdb-modules install
    (Closes: #906562, #906568)
  * Urgency still set to high

 -- Mathieu Parent <sathieu@debian.org>  Sun, 19 Aug 2018 10:08:22 +0200

samba (2:4.8.4+dfsg-1) unstable; urgency=high

  [ Andreas Hasenack ]
  * d/samba.logrotate: only try to reload the services if they are running
    (Closes: #902149)
  * Remove the deprecated "syslog" and "syslog only" options (Closes: #901138)

  [ Mathieu Parent ]
  * New upstream security release
    - CVE-2018-1139 Weak authentication protocol allowed
    - CVE-2018-1140 Denial of Service Attack on DNS and LDAP server
    - CVE-2018-10858 Insufficient input validation on client directory listing
      in libsmbclient
    - CVE-2018-10918 Denial of Service Attack on AD DC DRSUAPI server
    - CVE-2018-10919 Confidential attribute disclosure from the AD LDAP server
    - Urgency set to high
    - Bump build-depends ldb >= 1.3.5 (actually 2:1.4.0+really1.3.5) for
      CVE-2018-1140
  * smb.conf: Remove "wins support" and "wins server" comments
  * smb.conf: Improve "logging" comments
  * smb.conf: Remove "dns proxy = no", only useful as a WINS server
  * smb.conf: Propose better idmap config
  * smb.conf: Remove "passdb backend = tdbsam" as this is the default
  * smb.conf: Fix "usershare max shares" default (patched to 100 instead of 0)
  * Standards-Version: 4.2.0
  * Set Rules-Requires-Root: binary-targets as chmod is used
  * Remove override_dh_strip target as dbgsym migration is complete

 -- Mathieu Parent <sathieu@debian.org>  Fri, 17 Aug 2018 16:30:18 +0200

samba (2:4.8.2+dfsg-2) unstable; urgency=medium

  * Update panic-action script message, samba-dbg renamed to samba-dbgsym
    (Closes: #900242)
  * Ensure /var/lib/samba/dhcp.conf exists (Closes: #901585)
  * Check smb.conf with testparm, and also with samba-tool when
    server role = active directory domain controller (Closes: #900908)

 -- Mathieu Parent <sathieu@debian.org>  Mon, 18 Jun 2018 23:39:41 +0200

samba (2:4.8.2+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Bump build-depends ldb >= 1.3.3
  * Fix lintian warnings with patches recently merged upstream:
    - Add Fix-pidl-manpage-sections.patch
    - Add Fix-spelling.patch
    - Add Improve-vfs_linux_xfs_sgid-manpage.patch
  * Wrap very long lines in d/rules

 -- Mathieu Parent <sathieu@debian.org>  Thu, 17 May 2018 09:58:09 +0200

samba (2:4.8.1+dfsg-2) unstable; urgency=low

  * Upload to unstable
  * Really ignore nmbd start errors when there is no non-loopback interface
    (Closes: #893762)
  * Ignore nmbd start errors when there is no local IPv4 non-loopback interface
    (Closes: #859526)
  * Fix possible-unindented-list-in-extended-description in samba-vfs-modules

 -- Mathieu Parent <sathieu@debian.org>  Tue, 15 May 2018 21:23:32 +0200

samba (2:4.8.1+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Add lintian override for "smbclient: executable-is-not-world-readable
    usr/lib/x86_64-linux-gnu/samba/smbspool_krb5_wrapper 0700" (See #894720)
  * Improve samba-vfs-modules description (Closes: #776505)
  * Check smb.conf in samba-common-bin.postinst (Closes: #816301)
  * Mark libparse-pidl-perl, samba-dev, samba-dsdb-modules and samba-vfs-modules
    as"Multi-Arch: same"
  * Standards-Version: 4.1.4, no change
  * debian/smb.conf: Fix typo in comment line: sever -> server (Closes: #763648)
  * Read smb.conf until [print$] section instead of [cdrom] to preserve
    locally-defined shares (Closes: #776259)
  * Fix and improve dhcp integration:
    - dhclient3 was renamed to dhclient long time ago...
    - Remove /etc/samba/dhcp.conf on purge (Closes: #784713)
    - Move dhcp.conf out of /etc to allow ro root (Closes: #695362)
    - Update template for "Move dhcp.conf out of /etc to allow ro root"
  * Enable --accel-aes=intelaesni on DEB_HOST_GNU_CPU=x86_64 (Closes: #896196)
    - Use dh-exec to install libaesni-intel.so.0 only on amd64

 -- Mathieu Parent <sathieu@debian.org>  Sun, 29 Apr 2018 12:54:06 +0200

samba (2:4.8.0+dfsg-2) experimental; urgency=medium

  * Remove unused and outdated debian/README.debian (debian/README.Debian is
    used instead)
  * Mask services as appropriate in samba and winbind postinst (Closes: #863285)
    - mask samba-ad-dc unless server role = active directory domain controller
      (as before)
    - mask smbd and nmbd when server role = active directory domain controller
    - mask nmbd when disable netbios = yes (Closes: #866125)
  * Set smbspool_krb5_wrapper permissions to 0700 (Closes: #894720, #372270)
  * Remove Depends: samba-libs of lib{nss,pam}-winbind
  * Mark winbind "Multi-Arch: allowed" and make lib{pam,nss}-winbind depends on
    winbind:any to allow co-installation (Closes: #881100)
  * Ignore nmbd start errors when there is no non-loopback interface
    (Closes: #893762)

 -- Mathieu Parent <sathieu@debian.org>  Sun, 08 Apr 2018 22:09:53 +0200

samba (2:4.8.0+dfsg-1) experimental; urgency=medium

  [ Mathieu Parent ]
  * New major upstream version
    - Update d/gbp.conf and d/watch for 4.8
    - Update upstream source from tag 'upstream/4.8.0+dfsg'
    - Re-apply patches
    - Remove patches merged upstream:
      + no_build_system.patch
      + systemd-syslog.target-is-obsolete.patch
      + Add-documentation-to-systemd-Unit-files.patch
      + fix_kill_path_in_units.patch
      + nmbd-requires-a-working-network.patch
      + CVE-2018-1050-11343-4.7.patch
      + CVE-2018-1057-v4-7.metze01.patches.txt
    - Bump build-depends talloc >= 2.1.11~, tdb >= 1.3.15~, tevent >= 0.9.36~
      and ldb >= 2:1.3.2~
    - Drop Build-Conflicts-Arch: libaio-dev, vfs_aio_linux was dropped
    - Update debian/*.install and use debian/not-installed
    - Update debian/libsmbclient.symbols
    - Upload to experimental
  * debian/README.source
    - Update instructions
    - Convert to Markdown
    - Add a symlink from README.source to README.source.md
  * debian/rules:
    - Use the new --systemd-install-services
    - Use dh_missing --fail-missing
    - Re-order debian/rules overrides in the order they are called
    - Remove broken get-packaged-orig-source target
    - Remove unused DEB_BUILD_OPT_FOO variables
    - Add some comments
    - Move all the custom installs from override_dh_install to
      override_dh_auto_install
    - Remove --sourcedir override to dh_install "since dh_install automatically
      looks for files in debian/tmp in debhelper compatibility level 7 and
      above"
    - PIDFile= is now correctly set in *.service

  [ Louis van Belle ]
  * Update d/control, Relax Build-Depends to allow backport

 -- Mathieu Parent <sathieu@debian.org>  Mon, 19 Mar 2018 13:02:51 +0100

samba (2:4.7.4+dfsg-2) unstable; urgency=high

  [ Mathieu Parent ]
  * This is a security release in order to address the following defects:
    - CVE-2018-1050: Codenomicon crashes in spoolss server code
    - CVE-2018-1057: Unprivileged user can change any user (and admin) password
  * Fix "/etc/dhcp/dhclient-enter-hooks.d/samba returned non-zero exit status 1"
    when samba.service is disabled
    - Pick patch from Ubuntu for Launchpad #1579597
    - Fix systemd check
  * Replace override_dh_systemd_start by override_dh_installsystemd (Fixes
    ctdb starting on install and restarting on upgrade since update to debhelper
    compat 11)
  * Replace --no-restart-on-upgrade by --no-stop-on-upgrade in dh_installinit
    and dh_installsystemd
  * Add missing dh_installsystemd calls to ensure that services are properly
    unmasked and enabled in postinst

  [ Andreas Hasenack ]
  * Add extra DEP8 tests to samba (Closes: #890439):
    - d/t/control, d/t/cifs-share-access: access a file in a share using cifs
    - d/t/control, d/t/smbclient-anonymous-share-list: list available shares
      anonymously
    - d/t/control, d/t/smbclient-authenticated-share-list: list available
      shares using an authenticated connection
    - d/t/control, d/t/smbclient-share-access: create a share and download a
      file from it

 -- Mathieu Parent <sathieu@debian.org>  Fri, 02 Mar 2018 20:55:06 +0100

samba (2:4.7.4+dfsg-1) unstable; urgency=medium

  * New upstream version
    - Updates patches
    - Bump ldb build-deps to 1.2.3
  * Repository moved to salsa: Update Vcs-* fields
  * d/README.source:
    - ensure required branches exists
    - sync all required branches
  * Standards-Version: 4.1.3 (no change)
  * Move to debhelper compat 11
  * Move libpam-winbind: to section admin
  * Move libnss-winbind: to section admin

 -- Mathieu Parent <sathieu@debian.org>  Thu, 11 Jan 2018 20:49:28 +0100

samba (2:4.7.3+dfsg-1) unstable; urgency=high

  * New upstream version
    - Remove patches for CVE-2017-15275 and CVE-2017-14746, merged
    - Bump libtevent-dev to 0.9.34, to fix upstream "BUG 13130: smbd on disk
      file corruption bug under heavy threaded load"
    - Set urgency to high for this fix
  * Stop building vfs_aio_linux (Closes: #881239)
  * Print "ignore the following error about deb-systemd-helper not finding
    samba-ad-dc.service" on upgrade too (Closes: #882482).
    Thanks Julian Gilbey for the patch

 -- Mathieu Parent <sathieu@debian.org>  Thu, 23 Nov 2017 16:39:19 +0100

samba (2:4.7.1+dfsg-2) unstable; urgency=high

  * This is a security release in order to address the following defects:
    - CVE-2017-15275: s3: smbd: Chain code can return uninitialized memory when
      talloc buffer is grown.
    - CVE-2017-14746: s3: smbd: Fix SMB1 use-after-free crash bug.

 -- Mathieu Parent <sathieu@debian.org>  Sun, 12 Nov 2017 10:02:19 +0100

samba (2:4.7.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Add lintian-override about heimdal embedded-library
  * Remove trailing spaces in debian/changelog

 -- Mathieu Parent <sathieu@debian.org>  Wed, 08 Nov 2017 07:48:31 +0100

samba (2:4.7.0+dfsg-2) unstable; urgency=medium

  * Upload to sid
  * Bump libcmocka-dev builddep to 1.1.1 (Closes: #878357)
  * Remove Skip-raw.write-tests.patch as we don't run tests
  * Remove 05_share_ldb_module, not understood
   - d/rules: /usr/lib/*/samba/share/ldb.so is not present anymore

 -- Mathieu Parent <sathieu@debian.org>  Thu, 26 Oct 2017 17:30:02 +0200

samba (2:4.7.0+dfsg-1) experimental; urgency=medium

  * New major upstream version
    - Update d/gbp.conf and d/watch for 4.7
    - Update patches
    - Remove no_build_env.patch, no more needed
    - Remove 4 patches merged upstream
    - Bump build-depends ldb >= 2:1.2.2~, tdb >= 1.3.14~, tevent >= 0.9.33~
    - Move replace from builtin to bundled libraries to fix FTBFS
    - Update d/*.install
    - Update symbols
  * Rework all patches for dep5 and "gbp pq"
  * Add libjansson-dev to Build-Depends to allow logging in JSON format
  * Lintian fixes:
    - build-depends: dh-systemd (>= 1.5) => use debhelper (>= 9.20160709)
    - Move libsmbclient-dev from priority extra to optional
    - Standards-Version: 4.1.1
    - Update samba-libs.lintian-overrides (following libsmbldap bump)

 -- Mathieu Parent <sathieu@debian.org>  Thu, 12 Oct 2017 22:09:19 +0200

samba (2:4.6.7+dfsg-2) unstable; urgency=high

  * This is a security release in order to address the following defects:
    - CVE-2017-12150: Some code path don't enforce smb signing, when they should
    - CVE-2017-12151: Keep required encryption across SMB3 dfs redirects
    - CVE-2017-12163: Server memory information leak over SMB1

 -- Mathieu Parent <sathieu@debian.org>  Tue, 19 Sep 2017 22:00:13 +0200

samba (2:4.6.7+dfsg-1) unstable; urgency=medium

  * New upstream version
    - Removed CVE-2017-11103-Orpheus-Lyre-KDC-REP-service-name-val.patch,
      merged
    - Remove s3-gse_krb5-fix-a-possible-crash-in-fill_mem_keytab.patch, merged
  * README.source: Default merge-mode of gbp has changed to replace
  * Fix samba.logrotate (Thanks Thomas A. Reim)

 -- Mathieu Parent <sathieu@debian.org>  Tue, 15 Aug 2017 23:06:36 +0200

samba (2:4.6.5+dfsg-8) unstable; urgency=medium

  * Remove dependency on update-inetd, not used anymore
  * vfs_ceph and vfs_glusterfs are linux only (d/rules part)
  * Remove build-dependency on faketime, not used anymore

 -- Mathieu Parent <sathieu@debian.org>  Sun, 23 Jul 2017 19:56:07 +0200

samba (2:4.6.5+dfsg-7) unstable; urgency=medium

  * xfslibs-dev is only available on linux
  * Fix logrotate for /var/log/samba/log.samba to send SIGHUP to all processes
    of the service (systemd only)
  * Add reportbug script for samba-common, samba and winbind (Closes: #682861)

 -- Mathieu Parent <sathieu@debian.org>  Fri, 21 Jul 2017 06:19:57 +0200

samba (2:4.6.5+dfsg-6) unstable; urgency=medium

  * libcephfs-dev is only available on linux
  * Fix libpam-winbind.prerm to be multiarch-safe (Closes: #647430)
  * Add missing logrotate for /var/log/samba/log.samba (Closes: #803924)
  * Use smbcontrol in logrotate when available (Closes: #804705)
  * From upstream: Fix outdated DNS Root servers (Closes: #865406)
  * Drop xsltproc_dont_build_smb.conf.5.patch, as #750593 is marked fixed
    (Closes: #776223)

 -- Mathieu Parent <sathieu@debian.org>  Wed, 19 Jul 2017 22:53:50 +0200

samba (2:4.6.5+dfsg-5) unstable; urgency=medium

  * Remove bug_598313_upstream_7499-nss_wins-dont-clobber-daemons-logs.patch,
    unused
  * Remove samba-ad-dc.templates
  * Remove upstart files on upgrade (Closes: #867688)
  * glusterfs-common is only available on linux
  * Remove the samba service
  * Ensure /var/log/samba permissions are set (Closes: #711138)

 -- Mathieu Parent <sathieu@debian.org>  Tue, 18 Jul 2017 23:29:44 +0200

samba (2:4.6.5+dfsg-4) unstable; urgency=high

  * This is a security release in order to address the following defects:
    - CVE-2017-11103: Orpheus' Lyre KDC-REP service name validation
      (Closes: #868209)
  * Other fixes:
    - Remove empty samba-common.maintscript (leading to empty preinst and
      prerm)

 -- Mathieu Parent <sathieu@debian.org>  Thu, 13 Jul 2017 14:38:32 +0200

samba (2:4.6.5+dfsg-3) unstable; urgency=medium

  * Remove upstart code
  * Remove empty prerm for samba and samba-common-bin (Closes: #866258,
    #866284)
  * sysv: Use --pidfile in addition to --exec to avoid matching daemons in
    containers (Closes: #810794)
  * Standards-Version: 4.0.0
    - Use https form of the copyright-format URL (Debian Policy 4.0.0)
  * Remove debian/bzr-builddeb.conf
  * Remove empty debian/diversions
  * Remove "ugly workaround to get the manpages on every architecture to be
    identical", xsltproc now honour SOURCE_DATE_EPOCH
  * Remove dh-exec shbang in libnss-winbind.install
  * Remove empty debian/libsmbclient.manpages
  * Remove pre-jessie maintscript snipsets
  * Move to debhelper compat 10 (Major change: dh_installinit command now
    defaults to --restart-after-upgrade)
  * Remove unused samba-ad-dc package metadata (Closes: #866138)
  * Fix "Non-kerberos logins fails on winbind 4.X when krb5_auth is configured
    in PAM" (Closes: #739768)

 -- Mathieu Parent <sathieu@debian.org>  Thu, 29 Jun 2017 09:45:59 +0200

samba (2:4.6.5+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Move runtime dependencies of vfs_ceph and vfs_snapper to Recommends
  * Fix typo s/DESTIDR/DESTDIR/ in d/rules
  * Enable vfs_glusterfs (Closes: #864862)
  * Add libdbus-1-dev as Build-Depends to allow vfs_snapper to build (Closes:
    #804781). Patch by Willy Vanlid.

 -- Mathieu Parent <sathieu@debian.org>  Mon, 19 Jun 2017 23:56:56 +0200

samba (2:4.6.5+dfsg-1) experimental; urgency=medium

  * New upstream version (Closes: #859390)
    - d/gbp.conf, d/watch: Change major version to 4.6
    - Bump Build-dependencies of talloc, tdb, tevent and ldb to resp. 2.1.9,
      1.3.12, O.9.31 and 1.1.29
    - Remove CVE-2017-7494.patch: applied upstream
    - Add Build-Depends: libcmocka-dev (>= 1.0)
    - Update d/*.install
    - d/samba-common.docs: Roadmap removed upstream
  * Update README.source, about importing major versions
  * d/control cleanup:
    - Remove Conflicts and Replaces on pre-wheezy samba4 packages
    - Remove Conflicts, Breaks and Replaces on pre-wheezy samba packages
    - Remove Conflicts, Breaks and Replaces on pre-jessie samba packages
    - Remove Conflicts, Breaks and Replaces on (pre-jessie) samba4 packages
    - Remove Conflicts on pre-jessie libldb1 package
    - Remove Breaks on pre-jessie qtsmbstatus-server package
    - Remove Replaces on pre-wheezy smbget package
    - wrap-and-sort
  * Add libcephfs-dev as b-d to build vfs_ceph (Closes: #856998). Patch from
    Ubuntu
  * Enable avahi support (Closes: #859875). Patch from Laurent Bigonville.
  * Translations:
    - Portuguese translation for debconf messages (Closes: #864172). Patch from
    Rui Branco
    - Hungarian translation for debconf messages (Closes: #708277)
  * Properly quote subshell invocation in samba-common.preinst (Closes: #771689)
  * Add Build-Depends: xfslibs-dev, for XFS quotas

 -- Mathieu Parent <sathieu@debian.org>  Mon, 12 Jun 2017 08:09:43 +0200

samba (2:4.5.8+dfsg-2) unstable; urgency=high

  * CVE-2017-7494: rpc_server3: Refuse to open pipe names with / inside

 -- Mathieu Parent <sathieu@debian.org>  Thu, 18 May 2017 11:53:47 +0200

samba (2:4.5.8+dfsg-1) unstable; urgency=high

  * New upstream version
    - Drop CVE-2017-2619.patch: merged upstream
    - Fix CVE-2017-2619 regression with "follow symlink = no" (Closes: #858564)

 -- Mathieu Parent <sathieu@debian.org>  Sat, 01 Apr 2017 20:39:17 +0200

samba (2:4.5.6+dfsg-2) unstable; urgency=high

  * This is a security release in order to address the following defects:
    - CVE-2017-2619: symlink race permits opening files outside share directory

 -- Mathieu Parent <sathieu@debian.org>  Wed, 22 Mar 2017 08:03:34 +0100

samba (2:4.5.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fix typo in smbd.service and winbind.service (s/nmb.service/nmbd.service)
    (Closes: #857232)

 -- Mathieu Parent <sathieu@debian.org>  Thu, 09 Mar 2017 15:42:37 +0100

samba (2:4.5.5+dfsg-1) unstable; urgency=medium

  * New upstream version
    - Revert rewrite of the vfs_fruit module (Closes: #856561)
  * Fix 'winbindd privileged socket directory' (Closes: #754339):
    - Fix path from /var/run/samba/winbindd_privileged/ to
      /var/lib/samba/winbindd_privileged/.
    - Move mkdir+chgrp+chmod to postinst (to handle systemd also).
    - Thanks to Jim Barber for the report.
  * logrotate: Use delaycompress on all logs (Closes: #702201)
    - Thanks to Matthew Gabeler-Lee for the proposed fix.

 -- Mathieu Parent <sathieu@debian.org>  Sun, 05 Mar 2017 23:21:09 +0100

samba (2:4.5.4+dfsg-1) unstable; urgency=medium

  [ Mathieu Parent ]
  * New upstream version
    - Drop security-2016-12-19.patch, was 4.5.3
  * missing-build-dependency-for-dh_-command dh_python2 => dh-python

  [ Vincent Blut ]
  * d/control: Suggest chrony as an alternative to ntp (Closes: #851727)

  [ Daniel A ]
  * add gpgme support (Closes: #850908)

 -- Mathieu Parent <sathieu@debian.org>  Wed, 25 Jan 2017 21:25:40 +0100

samba (2:4.5.2+dfsg-2) unstable; urgency=high

  * This is a security release in order to address the following defects:
    - CVE-2016-2123 (Samba NDR Parsing ndr_pull_dnsp_name Heap-based Buffer
      Overflow Remote Code Execution Vulnerability).
    -  CVE-2016-2125 (Unconditional privilege delegation to Kerberos servers in
      trusted realms).
    -  CVE-2016-2126 (Flaws in Kerberos PAC validation can trigger privilege
       elevation).

 -- Mathieu Parent <sathieu@debian.org>  Sat, 17 Dec 2016 22:54:35 +0100

samba (2:4.5.2+dfsg-1) unstable; urgency=medium

  * New upstream version
    - Remove CTDB-Fix-samba-eventscript.patch: merged
    - d/rules: /usr/share/ctdb-tests is now /usr/share/ctdb/tests
  * Update gbp.conf with debian-branch = master

 -- Mathieu Parent <sathieu@debian.org>  Thu, 08 Dec 2016 20:21:52 +0100

samba (2:4.5.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Mon, 05 Dec 2016 07:01:35 +0100

samba (2:4.5.1+dfsg-1) experimental; urgency=medium

  * New upstream version
    - Refresh patches
    - Remove bug_12283_segfault_tevent_internals.patch
    - Remove gencache-Bail-out-of-stabilize-if-we-can-not-get-the.patch
    - Adding libdsdb-garbage-collect-tombstones.so.0 to samba-libs.install
  * CTDB: Fix samba eventscript
  * nmbd requires a working network (Closes: #698056, #842056, #840608,
    LP: #1635491)
  * Be more verbose about masking samba-ad-dc.service (Closes: #841147)
  * Remove Fix_parallel_build.patch, not working

 -- Mathieu Parent <sathieu@debian.org>  Tue, 01 Nov 2016 13:54:29 +0100

samba (2:4.5.0+dfsg-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version
    + Remove patches:
      - bug_601406_fix-perl-path-in-example.patch, similar applied
      - waf_smbpasswd_location, applied
      - Fix-privacy-breach-on-google.com.patch, doc moved out of source
      - ctdb-Fix-detection-of-gnukfreebsd.patch, applied
      - gcc_6.patch, applied
    + Dumped dependencies
      - libldb-dev (>= 2:1.1.27~)
      - libtalloc-dev (>= 2.1.8~)
      - libtdb-dev (>= 1.3.10~)
      - libtevent-dev (>= 0.9.29~)
      - python-talloc-dev (>= 2.1.8~)
    + Install new files and update debian/ctdb.docs
    + Update to libwbclient0.symbols
    + Update samba-libs.lintian-overrides (libtevent-unix-util0 removed)
    + /etc/default/ctdb is now /etc/ctdb/ctdbd.conf
  * Add patch for https://bugzilla.samba.org/show_bug.cgi?id=12045
  * ctdb/wscript: Call CHECK_XSLTPROC_MANPAGES() before checking
    XSLTPROC_MANPAGES. This should fix parallel builds, including
    tests.reproducible-builds.org. Thanks HW42 on IRC
  * Depends: lsb-base (>= 3.0-6), for ctdb and winbind as they source
    /lib/lsb/init-functions

 -- Mathieu Parent <sathieu@debian.org>  Sun, 23 Oct 2016 15:56:59 +0200

samba (2:4.4.6+dfsg-2) unstable; urgency=high

  * Remove uses of tevent internals. This fixes segfault.
    Closes: #840382, #840298.

 -- Mathieu Parent <sathieu@debian.org>  Wed, 12 Oct 2016 05:53:33 +0200

samba (2:4.4.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Use epoch in samba-vfs-modules Breaks and Replaces (Closes: #833164)
  * Only fix PIDFile in {nmbd,samba-ad-dc,smbd,winbind}.service (i.e. not
    ctdb.service) Closes: #838000.
  * logrotate: Only reload smbd when needed. Thanks Roland Hieber.
    Closes: #838796.

 -- Mathieu Parent <sathieu@debian.org>  Mon, 10 Oct 2016 22:23:45 +0200

samba (2:4.4.5+dfsg-3) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Add strict dependencies on samba-libs, because of use of private
    libraries without stable ABI across Samba binary packages.
  * Add Breaks clauses for older versions of samba-libs and samba to
    samba-vfs-modules, as some files have moved. Closes: #833164,
    #832880

  [ Mathieu Parent ]
  * Remove /etc/systemd/system/samba-ad-dc.service (from postinst) on purge.
    Closes: #832352
  * Fix PIDFile in systemd service files. Closes: #830909
  * Remove unused lintian overrides
  * Use automatic debug packages (-dbgsym) (Closes: #819776)
  * Remove Christian Perrier from uploaders (Closes: #836715). Thanks for all
    you work, and thanks for bringing me in the team and as a DD.
  * Update Turkish translation. Thanks Atila KOÇ. Closes: #791903
  * Drop dependency on samba-libs in libwbclient0 to avoid
    circular dependency.

 -- Mathieu Parent <sathieu@debian.org>  Fri, 09 Sep 2016 13:00:54 +0200

samba (2:4.4.5+dfsg-2) unstable; urgency=medium

  * Disable running of 'make quicktest' during build, as it takes very
    long to run on x32 and enables building non-production NTVFS server.
    Closes: #830571

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 09 Jul 2016 19:09:19 +0000

samba (2:4.4.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
   + Fixes CVE-2016-2119: Client side SMB2/3 required signing can be
     downgraded. Closes: #830195

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 07 Jul 2016 10:51:40 +0000

samba (2:4.4.4+dfsg-3) unstable; urgency=medium

  * Add patch gcc_6.patch, fixing compatibility with gcc 6.
    Closes: #812264

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 04 Jul 2016 12:20:56 +0000

samba (2:4.4.4+dfsg-2) unstable; urgency=medium

  * Mask samba-ad-dc.service unless needed (Closes: #828137)
  * Fix kill path in systemd units (Closes: #828730)

 -- Mathieu Parent <sathieu@debian.org>  Mon, 27 Jun 2016 21:37:58 +0200

samba (2:4.4.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * The "Thanks lintian" release
  * Fixes:
    - Ensure that dpkg-buildflags are passed, and enable all hardening
    - systemd
      + Enable systemd (sd_notify) on Linux, and install systemd files
      + Remove obsolete syslog.target from service files
      + Add documentation field to unit files
    - Drop fix-cluster-build.diff: no more needed
    - Use secure Vcs-* URLs
    - Fix copyright file
    - samba.postinst: command-with-path-in-maintainer-script update-inetd
    - samba-common-bin: package-contains-empty-directory usr/lib/samba/
    - winbind: package-contains-empty-directory usr/lib/samba/nss_info/
    - Add Description to init files
  * No-op fixes:
    - d/control: Drop XS-Testsuite field
    - Drop redundant "Priority: optional" fields
    - Drop redundant "Section: net" fields
    - Describe non-standard-dir-perm var/spool/samba/
    - Describe no_build_system.patch
    - Remove README.build-upstream, as packaging/Debian/ is now empty
    - Verify upstream tarball from uscan
    - Update README.source and remove build-orig.sh

 -- Mathieu Parent <sathieu@debian.org>  Mon, 13 Jun 2016 21:52:52 +0200

samba (2:4.4.3+dfsg-4) unstable; urgency=medium

  * Fix build with DEB_BUILD_OPTIONS=nocheck
  * Still run "make quicktest" but ignore failures

 -- Mathieu Parent <sathieu@debian.org>  Sat, 07 May 2016 13:18:53 +0200

samba (2:4.4.3+dfsg-3) unstable; urgency=medium

  * Skip raw.write tests for now as they fail on 32-bit

 -- Mathieu Parent <sathieu@debian.org>  Fri, 06 May 2016 15:34:07 +0200

samba (2:4.4.3+dfsg-2) unstable; urgency=medium

  * Run quicktest during build
  * Reproducibility:
    - Drop no_build_options.patch as it breaks "make test"
    - Remove unreproducible build environment instead
  * Mention that patch waf_smbpasswd_location was submitted
  * usershare.patch: Fix "usershare max shares" default in XML doc and in s4

 -- Mathieu Parent <sathieu@debian.org>  Tue, 03 May 2016 12:30:56 +0200

samba (2:4.4.3+dfsg-1) unstable; urgency=medium

  * Cleanup ctdb READMEs during 'clean' step.
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 02 May 2016 14:12:46 +0000

samba (2:4.4.2+dfsg-2) unstable; urgency=medium

  * Merge in 4.3 package changes.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 27 Apr 2016 01:29:47 +0000

samba (2:4.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 3.9.8 (no changes).
  * Drop build dependency on perl-modules; depend on perl instead.
  * Upload to unstable.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 26 Apr 2016 23:29:54 +0000

samba (2:4.4.1+dfsg-1) experimental; urgency=medium

  * New upstream release
   + Fixes (Patches by Stefan Metzmacher of SerNet and others on the Samba Team):
    - CVE-2015-5370 (Multiple errors in DCE-RPC code)
    - CVE-2016-2110 (Man in the middle attacks possible with NTLMSSP)
    - CVE-2016-2111 (NETLOGON Spoofing Vulnerability)
    - CVE-2016-2112 (LDAP client and server don't enforce integrity)
    - CVE-2016-2113 (Missing TLS certificate validation)
    - CVE-2016-2114 ("server signing = mandatory" not enforced)
    - CVE-2016-2115 (SMB IPC traffic is not integrity protected)
    - CVE-2016-2118 (SAMR and LSA man in the middle attacks possible)
  * Additional regression fix for 'net ads join' to a Windows 2003 domain by metze

 -- Andrew Bartlett <abartlet+debian@catalyst.net.nz>  Mon, 11 Apr 2016 16:09:59 +1200

samba (2:4.4.0+dfsg-1) experimental; urgency=medium
  [ Andrew Bartlett ]
  * New upstream release.

 -- Andrew Bartlett <abartlet+debian@catalyst.net.nz>  Wed, 06 Apr 2016 17:08:20 +1200

samba (2:4.3.8+dfsg-1) unstable; urgency=low

  [ Jelmer Vernooĳ ]
  * Add patch no_build_system.patch: drop host-specific define that
    prevents reproducible builds.
  * New upstream release.
   + Drop patch
     security-2016-04-12-prerequisite-v4-3-regression-fixes.metze01.txt,
     now included upstream.
  * Bump version in Replaces: samba-libs for samba-vfs-modules to
    4.3.2+dfsg-1, to fix jessie->stretch upgrades. Closes: #821070

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 16 Apr 2016 01:18:36 +0000

samba (2:4.3.7+dfsg-1) unstable; urgency=high

  * New upstream release.
   + Fixes (Patches by Stefan Metzmacher of SerNet and others on the Samba Team):
    - CVE-2015-5370 (Multiple errors in DCE-RPC code)
    - CVE-2016-2110 (Man in the middle attacks possible with NTLMSSP)
    - CVE-2016-2111 (NETLOGON Spoofing Vulnerability)
    - CVE-2016-2112 (LDAP client and server don't enforce integrity)
    - CVE-2016-2113 (Missing TLS certificate validation)
    - CVE-2016-2114 ("server signing = mandatory" not enforced)
    - CVE-2016-2115 (SMB IPC traffic is not integrity protected)
    - CVE-2016-2118 (SAMR and LSA man in the middle attacks possible)
  * Additional regression fix for 'net ads join' to a Windows 2003 domain by metze

 -- Andrew Bartlett <abartlet+debian@catalyst.net.nz>  Wed, 13 Apr 2016 10:24:17 +1200

samba (2:4.3.6+dfsg-2) unstable; urgency=low
  [ Mathieu Parent ]
  * Fix FTBFS when built with dpkg-buildpackage -A (Closes: #818146). Patch by
    Santiago Vila
  * Drop samba from winbind depends and use samba-common* instead
    (Closes: #732604)
  * Add an override to script-not-executable etc/ctdb/events.d/10.external
  * Add ufw integration (from Ubuntu)
  * Don't build ctdb twice:
    - Shorten build time
    - Fix ctdb log path from /var/log/log.ctdb to /var/log/ctdb/log.ctdb
    - Remove unused /usr/lib/*/ctdb/*.so files

  [ Steven Chamberlain ]
  * ctdb: Fix detection of gnukfreebsd (Closes: #802621)

  [ Jelmer Vernooij ]
  * Add no_build_options.patch: make package more reproducible by
    disabling build options output.

  [ Andrew Bartlett ]
  * Allow to build/run the AD DC provision/dbcheck against talloc
    2.1.6 (Closes: #820015)

 -- Mathieu Parent <sathieu@debian.org>  Thu, 31 Mar 2016 22:26:11 +0200

samba (2:4.3.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
   + Fixes:
    - CVE-2015-7560: Incorrect ACL get/set allowed on symlink path.
    - CVE-2016-0771 (Out-of-bounds read in internal DNS server.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 27 Feb 2016 23:28:53 +0000

samba (2:4.3.5+dfsg-3) unstable; urgency=medium

  * Fix dhclient hook if samba is not installed. Thanks, Jan Braun.
    Closes: #801976
  * Rebuild against current version of ldb in the archive. Closes:
    #817036

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 08 Mar 2016 00:24:10 +0000

samba (2:4.3.5+dfsg-2) unstable; urgency=medium

  * Move strict ldb dependency to samba-dsdb-modules package, which
    actually contains the modules. Closes: #816210

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 06 Mar 2016 22:51:53 +0000

samba (2:4.3.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fixed usershare.patch to apply against new version.
  * Loosen dependencies on ldb to ldb >= 1.1.21, per upstream.
  * Drop patch sockets-with-htons.patch: applied upstream.
  * Bump standards version to 3.9.7 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 05 Mar 2016 15:56:42 +0000

samba (2:4.3.3+dfsg-2) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Add dependency on libtevent-dev in samba-dev.

  [ Mathieu Parent ]
  * Fix CTDB behavior since CVE-2015-8543 (Closes: #813406)

 -- Mathieu Parent <sathieu@debian.org>  Thu, 04 Feb 2016 13:25:01 +0100

samba (2:4.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release. Closes: #808133.
   + Drop subunit dependency, no longer used.
   + Drop ntdb dependencies, no longer used.
   + Fixes:
    - CVE-2015-5252: Insufficient symlink verification in smbd
    - CVE-2015-5296: Samba client requesting encryption vulnerable
                     downgrade attack
    - CVE-2015-5299: Missing access control check in shadow copy code
    - CVE-2015-7540: Remote DoS in Samba (AD) LDAP server
    - CVE-2015-8467: Denial of service attack against Windows Active Directory
                     server
    - CVE-2015-3223: Denial of service in Samba Active Directory server
    - CVE-2015-5330: Remote memory read in Samba LDAP server
  * Remove libpam-smbpasswd, which is broken and slated for removal
    upstream. Closes: #799840
  * Remove lib/zlib/contrib/dotzlib/DotZLib.chm from excluded files in
    copyright; no longer shipped upstream.
  * Remove wins2dns.awk example script.
  * Remove the samba-doc package, and move examples files from it to
    relevant other packages. Closes: #769385
  * Move samba-dsdb-modules back from Depends to Recommends, as using
    Samba as a standalone server doesn't require the dsdb modules.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 18 Dec 2015 01:18:42 +0000

samba (2:4.3.0+dfsg-2) experimental; urgency=medium

  * Re-enable cluster support.
   + Build samba-cluster-support as built-in library, since its dependencies
     are broken.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 28 Sep 2015 00:34:51 +0000

samba (2:4.3.0+dfsg-1) experimental; urgency=medium

  * Fix watch file.
  * New upstream release.
  * Drop no_wrapper patch: applied upstream.
  * Drop patch ctdb_sockpath.patch: applied upstream.
  * Drop Fix-CTDB-build-with-PMDA patch: applied upstream.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 19 Sep 2015 01:59:36 +0000

samba (2:4.2.1+dfsg-1) experimental; urgency=medium

  [ Jelmer Vernooij ]
  * New upstream release.
   + Drop patch do-not-install-smbclient4-and-nmbclient4: applied upstream.
   + Drop patch
     bug_598313_upstream_7499-nss_wins-dont-clobber-daemons-logs.patch:
     present upstream.
   + Refresh patch 26_heimdal_compat.26_heimdal_compat.
   + Add build-dependency on libarchive-dev.
  * Drop samba_bug_11077_torturetest.patch: applied upstream.
  * Drop dependency on ctdb - now bundled with Samba.
  * Use bundled Heimdal as the system Heimdal doesn't contain the
    changes required for Samba.
  * Add patch heimdal-rfc3454.txt: patch in truncated rfc3454.txt for
    building bundled heimdal.
  * Drop patches 25_heimdal_api_changes and 26_heimdal_compat.
  * Disable cluster support; it breaks the build.
  * Add patch no_wrapper: avoid dependencies on
    {nss,uid,socket}_wrapper.
  * Move some libraries around.
  * Move ownership of var/lib/samba and var/lib/samba/private to samba-
    common, remove obsolete samba4.dirs. Closes: #793866
  * Remove ctdb-tests and ctdb-pcp-pmda packages as they contain problems
    and unclear what they are useful for, now ctdb now longer provides
    an external API.

  [ Mathieu Parent ]
  * Merge ctdb source package
    - initial merge
    - libctdb-dev has been dropped
    - ctdb-dbg renamed to ctdb-tests, debug files moved to samba-dbg
    - ctdb-tests depends on python
  * Fix CTDB socketpath parsing
  * Fix CTDB build with PMDA
  * ctdb: Fix privacy breach on google.com (from documentation)

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 07 Dec 2014 15:34:36 +0000

samba (2:4.1.20+dfsg-1) unstable; urgency=medium

  * New upstream release (last compatible with current OpenChange).
  * samba_bug_11077_torturetest.patch: refresh.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 20 Sep 2015 17:48:59 +0000

samba (2:4.1.17+dfsg-5) unstable; urgency=medium

  * Rebuild against new ldb. Closes: #799569

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 20 Sep 2015 13:20:53 +0000

samba (2:4.1.17+dfsg-4) unstable; urgency=medium

  * Add pidl_reproducible.patch: Make pidl output reproducible.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 28 Apr 2015 00:10:21 +0000

samba (2:4.1.17+dfsg-3) unstable; urgency=medium

  * Rebuild against new ldb. Closes: #783424

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 27 Apr 2015 00:09:50 +0000

samba (2:4.1.17+dfsg-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Add samba.preinst to temporarily deactivate the old qtsmbstatusd
    initscript which has dependencies incompatible with the new samba
    initscript. This will ensure a clean upgrade path for samba if the
    qtsmbstatus-server package was installed previously.  (Closes: #779666)

 -- Ivo De Decker <ivodd@debian.org>  Sat, 07 Mar 2015 13:09:23 +0100

samba (2:4.1.17+dfsg-1) unstable; urgency=high

  * New upstream release. Fixes:
  - CVE-2014-8143: Elevation of privilege to Active Directory Domain
                   Controller. Closes: #776993
  - CVE-2015-0240: Unexpected code execution in smbd. Closes: #779033
  * Refresh patch add-so-version-to-private-libraries.
  * Add new smbtorture test rpc.schannel_anon_setpw to detect the conditions
    leading to CVE-2015-0240.
  * Add breaks on qtsmbstatus-server (<< 2.2.1-3~). Closes: #775041
  * Build-depend on reverted ldb version (with increased epoch).

 -- Ivo De Decker <ivodd@debian.org>  Mon, 23 Feb 2015 20:20:21 +0100

samba (2:4.1.13+dfsg-4) unstable; urgency=medium

  * Revert previous patch, since ldb has an active module version check.
    Instead, just depend on ldb 1.1.18. Closes: #771991

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 10 Dec 2014 18:13:42 +0000

samba (2:4.1.13+dfsg-3) unstable; urgency=medium

  * Update debian/rules to allow support for multiple upstream ldb
    versions, when verified. Closes: #771991

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 04 Dec 2014 21:03:54 +0100

samba (2:4.1.13+dfsg-2) unstable; urgency=medium

  * Mask /etc/init.d/samba init script for systemd. This should make systemd
    ignore the samba init script. Thanks to Michael Biebl for the suggestion.
    Closes: #740942
  * Disable samba init script on upgrade from wheezy to jessie.
    Thanks again to Michael Biebl for the report.
    Closes: #766690

 -- Ivo De Decker <ivodd@debian.org>  Sat, 25 Oct 2014 00:49:12 +0200

samba (2:4.1.13+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 3.9.6 (no changes).

 -- Ivo De Decker <ivodd@debian.org>  Tue, 21 Oct 2014 20:22:19 +0200

samba (2:4.1.11+dfsg-2) unstable; urgency=medium

  * Updated Italian translation. Thanks Luca Monducci. Closes: #760743
  * Use HTTP in watch file, as ftp.samba.org is not working reliably for
    me.
  * Use Excluded-Files in debian/copyright for DFSG-nonfree files.
  * Update Dutch translation. Thanks Frans Spiesschaert. Closes: #763650

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 07 Sep 2014 20:52:27 +0200

samba (2:4.1.11+dfsg-1) unstable; urgency=high

  * New upstream release. Fixes:
   + CVE-2014-3560: Remote code execution in nmbd. Closes: #756759

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 03 Aug 2014 03:47:07 +0200

samba (2:4.1.9+dfsg-2) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Depend on libgnutls28-dev rather than libgnutls-dev. Closes: #753146
  * Remove outdated-autotools-helper-file overrides for config.guess and
    config.sub; files are no longer present upstream.
  * Add branch to Vcs-Git header.
  * samba.smbd.upstart: Remove leftover code for RUN_MODE=inetd, which
    was already removed elsewhere.
  * Move dsdb-module library from samba-dsdb-modules to samba-libs, to
    prevent circular dependencies between samba-dsdb-modules and samba-
    libs. This is necessary since dsdb-module is now used by the dcerpc-
    server library.

  [ Debconf translations ]
  * New Brazilian Portugese translation from Adriano Rafael Gomes.
    Closes: #752719

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 29 Jun 2014 19:43:52 +0200

samba (2:4.1.9+dfsg-1) unstable; urgency=high

  * New upstream security release. Fixes:
    - CVE-2014-0244: nmbd denial of service
    - CVE-2014-3493: smbd denial of service: server crash/memory corruption

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Mon, 23 Jun 2014 18:33:27 +0200

samba (2:4.1.8+dfsg-1) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Remove smbd and nmbd from required-start and required-stop in
    samba.init. Closes: #739887

  [ Ivo De Decker ]
  * Remove workaround for #745233.
  * New upstream release. Fixes:
    - CVE-2014-0239: dns: Don't reply to replies. Closes: #749845
    - CVE-2014-0178: Malformed FSCTL_SRV_ENUMERATE_SNAPSHOTS response.
  * Use the upstream version of the smb.conf.5 manpage, instead of building
    it. This is an ugly temporary workaround because xsltproc crashes on some
    architectures when building this manpage (due to #750593).
    This fixes the FTBFS, and should make samba installable with the new ldb
    version. Closes: #750541, 750796

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sun, 08 Jun 2014 23:37:53 +0200

samba (2:4.1.7+dfsg-2) unstable; urgency=medium

  * Build-depend on heimdal-dev instead of libkrb5-dev.
  * Add versioned build-dep on libgmp10 for now, which should be pulled in by
    libhogweed2, to be able to build in outdated build environments (like on
    most buildds). This is a workaround for #745233.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sun, 20 Apr 2014 13:44:39 +0200

samba (2:4.1.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove readline63.patch, integrated upstream.
  * Add build-dep on libkrb5-dev, no longer pulled in by libcups2-dev.
  * Don't try to delete Parse/Yapp/Driver.pm, which is no longer installed.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 19 Apr 2014 13:39:09 +0200

samba (2:4.1.6+dfsg-1) unstable; urgency=high

  * New upstream security release. Fixes:
    - CVE-2013-4496: password lockout not enforced for SAMR password changes
    - CVE-2013-6442: smbcacls can remove a file or directory ACL by mistake
  * Backport fix for readline 6.3 from master

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 15 Mar 2014 12:13:59 +0100

samba (2:4.1.5+dfsg-1) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Fix watch file.

  [ Ivo De Decker ]
  * New upstream release.
  * Remove the part of patch 26_heimdal_compat integrated upstream.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 22 Feb 2014 23:17:59 +0100

samba (2:4.1.4+dfsg-3) unstable; urgency=medium

  * Move samba.dckeytab module to samba package, as it relies on hdb.
    Closes: #736405, #736430

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 24 Jan 2014 23:35:14 +0000

samba (2:4.1.4+dfsg-2) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Depend on newer version of ctdb, as Samba won't build against older
    versions without --enable-old-ctdb.
  * Bump standards version to 3.9.5 (no changes).
  * Move libpac, db_glue and hdb module from samba-libs to samba package
    to reduce size and dependency set of libs package.
  * Fix compatibility with newer versions of the Heimdal HDB API.
    + Update 26_heimdal_compat: Fix initialization of HDB plugin. Thanks Jeff
      Clark. Closes: #732342
    + Add dependency on specific version of the Heimdal HDB API.
      Closes: #732344

  [ Steve Langasek ]
  * dhcp3-client is superseded by dhcp-client; update the references in
    the package.  Closes: #736070.
  * Move the dhcp client hook from /etc/dhcp3 to /etc/dhcp.
    Closes: #649100.
  * debian/bin/xsltproc: don't use $FAKETIME as the variable name in our
    wrapper script, this seems to make faketime unhappy.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Jan 2014 20:26:35 +0000

samba (2:4.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update version of talloc build-deps to 2.0.8.
  * python-samba: add depends on python-ntdb.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 18 Jan 2014 14:07:15 +0100

samba (2:4.1.3+dfsg-2) unstable; urgency=medium

  * Add debug symbols for all binaries to samba-dbg. Closes: #732493
  * Add lintian overrides for empty prerm scripts.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Fri, 27 Dec 2013 12:39:54 +0100

samba (2:4.1.3+dfsg-1) experimental; urgency=low

  [ Jelmer Vernooij ]
  * New upstream release.
   + Drop 0002-lib-replace-Allow-OS-vendor-to-assert-that-getpass-i.patch:
     upstream no longer uses getpass.
  * Add source dependency on libntdb1, and stop passing --disable-ntdb,
    which has been removed.
  * Remove handling for SWAT, which is no longer shipped upstream.
  * Split VFS modules out from samba-libs into a separate binary
    package.
  * Move service and process_model modules from the samba-libs to the
    samba package. Prevents dependencies on libkdc2-heimdal and
    libhdb9-heimdal.

  [ Ivo De Decker ]
  * Add build-dep on python-ntdb.
  * Add build-dep on libncurses5-dev.
  * Add depends on python-ntdb to samba.
  * New upstream release.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Mon, 09 Dec 2013 23:24:27 +0100

samba (2:4.0.13+dfsg-2) UNRELEASED; urgency=low

  [ Steve Langasek ]
  * Check for alternative's presence before calling update-alternatives
    --remove-all, instead of silently ignoring all errors from
    update-alternatives.

  [ Debconf translations ]
  * Spanish (Javier Fernández-Sanguino).  Closes: #731800

 -- Steve Langasek <vorlon@debian.org>  Mon, 09 Dec 2013 11:13:59 -0800

samba (2:4.0.13+dfsg-1) unstable; urgency=high

  [ Steve Langasek ]
  * Move update-alternatives upgrade removal handling to the postinst, where
    it belongs.  Closes: #730090.
  * Really remove all references to encrypted passwords: the
    samba-common.config script still included references, which could cause
    upgrade failures in some cases.  Closes: #729167.

  [ Ivo De Decker ]
  * New upstream security release. Fixes:
    - CVE-2013-4408: DCE-RPC fragment length field is incorrectly checked
    - CVE-2012-6150: pam_winbind login without require_membership_of
                     restrictions
  * Add empty prerm scripts for samba and samba-common-bin.prerm, to allow
    upgrades from earlier versions with broken prerm script (bug introduced in
    2:4.0.10+dfsg-3)
  * Don't fail in postinst when removing old alternatives fails.

  [ Jelmer Vernooij ]
  * Fix invocations of 'update-alternatives --remove-all'. Closes: #731192

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Mon, 09 Dec 2013 18:34:07 +0100

samba (2:4.0.12+dfsg-1) unstable; urgency=low

  [ Ivo De Decker ]
  * New upstream release.

  [ Debconf translations ]
  * Thai (Theppitak Karoonboonyanan).  Closes: #728525
  * Norwegian Bokmål (Bjørn Steensrud).  Closes: #729070
  * German (Holger Wansing).  Closes: #729210

  [ Jelmer Vernooij ]
  * Add 26_heimdal_compat: Fix compatibility with newer versions of
    Heimdal.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sun, 24 Nov 2013 07:48:20 +0100

samba (2:4.0.11+dfsg-1) unstable; urgency=high

  * New upstream security release. Fixes:
    - CVE-2013-4475: ACLs are not checked on opening an alternate data stream
                     on a file or directory
    - CVE-2013-4476: Private key in key.pem world readable
  * Move world-readable private key file on upgrade to allow
    auto-regeneration.
  * Add check in samba-ad-dc init script for wrong permission on private key
    file that would prevent samba to start.
  * Update samba-libs.lintian-overrides for moved libtorture0.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Mon, 11 Nov 2013 15:42:40 +0100

samba (2:4.0.10+dfsg-4) unstable; urgency=low

  [ Christian Perrier ]
  * Mark one debconf string as non-translatable

  [ Debconf translations ]
  * French updated (Christian Perrier).
  * Swedish (Martin Bagge / brother).  Closes: #727186
  * Hebrew (Omer Zak).
  * Japanese (Kenshi Muto).  Closes: #727218
  * Indonesian (Al Qalit).  Closes: #727543
  * Russian (Yuri Kozlov).  Closes: #727612
  * Esperanto (Felipe Castro).  Closes: #727619
  * Polish (Michał Kułach).  Closes: #727646
  * Danish (Joe Hansen).  Closes: #727764
  * Czech (Miroslav Kure).  Closes: #728100
  * Basque (Iñaki Larrañaga Murgoitio).  Closes: #728315

  [ Jelmer Vernooij ]
  * Move libtorture0 to samba-testsuite to reduce size of samba-libs and
    prevent dependency on libsubunit0.

  [ Ivo De Decker ]
  * Handle move of tdb files to private dir in samba-libs.preinst.
    Closes: #726472
  * Also do the tdb move in libpam-smbpass.preinst, to avoid breaking the pam
    module if the upgrade fails.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 02 Nov 2013 11:27:25 +0100

samba (2:4.0.10+dfsg-3) unstable; urgency=low

  [ Ivo De Decker ]
  * Remove Sesse from uploaders. Thanks for your work on samba4.
  * Include /etc/pam.d/samba in samba-common. It got lost somewhere in the
    samba4 merge. Closes: #726183
  * Remove unused alternatives links on upgrade in samba-common-bin.prerm.
  * Add support for 'status' in samba-ad-dc init script.
  * Fix umask in make_shlibs to avoid lintian error
    control-file-has-bad-permissions.
  * Enable verbose build log.
  * Run xsltproc under faketime to get the same date for manpages on different
    architectures in Multi-Arch: same packages. Closes: #726314
  * Restore build-dep on libcups2-dev, which got lost in the samba4 merge.
    This should restore the cups printing functionality. Closes: #726726
  * Add wrapper for cups-config to filter out
    -L/usr/lib/${DEB_HOST_MULTIARCH}, to work around build-failure.
  * Also add other build-deps which were present in samba 2:3.6.19-1.
  * if the same tdb file is present in /var/lib/samba and
    /var/lib/samba/private, abort the upgrade to work around #726472 for now.
  * Document swat removal. Closes: #726751

  [ Steve Langasek ]
  * Don't fail on errors from testparm in the samba init script.
    Closes: #726326
  * debian/patches/bug_221618_precise-64bit-prototype.patch: adjust the LFS
    handling to work independently of header include order.  Closes: #727065.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Tue, 22 Oct 2013 08:10:31 +0200

samba (2:4.0.10+dfsg-2) unstable; urgency=low

  * First upload the unified samba 4.x package to unstable.
    Thanks to everyone who worked on these packages all these years.
  * Remove Noël from uploaders. Thanks for your work on the samba packages
  * Add myself to uploaders.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 12 Oct 2013 11:05:55 +0200

samba (2:4.0.10+dfsg-1) experimental; urgency=low

  * Team upload.

  [ Ivo De Decker ]
  * Update vcs urls to point to samba instead of samba4.
  * New upstream release.
  * Limit build-dep on libaio-dev to linux architectures.
  * Merge init script changes from 3.6 packages.

  [ Steve Langasek ]
  * Don't put useless symlinks to nss modules in the libnss-winbind package.
  * Add lintian overrides for another set of wrong lintian errors for the
    NSS modules.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Thu, 10 Oct 2013 21:56:08 +0200

samba (2:4.0.9+dfsg-1) experimental; urgency=low

  * Team upload.

  [ Steve Langasek ]
  * The samba-ad-dc upstart job should be installed unconditionally, not just
    in Ubuntu.
  * Don't exclude our private libraries from the shlibs generation.
  * Port debian/autodeps.py to python3 and build-depend on python3 so we can
    invoke it correctly from debian/rules.

  [ Jelmer Vernooij ]
  * Bump standards version to 3.9.4 (no changes).
  * Suggest libwireshark-dev for libparse-pidl-perl, as it is necessary
    to build wireshark dissectors generated by pidl.
  * samba-ad-dc: Drop suggests for removed packages swat2 and samba-gtk.
  * samba: Remove inetd servers from suggests; inetd support was dropped
    in 3.6.16-1.
  * Fix database errors during upgrade. Closes: #700768
  * Integrate libraries in samba-libs

  [ Ivo De Decker ]
  * New upstream release.
  * Merge contents of samba-ad-dc into samba.
  * Remove systemd support for now, as it is broken. Closes: #719477
  * Add lintian override for samba-libs: package-name-doesnt-match-sonames.
  * Add missing depends for dev packages.
  * Generate correct shlibs for both public and private libs.

  [ Jeroen Dekkers ]
  * Drop 10_messaging_subsystem patch.
  * Add patch to not install smbclient4 and nmblookup4 and remove
    samba4-clients binary package.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sun, 22 Sep 2013 17:19:44 +0200

samba (2:4.0.8+dfsg-1) experimental; urgency=low

  [ Christian Perrier ]
  * Remove all mention of "Samba 4" and "experimental version of Samba"
    in packages' description.  Samba version 4 is now production-ready.

  [ Andrew Bartlett ]
  * Update build-dependencies on Samba libraries using autodeps.py
  * New upstream security release. Closes: #718781
    Fixes CVE-2013-4124: Denial of service - CPU loop and memory allocation

  [ Ivo De Decker ]
  * New upstream release
  * refresh patches for new upstream version
  * remove patches integrated upstream
  * Update build-dependencies for new upstream version
  * Add replaces for python-samba for packages that take over files from it.
    Closes: #719212

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sun, 11 Aug 2013 23:45:16 +0200

samba (2:4.0.6+dfsg-1) experimental; urgency=low

  * Team upload.

  [ Andrew Bartlett ]
  * Converted to full AD DC package on the basis of the 3.6 package
    - Samba now can be an Active Directory Domain controller
    - The samba4-* packages are replaced by this package.
    - This package now uses the s3fs file server by default, not the ntvfs
      file server used in the samba4 packages.
  * Provides a new library based package
    - Upstream's new build system uses libraries extensively, so new
      packages reflect that.
    - This provides the libraries that Openchange and other projects depend on
  * Move binary files out of /var/lib/samba to /var/lib/samba/private,
    where they belong according to upstream Samba:
    - schannel_store.tdb
    - idmap2.tdb
    - passdb.tdb
    - secrets.tdb
  * Remove most of the samba4 references, except for binaries ending in 4
  * Removed debconf support for encrypted passwords
  * Samba 3.x users upgrading can either upgrade to an AD DC or continue
    using Samba without major changes.

  [ Christian Perrier ]
  * Move libnss_winbind.so.2 and libnss_wins.so.2 to /lib as in 3.6.*
  * Use the same set of configure arguments than 3.6.15 (except those
    eventually specific to version 4 and above)
  * Add libctdb-dev to build dependencies as we're building with cluster
    support just like 3.6 packages
  * Re-introduce mksmbpasswd for compatibility with 3.* packages

  [ Ivo De Decker ]
  * Specify all paths using configure options, so that we can finally get rid
    of the fhs patch. Closes: #705449

  [ Steve Langasek ]
  * Make samba-common Conflicts: swat, which is now obsolete and no longer
    built from samba 4.0; the old versions of swat in the archive are
    incompatible with smb.conf from samba 4.0, so force them off the system
    to avoid configuration corruption.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Thu, 20 Jun 2013 21:51:49 +0200

samba4 (4.0.3+dfsg1-0.1) experimental; urgency=low

  [ Andrew Bartlett ]
  * Non-maintainer upload.
  * New upstream relese: 4.0.3
   + Fixes CVE-2013-0172 Samba 4.0.0 as an AD DC may provide authenticated users
     with write access to LDAP directory objects
   + Fixes many other ACL related issues in the AD DC
   + Drop 08_waf_python_config as it is now upstream.
  * Fix the forced use of NTVFS by setting the required options in the smb.conf
    at configure time.
  * Add depenencies to ensure python-samba requires exactly this binary version
    of our core libraries. Closes: #700348

 -- Andrew Bartlett <abartlet@samba.org>  Sat, 16 Feb 2013 17:06:34 +0100

samba4 (4.0.0+dfsg1-1) experimental; urgency=low

  [ Martin Pitt ]
  * debian/tests/control: Fix dependency: python-samba4 does not exist, it's
    python-samba. Closes: #695854

  [ Jelmer Vernooij ]
  * New upstream release: 4.0.0!
   + Add 08_waf_python_config to cope with python-config no longer
     being a script.
  * Add 25_heimdal_api_changes, to update Samba to work with the
    current Heimdal in Sid. Patch from
    Samuel Cabrero Alamán <scabrero@zentyal.com>. Closes: #686227
  * Add 11_force_ntvfs: Force the use of NTVFS, until the version of smbd in
    the archive is new enough. Closes: #694697
  * Drop dependency on libsmbclient; instead, build private copy.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 13 Dec 2012 16:27:20 +0100

samba4 (4.0.0~rc6+dfsg1-1) experimental; urgency=low

  * New upstream release.
   + Drop 08_heimdal_config_h and 11_system_heimdal, now applied upstream.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 04 Dec 2012 14:39:40 +0100

samba4 (4.0.0~rc5+dfsg1-1) experimental; urgency=low

  * New upstream release.
  * Add autopkgtest header. Closes: #692671
  * Use Multi-Arch for winbind4.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 08 Nov 2012 15:13:43 +0100

samba4 (4.0.0~rc4+dfsg1-1) experimental; urgency=low

  * New upstream release.
   + Bump minimum ldb version to 1.1.13.
  * Switch to Git as VCS.
  * Remove DM-Upload-Allowed field.
  * Depend on heimdal-multidev rather than heimdal-dev.
   + Add 11_system_heimdal to support building with system heimdal.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 28 Oct 2012 16:21:43 +0100

samba4 (4.0.0~rc3+dfsg1-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 16 Oct 2012 14:53:19 +0200

samba4 (4.0.0~rc2+dfsg1-2) experimental; urgency=low

  * Depend on at least ldb 1.1.12. Closes: #689594
  * Suggest ntp daemon for ntpsignd integration.
  * Support specifying 'none' as server role to disable provision.
    Closes: #690138
  * Prompt user for administrator password. Closes: #690139
  * Bump debconf level of server role to 'high'.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 04 Oct 2012 13:22:40 +0200

samba4 (4.0.0~rc2+dfsg1-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 25 Sep 2012 03:34:08 +0200

samba4 (4.0.0~beta2+dfsg1-3) unstable; urgency=low

  * Fix setup when no domain is set. Closes: #681048

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 05 Aug 2012 16:52:02 +0200

samba4 (4.0.0~beta2+dfsg1-2) unstable; urgency=low

  * Use ntvfs while debian ships an old version of Samba 3. Closes: #679678
  * Don't attempt to add shares to the configuration if it doesn't
    exist. Closes: #681050

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 10 Jul 2012 11:52:44 +0200

samba4 (4.0.0~beta2+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Update Slovak translation. Thanks Ivan Masár. Closes: #677906
  * Add build dependency on libacl1-dev.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 18 Jun 2012 00:49:12 +0200

samba4 (4.0.0~beta1+dfsg1-3) unstable; urgency=high

  * Prevent adding share with invalid name when used in domain controller mode.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 17 Jun 2012 17:00:00 +0200

samba4 (4.0.0~beta1+dfsg1-2) unstable; urgency=low

  * Create leading directories in addshare script. Closes: #677643
  * Use attr/attributes.h on GNU/kFreeBSD. Fixes finding of ATTR_ROOT.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 16 Jun 2012 01:42:10 +0200

samba4 (4.0.0~beta1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Add 08_heimdal_config_h: Fixes compatibility with newer versions of
    Heimdal. Closes: #674918
  * Use standard spelling of domain controller in debconf templates.
    Closes: #670413
  * Switch to debhelper 9.
  * samba4-clients: Drop conflicts with smbclient; upstream has renamed
    the Samba4-specific smbclient and nmblookup binaries.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 30 May 2012 18:42:06 +0200

samba4 (4.0.0~alpha20+dfsg1-1) unstable; urgency=medium

  * New upstream release.
   + No longer installs libkdc-policy.so. LP: #887537

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 01 May 2012 15:02:19 +0200

samba4 (4.0.0~alpha19+dfsg1-7) unstable; urgency=low

  * Only update smb.conf if it exists. Closes: #670560
  * Automatically add shares required for active directory controllers if they
    don't exist. Closes: #670558

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 26 Apr 2012 19:59:26 +0200

samba4 (4.0.0~alpha19+dfsg1-6) unstable; urgency=low

  * Rebuild against ldb 1.1.6.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 20 Apr 2012 12:47:15 +0200

samba4 (4.0.0~alpha19+dfsg1-5) unstable; urgency=low

  * Use dbcheck when upgrading from recent versions of Samba4, as it's
    both more reliable and quicker than upgradeprovision.
  * Move samba-dsdb-modules from Recommends to Depends, as LDAP server
    support has been dropped. Closes: #669331

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 19 Apr 2012 17:33:33 +0200

samba4 (4.0.0~alpha19+dfsg1-4) unstable; urgency=low

  * Fix pattern matching line in setoption.py. Thanks Hleb Valoshka.
    Closes: #669015
  * setoption.py: Preserve mode on smb.conf file.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 16 Apr 2012 17:33:07 +0200

samba4 (4.0.0~alpha19+dfsg1-3) unstable; urgency=low

  * Convert setoption.pl to Python to avoid dependency on perl-modules.
    Closes: #668800

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 15 Apr 2012 15:50:57 +0200

samba4 (4.0.0~alpha19+dfsg1-2) unstable; urgency=low

  * Correctly import server role and realm from existing smb.conf file.
    LP: #936891 LP: #832465 Closes: #659775
  * Force correct realm during upgradeprovision. LP: #728864

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 13 Apr 2012 16:47:37 +0200

samba4 (4.0.0~alpha19+dfsg1-1) unstable; urgency=low

  * New upstream release.
   + Drop patches applied upstream: 06_upgradedns, 08_smb2_deps.
   + Cope with missing sysvol folders during provision upgrade. LP: #930370
   + Depend on tdb 1.2.10.
   + Depend on ldb 1.1.5.
   + Fixes CVE-2012-1182: PIDL based autogenerated code allows overwriting
     beyond of allocated array.
  * Fix replaces: samba-common field in samba4-common-bin.
  * Update Catalan debconf translation. Thanks, Jordi Mallach.
    Closes: #663737

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 11 Apr 2012 16:58:39 +0200

samba4 (4.0.0~alpha18.dfsg1-4) unstable; urgency=low

  * Add patch 08_smb2_deps: Remove (unnecessary) dependencies on various
    private Samba 3 libraries, for which proper package Depends: lines were
    missing.  Closes: #665295
  * Add dependency on tdb-tools. This will be removed once upstream
    removes the use of tdbbackup in provision. Closes: #664658

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 28 Mar 2012 16:20:21 +0200

samba4 (4.0.0~alpha18.dfsg1-3) unstable; urgency=low

  * Fix compatibility with newer versions of Heimdal. Fixes FTBFS.
    Closes: #664820

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 21 Mar 2012 14:11:29 +0100

samba4 (4.0.0~alpha18.dfsg1-2) unstable; urgency=low

  * Add Replaces: python-samba to libsmbclient-raw0 as some
    private libraries have moved. Thanks Axel Beckert. Closes: #663641

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 13 Mar 2012 16:39:12 +0100

samba4 (4.0.0~alpha18.dfsg1-1) unstable; urgency=low

  [ Jelmer Vernooij ]
  * New upstream release.
   + Depend on newer versions of ldb.
   + Depend on tevent >= 0.9.15.
   + Sanitizes NetBIOS names. LP: #938592
   + Re-adds support for 'security = domain' parsing. LP: #916556
  * Fix typo in recommendations of samba4: samba4-dsdb-modules ->
    samba-dsdb-modules.
  * Recommend attr package for Samba4.
  * Create util.h -> samba_util.h symlink for backwards compatibility.
  * Add dependency on libbsd-dev, used for strlcat and strlcpy.
  * Extracts waf source code. Closes: #654500

  [ Debconf translations ]
  * Russian (Yuri Kozlov).  Closes: #651583
  * Portuguese (Miguel Figueiredo).  Closes: #653557
  * German (Holger Wansing).  Closes: #653714
  * Norwegian Bokmål (Bjørn Steensrud).  Closes: #654284
  * Spanish (Javier Fernández-Sanguino).  Closes: #656403
  * Danish (Joe Hansen).  Closes: #656785
  * Dutch (Jeroen Schot).  Closes: #657469
  * Hebrew (Omer Zak).
  * Polish (Michał Kułach).  Closes: #659570
  * Czech (Miroslav Kure).  Closes: #659573
  * Turkish (İsmail BAYDAN).  Closes: #659575
  * Japanese (Kenshi Muto).  Closes: #659978
  * Esperanto (Felipe Castro)

  [ Jelmer Vernooij ]
  * Rename upgradedns to less generic samba_upgradedns.
  * Bump standards version to 3.9.3 (no changes).
  * Use DEP-5 for copyright file.
  * Indonesian (Mahyuddin Susanto).  Closes: #660031
  * Italian (Luca Monducci).  Closes: #660150
  * Use samba-tool to retrieve configuration options from debconf.
    LP: #936891, Closes: #659775
  * Add really basic autopkgtest test.
  * Fix bundled libraries for samba.samba3 python module. LP: #889869

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 12 Mar 2012 19:01:00 +0100

samba4 (4.0.0~alpha17.dfsg2-1) unstable; urgency=low

  * Remove more non-free IETF files. Closes: #547280
  * Rebuild for newer version of ldb.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 03 Dec 2011 01:41:49 +0100

samba4 (4.0.0~alpha17.dfsg1-3) unstable; urgency=low

  * Install libmemcache.so, libutil_str.so and various other private libraries
    required by the samba3 module in python-samba. LP: #889864, LP: #889869

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 13 Nov 2011 17:03:29 +0100

samba4 (4.0.0~alpha17.dfsg1-2) unstable; urgency=low

  * Include upstart file to eliminate delta with Ubuntu.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 11 Nov 2011 16:13:58 +0100

samba4 (4.0.0~alpha17.dfsg1-1) unstable; urgency=low

  * Strip non-free IETF RFC files. Closes: #547280
  * Rebuild against newer ldb. Closes: #648326
  * Updated Swedish debconf translation. Thanks Martin Bagge.
    Closes: #644942
  * Updated French debconf translation. Thanks Christian Perrier.
    Closes: #644465

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 11 Nov 2011 03:16:37 +0100

samba4 (4.0.0~alpha17-3) unstable; urgency=low

  * Upload to unstable. Closes: #642905
  * Use default python version rather than 2.7.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 27 Sep 2011 00:11:31 +0200

samba4 (4.0.0~alpha17-2) experimental; urgency=low

  * In -dev package dependencies, depend on a specific version of other
    Samba dev packages.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 24 Sep 2011 23:10:30 +0200

samba4 (4.0.0~alpha17-1) experimental; urgency=low

  * New upstream release.
  * Add libsmbclient-{raw0,dev} packages, required for winexe.
  * Add libsamba-credentials0 and libsamba-credentials-dev packages for
    new public library for credentials management.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 18 Sep 2011 15:14:42 +0200

samba4 (4.0.0~alpha17~git20110807.dfsg1-1) experimental; urgency=low

  * New upstream snapshot.
  * Depend on newer version of ldb. Closes: #636961
  * Update Indonesian Debconf translation. Thanks Mahyuddin Susanto.
    Closes: #608552
  * Preserve server role set in smb.conf. LP: #815586

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 07 Aug 2011 23:37:37 +0200

samba4 (4.0.0~alpha17~git20110801.dfsg1-1) experimental; urgency=low

  * Improve outdated package descriptions. Closes: #486370
  * New upstream release.
  * Bump standards version to 3.9.2 (no changes).
  * Add new libsamdb-dev package, required by openchange which relies on the
    samdb.pc file.
   + No header files are shipped yet, but an upstream fix is pending.
  * Recommend bind9utils in samba4 package.
  * Remove complex dependency loop between library packages. Closes: #598842
   + Disable currently unfinished ldb share module.
   + Split dcerpc server libraries out into libdcerpc-server{0,-dev} to
     cut dependency loop.
   + New samba-dsdb-modules package with all DSDB related LDB modules.
  * Move libwinbind-client library to libgensec0. Closes: #623327
  * Add support for multi-arch.
  * Switch to new style debhelper.
  * Fix symbolic link for ldb modules. Closes: #632974

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 31 Jul 2011 20:16:03 +0200

samba4 (4.0.0~alpha15.dfsg1-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 22 Apr 2011 02:57:04 +0200

samba4 (4.0.0~alpha15~git20110410.dfsg1-1) experimental; urgency=low

  * New upstream snapshot.
   + Drop patch now applied upstream: 02_backupkey_private.diff
  * Switch to dh_python2. Closes: #617059

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 05 Mar 2011 14:44:25 +0100

samba4 (4.0.0~alpha15~git20110224.dfsg1-2) experimental; urgency=low

  * Depend on newer version of Heimdal which exposes more hx509 symbols.
    Fixes FTBFS.
  * Tighten libldb1 dependency for LDB modules.
  * Depend on newer version of pyldb.  Closes: #615631

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 28 Feb 2011 03:52:35 +0100

samba4 (4.0.0~alpha15~git20110224.dfsg1-1) experimental; urgency=low

  * New upstream release.
   + Avoids unnecessary setlocale call to "C". LP: #519025, #519025
  * Fix dependency on newer version of ldb. Closes: #614466
  * Add missing dependency on python-samba, required for testparm. LP: #641082
  * Use libwbclient. LP: #714344, Closes: #611214
  * Make sure /var/run/samba exists. LP: #646037

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 23 Feb 2011 00:35:59 +0100

samba4 (4.0.0~alpha15~git20110124.dfsg1-2) experimental; urgency=low

  * Build-depend on newer version of heimdal-multidev with fixed kdc.h.
  * Build-depend on versioned libkdc2-heimdal which includes kdc_log. Closes: #611112

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 25 Jan 2011 09:22:16 -0800

samba4 (4.0.0~alpha15~git20110124.dfsg1-1) experimental; urgency=low

  * New upstream snapshot.
   + Removes unresolved symbols from libraries.
     Closes: #596690, #599075, #602855.  LP: #658116, #592882, #646042
  * Add dependency on comerr-dev.
  * Update Spanish Debconf translation. Thanks Ricardo Fraile. Closes: #596075
  * Update Danish debconf translation. Thanks Joe Dalton. Closes:
    #598779
  * Re-remove non-free IETF RFCs, add test to prevent future regression.
    Closes: #547280
  * Depend on libreadline-dev rather than libreadline5-dev. Closes: #553846
  * Upgrade provision data between releases. Closes: #600117

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 15 Oct 2010 01:32:48 +0200

samba4 (4.0.0~alpha14~bzr13684.dfsg1-1) unstable; urgency=low

  * New upstream snapshot.
   + Depend on libsubunit-dev.
  * Support talloc 2.0.1.
  * Update dependency for ldb to be >= 0.9.14. Closes: #596745
  * Support parallel builds.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 28 Sep 2010 09:46:54 +0200

samba4 (4.0.0~alpha13+git+bzr12785.dfsg1-1) experimental; urgency=low

  * Install provision scripts to /usr/share/samba/setup.
  * Move nsstest from samba4 to winbind4.
  * Support building against tdb 1.2.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 10 Sep 2010 17:45:20 +0200

samba4 (4.0.0~alpha13+git+bzr12687.dfsg1-1) experimental; urgency=low

  * New upstream snapshot.
  * Mark as compatible with older versions of tdb (>= 1.2.2).

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 08 Sep 2010 03:30:03 +0200

samba4 (4.0.0~alpha13+git+bzr12670.dfsg1-1) experimental; urgency=low

  * Add missing dependency on pkg-config.
  * Require subunit >= 0.0.6, older versions have a broken tap2subunit.
  * Debconf translations:
    - Swedish (Martin Bagge).  Closes: #586819
  * New upstream snapshot.
    - Fixes symbols for LDB modules. Closes: #594763, #594771, #594773.
  * Require tdb 1.2.3. Closes: #595644

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 05 Sep 2010 17:34:46 +0200

samba4 (4.0.0~alpha13+git+bzr12292.dfsg1-1) experimental; urgency=low

  * New upstream snapshot.
   + Fixes provision to be able to find the data path again.
  * Depend on libreadline-dev rather than libreadline5-dev. Closes: #553846
  * Suggest swat2.
  * Migrate to Bazaar.
  * Bump standards version to 3.9.1 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 22 Aug 2010 02:38:51 +0200

samba4 (4.0.0~alpha13+git20100618.dfsg1-1) experimental; urgency=low

  [ Jelmer Vernooij ]
  * New upstream snapshot. Closes: #578009, #577880
   + Add dependency on python-dnspython.
   + Removes last Python string exception. Closes: #585327
   + Installs all display specifiers. Closes: #548911

  [ Christian Perrier ]
  * Debconf translations:
    - Swedish (Martin Bagge).  Closes: #552734
    - Russian (Yuri Kozlov).  Closes: #563346
    - Spanish (Omar Campagne).  Closes: #579099

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 28 Feb 2010 02:33:37 +0100

samba4 (4.0.0~alpha8+git20100227.dfsg1-1) experimental; urgency=low

  * Fix sections of libndr-standard0 and libndr0.
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 22 Feb 2010 11:19:07 +0100

samba4 (4.0.0~alpha8+git20100222.dfsg1-1) experimental; urgency=low

  [ Christian Perrier ]
  * Change "Provides:" in init script to avoid conflicting Provides
    with samba. Closes: #547209
  * Swedish debconf translation (Martin Bagge).  Closes: #552734

  [ Jelmer Vernooij ]
  * Depend on specific version of libldb. Closes: #562389
  * Build against system Heimdal and remove the copy of Heimdal from the
    Samba 4 source tree, since it contains non-free IETF RFC/I-D.
    Closes: #547280
  * Bump standards version to 3.8.4.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 03 Feb 2010 15:17:20 +0100

samba4 (4.0.0~alpha8+git20090912-1) unstable; urgency=low

  * Upload to unstable.
  * Fix nmblookup.1.gz filename for alternatives.
  * New upstream snapshot.
   + Add new binary packages libndr-standard0 and libndr-standard-dev.
  * Bump standards version to 3.8.3.
  * Remove unused patch system.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 12 Sep 2009 13:28:33 +0200

samba4 (4.0.0~alpha8+git20090718-1) experimental; urgency=low

  * New upstream snapshot.
  * The server package now suggests a version of bind9 that supports
    update-policy.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Jul 2009 17:34:30 +0200

samba4 (4.0.0~alpha8~git20090620-1) experimental; urgency=low

  * Support building against Python2.6.
  * Add missing dependency on tdb >= 1.1.3. (Closes: #517171)
  * Add missing dependencies on tdb-dev and libtalloc-dev to
    libldb-samba4-dev. (Closes: #525885)
  * Use newer version of tevent. (Closes: #531480, #533457, #533455)
  * New upstream snapshot.
  * Bump standards version to 3.8.2.
  * Reorganization to let Samba 3 and Samba 4 co-exist on the same system:
   + Depend on samba-common for smb.conf, /etc/samba/gdbcommands,
     /usr/share/samba/{panic-action,*.dat}.
   + Rename samba4-common to samba4-common-bin.
  * samba4-testsuite now recommends subunit, since it can output subunit
    streams.
  * Document license for Active Directory schemas.
  * Fix init script to run samba rather than smbd. (Closes: #522646)
  * Removed libldb-samba4-{dev,0}, now using libldb{-dev,0} since there
    are no longer any differences.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 18 Jun 2009 00:19:44 +0200

samba4 (4.0.0~alpha7~20090225-1) experimental; urgency=low

  * Build-depend on pkg-config, as we no longer seem to pull that in
    through any other dependencies. (Closes: #516882)

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 25 Feb 2009 04:04:36 +0100

samba4 (4.0.0~alpha7~20090223-1) experimental; urgency=low

  * Add build dependency on libpopt-dev, so the system libpopt is always used
    rather than the one included by Samba.
  * Use the alternatives system for the smbstatus, nmblookup, net and testparm
    binaries as well as various data files.
  * Make the samba4 and samba4-testsuite packages conflict with
    samba-tools. (Closes: #506236)
  * Build against external libtevent.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 21 Feb 2009 17:46:41 +0100

samba4 (4.0.0~alpha6-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 20 Jan 2009 02:59:15 +0100

samba4 (4.0.0~alpha5+20090105-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 05 Jan 2009 21:08:53 +0100

samba4 (4.0.0~alpha5+20081126-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 26 Nov 2008 03:48:41 +0100

samba4 (4.0.0~alpha5+20081101-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Sat, 01 Nov 2008 14:40:09 +0100

samba4 (4.0.0~alpha5+20081031-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Fri, 31 Oct 2008 00:10:41 +0100

samba4 (4.0.0~alpha5+20081014-1) experimental; urgency=low

  * Fix typo in description. (Closes: 500811)
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Thu, 09 Oct 2008 18:41:59 +0200

samba4 (4.0.0~alpha5+20080930-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 30 Sep 2008 16:19:22 +0200

samba4 (4.0.0~alpha5+20080825-1) experimental; urgency=low

  * Add watch file.
  * Use policy-compliant sysconfdir and localstatedir. (Closes: #495944)

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 25 Aug 2008 17:42:44 +0200

samba4 (4.0.0~alpha4~20080727-1) experimental; urgency=low

  [ Steve Langasek ]
  * Add missing dependency on libparse-yapp-perl to libparse-pidl-perl.

  [ Jelmer Vernooij ]
  * Make samba4-common conflict with samba-common. (Closes: #492088)
  * New Slovak translation. (Closes: #487889)
  * New Thai translation from Theppitak Karoonboonyanan. (Closes: #486614)
  * New Vietnamese translation from Clytie Siddall. (Closes: #486618)
  * New Bulgarian translation from Damyan Ivanov. (Closes: #486626)
  * New Japanese translation from Kenshi Muto. (Closes: #486648)
  * New Galician translation from Jacobo Tarrio. (Closes: #486701)
  * New Turkish translation from Mehmet TURKER. (Closes: #487244)
  * New Czech translation from Miroslav Kure. (Closes: #487265)
  * New Arabic translation from Ossama Khayat. (Closes: #487322)
  * New German translation from Holger Wansing. (Closes: #487542)
  * New Italian translation from Luca Monducci. (Closes: #487720)
  * New Portugese translation from the Portuguese Translation Team.
    (Closes: #487753)
  * New Korean translation from Sunjae Park. (Closes: #487894)
  * New Lithuanian translation from Gintautas Miliauskas. (Closes: #487895)
  * New Romanian translation from Eddy Petrișor. (Closes: #488874)

 -- Jelmer Vernooij <jelmer@samba.org>  Sun, 27 Jul 2008 15:38:41 +0200

samba4 (4.0.0~alpha4~20080617-1) experimental; urgency=low

  * Fixed maintainer email address.
  * New upstream snapshot.
  * Remove dependency on unpackaged libevents in ldb pkg-config file.

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 16 Jun 2008 21:29:43 +0200

samba4 (4.0.0~alpha4~20080616-1) experimental; urgency=low

  * Fix dependency of libsamba-hostconfig-dev on libsamba-hostconfig0.
  * Fix dependency of libldb-samba4-dev on libldb-samba4-0.
  * Remove tdb binaries as they're already packaged elsewhere.
    (Closes: #485619, #486270)
  * New upstream snapshot.
  * New French translation from Christian Perrier. (Closes: #486072)

 -- Jelmer Vernooij <jelmer@samba.org>  Sat, 14 Jun 2008 20:39:13 +0200

samba4 (4.0.0~alpha4~20080522-1) experimental; urgency=low

  * New upstream snapshot. (Closes: #478328)

 -- Jelmer Vernooij <jelmer@samba.org>  Thu, 22 May 2008 02:25:05 +0200

samba4 (4.0.0~alpha4~20080403-1) experimental; urgency=low

  * Rename source package to samba4.

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 28 Jan 2008 17:23:58 +0100

samba (4.0.0~alpha3~20080120-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Sat, 19 Jan 2008 22:34:08 +0100

samba (4.0.0~alpha2~svn26294-1) experimental; urgency=low

  * New upstream snapshot.
  * Set Vcs-Svn field.

 -- Jelmer Vernooij <jelmer@samba.org>  Sat, 19 Jan 2008 22:32:28 +0100

samba (4.0.0~~tp5-1) experimental; urgency=low

  * New upstream release.
  * Set homepage field.

 -- Jelmer Vernooij <jelmer@samba.org>  Sun, 25 Nov 2007 16:28:02 +0000

samba (4.0.0~~svn22819-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 09 May 2007 15:28:50 +0200

samba (4.0.0~~svn19515-1) experimental; urgency=low

  * New upstream versions (svn snapshots of r19515).

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 30 Oct 2006 16:45:36 +0100

samba (3.9.1+4.0.0tp2-1) experimental; urgency=low

  * New upstream version (tech preview 2).

  [ Jelmer Vernooij ]
  * Remove setntacl utility (it doesn't do anything).
  * Include oLschema2ldif.1 in the ldb-tools package.
  * Enable shared library building.
  * Put ldb, tdb, gtksamba, talloc and gensec libraries into seperate binary packages.
  * Pass fewer options for paths to configure
  * Adapt to new paths from upstream

 -- Jelmer Vernooij <jelmer@samba.org>  Thu, 23 Mar 2006 01:13:32 +0100

samba (3.9.1+4.0.0tp1-1) experimental; urgency=low

  * New upstream version (tech preview 1).

  [ Steinar H. Gunderson ]
  * Forward-port panic-action script from the Samba 3 packaging.
    * Patch the smb.conf provisioning template (only used by swat in the
      Debian packaging) to use the panic-action script by default.
    * Patch the samba-common postinst to generate smb.conf files with the
      same setting.
  * Include ntlm_auth.1 and smbd.8 man pages in the samba package.
  * Make the samba dependency on samba-common versioned.
  * Install /usr/bin/setntacl manually; the upstream install target doesn't
    seem to do it anymore.
  * Ask for the realm (and give it to the upgrade script) when upgrading from
    Samba 3; it can't be easily autodetected. (Note that upgrade still seems
    to be broken for now.)

  [ Jelmer Vernooij ]
  * Remove gwsam utility.
  * Include gwcrontab.1 and gepdump.1 man pages in the samba-gtk-frontends
    package.
  * Remove ldbtest utility from ldb-tools package.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 24 Jan 2006 16:01:59 +0100

samba4 (3.9.0-SVN-build-6710-1) unstable; urgency=low

  * Newer upstream version

 -- Jelmer Vernooij <jelmer@samba.org>  Thu, 12 May 2005 14:04:05 +0200

samba4 (3.9.0-SVN-build-655-1) unstable; urgency=low

  * Initial release.

 -- Jelmer Vernooij <jelmer@samba.org>  Thu, 13 May 2004 01:38:41 +0200

samba (3.9.0+SVN12946-1) experimental; urgency=low

  * New upstream version.
    * Fix upgrades from Samba 3 giving too few parameters to provision().
      (Closes: #348079)
  * Add sections to binary packages to match the archive:
    * libparse-pidl-perl: perl
    * samba-dev: devel
    * samba-gtk-frontends: x11
  * Adjust our export procedure we get the Subversion revision number in
    include/version.h (and thus in the build itself), and document how in
    README.building.
  * Remove "reload" option from the init script, since Samba 4 doesn't
    understand SIGHUP yet.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 15 Jan 2006 13:43:43 +0100

samba (3.9.0+SVN12856-1) experimental; urgency=low

  * New upstream version.
  * Move testparm from samba into samba-common.
    * Make samba-common Architecture: any.
    * Make samba-common replace/conflict samba (<= 3.9.0+SVN12739-1).
  * Make samba-clients depend on samba-common.
  * Make samba-common depend on debconf.
  * Replace debconf dependencies with ${misc:Depends}, to automatically
    get the debconf-2.0 alternative right.
  * Include the newuser binary in samba-server package.
  * Add missing Build-Depends on: libgnutls-dev, libreadline5-dev,
    libpam0g-dev. All were causing silent build failures (ie. the package
    was simply built without the features).
  * Remove Build-Depends on libldap-dev.
  * Include NEWS file.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 11 Jan 2006 22:08:32 +0100

samba (3.9.0+SVN12739-1) experimental; urgency=low

  * Move /usr/lib/samba/setup from samba-common to samba.
    * Make samba replace samba-common (<= 3.9.0+SVN12726-1)
  * Add a missing db_stop in samba.postinst, probably causing problems
    starting the daemon in some cases.
  * Add orphan files from /usr/bin (and relevant manpages) into their
    correct packages:
    * ldb-tools: ldbrename, ldbtest, oLschema2ldif.
    * samba: ntlm_auth.
    * samba-clients: getntacl.
    * samba-gtk-frontends: gwcrontab.
    * winregistry-tools: winreg.
    * samba3dump and tdbtorture remain orphans.
  * Add new executable /usr/bin/testparm to samba package.
    * Add /var/lib/samba directory to samba package; it's needed by
      testparm.
  * Rewrite configuration/bootstrapping to be able to install the client
    only and still get a usable smb.conf. The basic idea is:
    * samba-common looks for an smb.conf. If there is none, it asks for
      realm and domain and generates a skeleton smb.conf.
    * If samba notices an upgrade from Samba 3, it asks whether the user
      wants to upgrade. If not, it leaves everything alone (and broken).
    * Otherwise, samba asks whether the user wants to set up a PDC. If yes,
      it adds "server role = pdc" to smb.conf and provisions the server.
  * Removed unused file samba.conffiles.
  * Run dh_installdebconf on architecture-independent packages as well, now
    that samba-common has a config script.
  * Let samba-clients conflict/replace samba-common (<< 3.9.0), as they share
    /usr/bin/net.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri,  6 Jan 2006 14:25:50 +0100

samba (3.9.0+SVN12726-1) experimental; urgency=low

  * First upload to Debian main.

  * Package renaming to get more in line with Samba 3 packaging:
    * Rename samba-server package to just samba, for consistency with the
      Samba 3 packaging.
      * Rename samba.samba.init to samba.init, now that the init script and the
        server package are called the same.
    * Rename samba-swat to swat, and add a dependency from swat to samba.

  * debian/rules changes:
    * Change SOURCEPATH to reflect that we now have the packaging in debian/,
      not packaging/debian/. This will have to be reverted whenever upstream
      syncs with us.
    * Removed debmake comment, it's hardly relevant any more.
    * Removed comment that there aren't any architecture-independent packages
      (because there are).
    * Remove redundant "package=samba" variable.
    * Do "make pch ; make all" instead of "make proto ; -make pch ; make all";
      some build system bug prevents us from just doing "make pch all", but
      since we're more or less guaranteed a recent gcc version, the pch target
      shouldn't fail, so we won't allow it to.
    * Remove autogen.sh call from configure; it should be done in the
      upstream tarball, not in maintainer scripts.

  * debian/control changes:
    * Copied Uploaders: line from Samba 3 packaging, adding myself.
    * Rename samba-client package to samba-clients.
    * Make samba-clients Replaces/Conflicts smbclient.
    * Build-depend on docbook-xml, not just docbook-xsl -- the documentation
      needs data from both to build.
    * Move the samba binary package to the top, so it's the one receiving
      the README.* files, among others.

  * Maintainer script changes:
    * Attempt to upgrade from Samba 3 if that's what the user tries to do.
      * Copy upgrade script into /usr/lib/samba/setup.
      * Check for upgrade from << 3.9.0 in config, and ask the user for upgrade
        if relevant.
      * Check for upgrade from << 3.9.0 in postinst, and upgrade if the user
        wished to.
    * Only provision in samba.postinst if we're doing a fresh install.
    * Support purging properly in postrm, both for samba and samba-common
      (adapted from the Samba 3 packaging).
    * Don't ask about an administrator password -- just let the provisioning
      scripts make up a random one.
      * Updated README.Debian to show the user how to change the password.
      * Make samba recommend ldb-tools.
    * Install README.building along with all the other documentation.
    * Don't try to ask about the "done" question, which we nuked in a previous
      release.

  * Updated debian/copyright.
    * Added Samba copyright holders.
    * Noted that talloc, ldb and tdb are under the LGPL.
    * Added copyright holders and licensing for the packaging itself.

  * Remove a few unused files in the packaging.
  * Change debhelper compatibility level to 5.
    * Update versioned depends accordingly.
  * Don't give --pidfile to start-stop-daemon when stopping -- current
    versions of Samba 4 won't die when the parent is killed.
  * Updated README.debian somewhat, and renamed to use a capital D.
  * Rewritten README.building, to reflect the magic that has to be done
    with the package in another repository.
  * Update po/POTFILES.in to reflect name change (from samba4-server ->
    samba-server -> samba).

 -- Steinar H. Gunderson <sesse@debian.org>  Thu,  5 Jan 2006 21:27:13 +0100

samba (3.9.0+SVN12395-1) unstable; urgency=low

  * New snapshot, drop 4 suffix

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 20 Dec 2005 13:38:26 +0100

samba4 (3.9.0+SVN12312-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 27 Jun 2005 11:25:57 +0200

samba (2:3.6.19-1) unstable; urgency=low

  * Team upload.
  * New upstream release

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Wed, 25 Sep 2013 20:01:48 +0200

samba (2:3.6.18-1) unstable; urgency=low

  * Team upload.

  [ Steve Langasek ]
  * Split the samba init script into nmbd and smbd init scripts, for better
    alignment with how init systems other than sysvinit work.  This also
    drops the override of the arguments to update-rc.d in debian/rules,
    no longer needed in the post-insserv world.
  * Add upstart jobs from Ubuntu for smbd, nmbd, and winbind.

  [ Ivo De Decker ]
  * New upstream release

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Tue, 20 Aug 2013 22:06:45 +0200

samba (2:3.6.17-1) unstable; urgency=high

  * Team upload.
  * New upstream security release. Closes: #718781
    Fixes CVE-2013-4124: Denial of service - CPU loop and memory allocation

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Mon, 05 Aug 2013 13:46:23 +0200

samba (2:3.6.16-2) unstable; urgency=high

  * Team upload.
  * Make build-dep on libtevent-dev explicit.
  * Fix waf-as-source.patch to make sure unpacking works in recent build
    environment. Closes: #716932

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Tue, 16 Jul 2013 22:01:04 +0200

samba (2:3.6.16-1) unstable; urgency=low

  * Team upload.

  [ Steve Langasek ]
  * Drop support for running smbd from inetd; this is not well-supported
    upstream, and can't correctly handle all of the long-running services
    that are needed as part of modern samba.  Closes: #707622.

  [ Ivo De Decker ]
  * New upstream release

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Wed, 19 Jun 2013 21:05:07 +0200

samba (2:3.6.15-1) unstable; urgency=high

  * Team upload.
  * New upstream bugfix release. Closes: #707042
  * Update VCS URL's for new git repo.
  * The recommends for the separate libnss-winbind and libpam-winbind
    packages needed for the upgrade of winbind from squeeze to wheezy are no
    longer needed. Lowering them to suggests.
    Closes: #706434, #674853

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Thu, 09 May 2013 11:55:03 +0200

samba (2:3.6.14-1) unstable; urgency=low

  * Team upload.
  * New upstream release

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 04 May 2013 22:02:15 +0200

samba (2:3.6.13-2) experimental; urgency=low

  * Team upload.
  * Move binary files out of /etc/samba to /var/lib/samba,
    where they belong according to the FHS:
    - schannel_store.tdb
    - idmap2.tdb
    - MACHINE.sid
    Closes: #454770

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sun, 21 Apr 2013 12:54:03 +0200

samba (2:3.6.13-1) experimental; urgency=low

  * Team upload.
  * New upstream release
  * samba: Suggests winbind. Closes: #689857

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Mon, 18 Mar 2013 21:29:58 +0100

samba (2:3.6.12-1) experimental; urgency=low

  * Team upload.
  * Security update, fixing the following issues:
    - CVE-2013-0213: Clickjacking issue in SWAT
    - CVE-2013-0214: Potential XSRF in SWAT
  * New upstream release
  * Install pkgconfig file in libsmbclient-dev. Closes: #700643

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sun, 17 Feb 2013 22:25:34 +0100

samba (2:3.6.10-1) experimental; urgency=low

  * New upstream release

 -- Christian Perrier <bubulle@debian.org>  Sat, 15 Dec 2012 08:03:03 +0100

samba (2:3.6.9-1) experimental; urgency=low

  * New upstream release

 -- Christian Perrier <bubulle@debian.org>  Thu, 01 Nov 2012 08:17:29 +0100

samba (2:3.6.8-1) experimental; urgency=low

  * New upstream release.

 -- Christian Perrier <bubulle@debian.org>  Tue, 18 Sep 2012 07:13:41 +0200

samba (2:3.6.7-1) experimental; urgency=low

  * New upstream release.

 -- Christian Perrier <bubulle@debian.org>  Sat, 11 Aug 2012 21:37:38 +0200

samba (2:3.6.6-3) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/rules: Use xz compression for binary packages.
    Closes: #683899

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Aug 2012 12:19:12 +0200

samba (2:3.6.6-2) unstable; urgency=low

  * Restore the DHCP hook.

 -- Steve Langasek <vorlon@debian.org>  Wed, 27 Jun 2012 09:31:15 -0700

samba (2:3.6.6-1) unstable; urgency=low

  [ Ivo De Decker ]
  * Only enable swat in inetd.conf on first install. Closes: #658245
  * Minor lintian fixes.
  * Remove DHCP hook. Closes: #652942, #629406, #649100
  * Don't reload smbd when running from inetd. Closes: #678741
  * Don't start smbd when guest account doesn't exist. Closes: #653382
  * Only export public symbols in libsmbclient and libwbclient.

  [ Christian Perrier ]
  * New upstream version

 -- Christian Perrier <bubulle@debian.org>  Wed, 27 Jun 2012 06:03:17 +0200

samba (2:3.6.5-7) unstable; urgency=low

  * Allow installing smbclient package together with newer versions of
    samba4-clients, which no longer ship the smbclient and nmblookup
    binaries.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 11 Jun 2012 13:19:24 +0200

samba (2:3.6.5-6) unstable; urgency=high

  [ Ivo De Decker ]
  * Update symbols file for linux-only symbols in libsmbclient. This should
    fix the FTBFS on kfreebsd and hurd. Closes: #676170
  * Enable ctdb for non-linux archs.
  * Remove old if-up script during upgrade.

 -- Christian Perrier <bubulle@debian.org>  Wed, 06 Jun 2012 19:10:02 +0200

samba (2:3.6.5-5) unstable; urgency=low

  [ Christian Perrier ]
  * Make libpam-winbind depend on libnss-winbind.

  [ Ivo De Decker ]
  * Update symbols file for libsmbclient and libwbclient0
  * Add lintian overrides for examples in samba-doc
  * libpam-winbind: change Depends on libnss-winbind to Recommends
  * libnss-winbind: Suggests libpam-winbind
  * Update package description for winbind, libpam-winbind and libnss-winbind
    to better reflect their content
  * Backport vfs_shadow_copy2 from master, to allow shadow copy to work
    without wide links

  [ Luk Claes ]
  * Ship wbclient.pc file in multiarch safe directory (Closes: #674215).

  [ Sam Morris ]
  * Add libutil_drop_AI_ADDRCONFIG.patch  that allows running nmbd when
    no network interfaces have been assigned an address, therefore
    removing the need for an if-up script. Closes: #640668,#640508

 -- Christian Perrier <bubulle@debian.org>  Sun, 03 Jun 2012 20:00:56 +0200

samba (2:3.6.5-3) unstable; urgency=low

  [ Luk Claes ]
  * Ship wbclient.pc so cifs-utils can be built again (Closes: #672733).
  * Activate parallel building. Might need DEB_BUILD_OPTIONS as usual.

  [ Christian Perrier ]
  * Add Breaks and Replaces on libpam-winbind for newly created
    libnss-winbind. Thanks to Colin Watson for pointing this and shame
    on me for not properly checking the transition. Closes: #673122

 -- Christian Perrier <bubulle@debian.org>  Thu, 17 May 2012 10:34:38 +0200

samba (2:3.6.5-2) unstable; urgency=low

  * The yearly "SambaXP bug cleaning party" release. 11 years
    SambaXP, 20 years Samba and counting...
  * Make samba-common "Multi-Arch: foreign"
  * Adapt patch in upstream #7499 and stop nss_wins clobbering other
    daemon's logfiles. Closes: #598313
  * Add some mention about some use for the user information in Kerberos
    environments in the smbspool manpage. Closes: #387266
  * Drop link to no longer provided "Using Samba" documentation in
    HTML documentation summary file. Closes: #604768
  * Provide WHATSNEW.txt in samba-doc too as it is linked from the
    documentation summary file. Do not compress that file.
  * Fix link to WHATSNEW.txt in HTML documentation summary file. This
    is the second part of the fix for #604768
  * Use lp_state_dir() instead of get_dyn_STATEDIR() in
    fhs-filespaths.patch as the latter does indeed hardcode the
    location for passdb.tdb and secrets.tdb to /var/lib/samba
    (the compile-time option for state directory and NOT the configurable
    value). This is left to "state directory" instead of "private dir"
    at least as of now, because if doesn't change anything to the
    current behaviour, but allows the files' location to be configurable
    through "state directory" (and not "private dir").
    Closes: #249873
  * Disable useless smbtorture4 build. Thanks to Ivo De Decker for the patch.
    Closes: #670561
  * Add upstream commit that adds waf source to the buildtools/
    directory. As upstream will, one day or another, merge this, I
    prefer this over removing the waf binary and repack upstream
    tarball.
    Closes: #654499
  * Build-Conflict with python-ldb and python-ldb-dev to avoid build
    failures when some versions of these packages are locally installed.
    Closes: #657314
  * Rename fix-samba.ldip-syntax.patch to fix-samba.ldif-syntax.patch
  * Split NSS modules into a new libnss-winbind binary package.
    Closes: #646292
  * Add a NEWS.Debian entry about the libnss-winbind split and, while at
    it, add an entry for libpam-winbind too (as it will affect upgrades
    from squeeze).
  * Drop code that was moving files around in samba.postinst and
    winbind.postinst for pre-squeeze versions of the package.
  * Drop code that was modifying a deprecated "passdb backend" setting
    in smb.conf for pre-squeeze versions of the package (in
    samba-common.config).
  * Add Should-Start dependency to winbind init script to guarantee
    that the samba init script is started before winbind if present.
    Closes: #638066
  * Provide a (basic) manpage to smbtorture(1). Closes: #528735
  * Turkish debconf translation update (Atila KOÇ).  Closes: #672447
  * Drop the code that generates an smbpasswd file from the system's
    user list. This adds very long delays on systems with many users,
    including those with external user backends. It also makes much
    less sense nowadays and the use of libpam-smbpass can easily
    fill most of the needs. Closes: #671926
  * Merged from Ubuntu:
    - Set 'usershare allow guests', so that usershare admins are
      allowed to create public shares in addition to authenticated
      ones.
    - add map to guest = Bad user, maps bad username to guest access.
    This allows for anonymous user shares. Closes: #672497

 -- Christian Perrier <bubulle@debian.org>  Sat, 12 May 2012 14:30:58 +0200

samba (2:3.6.5-1) unstable; urgency=low

  * New upstream release. Fixes CVE-2012-2111: Incorrect permission
    checks when granting/removing privileges can compromise file
    server security.
  * Build-Depend on debhelper >= 9~ (which is in unstable for a few
    months now)
  * Use "set -e" in maintainer scripts instead of passing -e in the
    shebang line
  * Update Standards to 3.9.3 (checked, no change)

 -- Christian Perrier <bubulle@debian.org>  Tue, 01 May 2012 08:07:39 +0200

samba (2:3.6.4-1) unstable; urgency=low

  [ Christian Perrier ]
  * Two changes in the previous version should indeed read:
    - samba.postinst: Avoid scary pdbedit warnings on first import.
    - samba-common.postinst: Add more informative error message for the case
      where smb.conf was manually deleted.
    Closes: #664509

  [ Jelmer Vernooij ]
  * New upstream release.
   + Fixes CVE-2012-1182: PIDL based autogenerated code allows overwriting
     beyond of allocated array.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 11 Apr 2012 23:25:41 +0200

samba (2:3.6.3-2) unstable; urgency=low

  [ Christian Perrier ]
  * Fix example samba.ldif syntax. Closes: #659963
  * Set minimal version of tdb ot 1.2.6 in Build-Depends
    (thanks, backports!)
  * Lower priority of debconf question to medium after some pondering.
    After all, we have a sane default. Closes: #662801
  * Merge some Ubuntu patches:
    - samba.config: Avoid scary pdbedit warnings on first import.
    - samba.postinst: Add more informative error message for the case
      where smb.conf was manually deleted.

  [ Maarten Bezemer ]
  * Removed references to the testprns command from documentation
  * Added notes that the smbsh command is not available in this package
    Closes: #662243

  [ Debconf translations ]
  * Indonesian (Arief S Fitrianto).  Closes: #660312
  * Slovak (Ivan Masár).  Closes: #661125

  [ Steve Langasek ]
  * Use Debian copyright-format 1.0 in debian/copyright.

 -- Christian Perrier <bubulle@debian.org>  Mon, 12 Mar 2012 20:49:24 +0100

samba (2:3.6.3-1) unstable; urgency=low

  [ Christian Perrier ]
  * New upstream release
  * Fixes CVE-2012-0817:
    The Samba File Serving daemon (smbd) in Samba versions
    3.6.0 to 3.6.2 is affected by a memory leak that can
    cause a server denial of service.

  [ Debconf translations ]
  * Polish (Michał Kułach).  Closes: #657770

 -- Christian Perrier <bubulle@debian.org>  Tue, 31 Jan 2012 22:09:39 +0100

samba (2:3.6.2-1) unstable; urgency=low

  * New upstream release
  * Drop bug_601406_fix-perl-path-in-example.patch (applied upstream)

 -- Christian Perrier <bubulle@debian.org>  Fri, 27 Jan 2012 21:38:52 +0100

samba (2:3.6.1-3) unstable; urgency=low

  [ Sam Hartman ]
  * Increase libkrb5-dev dependency to avoid depending on
    krb5_locate_kdc, Closes: #650541

  [ Steve Langasek ]
  * Fix the libpam-winbind description to more accurately identify the
    protocols being used by nss_wins.  Closes: #650091.

 -- Christian Perrier <bubulle@debian.org>  Thu, 01 Dec 2011 21:56:52 +0100

samba (2:3.6.1-2) unstable; urgency=low

  * Merge changes from 3.5.11~dfsg-4 and unreleased -5 in unstable branch
  * debian/patches/initialize_password_db-null-deref: Avoid null
    dereference in initialize_password_db().  Closes LP: #829221.
  * Mark samba-common Multi-Arch: foreign.

 -- Christian Perrier <bubulle@debian.org>  Sun, 27 Nov 2011 19:06:39 +0100

samba (2:3.6.1-1) experimental; urgency=low

  * New upstream release

 -- Christian Perrier <bubulle@debian.org>  Sat, 22 Oct 2011 10:56:17 +0200

samba (2:3.6.0-1) experimental; urgency=low

  * New upstream release
  * Resync with packaging changes in 3.5 branch between 3.5.8~dfsg1
    and 3.5.11~dfsg-1
  * Drop wbc_async.h from libwbclient-dev as, according to upstream's
    commit c0a7c9f99188ebb3cd27094b9364449bcc2f80d8, " its only user is
    smbtorture3"

 -- Christian Perrier <bubulle@debian.org>  Thu, 11 Aug 2011 09:14:53 +0200

samba (2:3.6.0~rc3-1) experimental; urgency=low

  * New upstream version

 -- Christian Perrier <bubulle@debian.org>  Fri, 29 Jul 2011 23:11:10 +0200

samba (2:3.6.0~rc2-1) experimental; urgency=low

  * New upstream version

 -- Christian Perrier <bubulle@debian.org>  Tue, 07 Jun 2011 23:09:41 +0200

samba (2:3.6.0~rc1-2) experimental; urgency=low

  * Use --with-nmbdsocketdir=/var/run/samba to have nmbd socket file
    in an existing directory. Closes: #628121

 -- Christian Perrier <bubulle@debian.org>  Fri, 27 May 2011 15:35:44 +0200

samba (2:3.6.0~rc1-1) experimental; urgency=low

  * New upstream release

 -- Christian Perrier <bubulle@debian.org>  Thu, 19 May 2011 22:26:08 +0200

samba (2:3.6.0~pre3-1) experimental; urgency=low

  [ Christian Perrier ]
  * New upstream release
  * add "#include "fcntl.h"" to idmap_tdb2.c to get it compiled
  * samba-doc-pdf: add Samba3-HOWTO.pdf from pre1 as it
    was forgotten upstream
  * libwbclient0.symbols: dropped several symbols related to
    asynchronous actions that weren't working anyway (according
    to Kai Blin at SambaXP)

  [ Mathieu Parent ]
  * Build against libctdb-dev (>= 1.10+git20110412) to have required control:
    CTDB_CONTROL_SCHEDULE_FOR_DELETION.

 -- Christian Perrier <bubulle@debian.org>  Mon, 09 May 2011 11:29:52 +0200

samba (2:3.5.11~dfsg-4) unstable; urgency=low

  * Lintian override for libpam-winbind; it's not a shared library so doesn't
    really need the pre-depends on multiarch-support.
  * export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow, taken from Ubuntu.

 -- Steve Langasek <vorlon@debian.org>  Fri, 21 Oct 2011 16:01:29 -0700

samba (2:3.5.11~dfsg-3) unstable; urgency=low

  * Split winbind into separate packages, winbind and libpam-winbind,
    with the latter marked Multi-Arch: same and the former marked
    Multi-Arch: foreign, so that we can install multiple copies of the
    pam module and nss modules on the same system.

 -- Steve Langasek <vorlon@debian.org>  Fri, 21 Oct 2011 20:00:13 +0000

samba (2:3.5.11~dfsg-2) unstable; urgency=low

  * Don't export DEB_HOST_ARCH_OS in debian/rules, this is only used locally.
  * Use dh_links instead of manually creating directories and symlinks from
    debian/rules.
  * Switch from dh_movefiles to dh_install and adjust for debhelper compat
    level 7, in preparation for moving to dh(1).
  * Where possible, use dh_installman and dh_install's support for target
    directories instead of moving files around in debian/rules.
  * We don't need to mess with perms on usr/include/libsmbclient.h anymore
    in debian/rules, the upstream install target gets it right
  * Use debian/clean instead of removing left-behind files by hand in the
    clean target
  * Convert debian/rules to dh(1).
  * Don't run debconf-updatepo on clean; not worth the divergence in
    debian/rules anymore :)
  * Don't install debian/README.build in the package; this is really only
    relevant in the source.
  * Bump to debhelper compat level 9 and build libraries for multiarch.
  * Drop Makefile.internal from libsmbclient-dev examples so that we can mark
    libsmbclient-dev Multi-Arch: same.
  * Bump build-depends on debhelper to 8.9.4, so we ensure we have
    dpkg-buildflags by default and get full build hardening enabled out of
    the box - critical for a server like samba.
  * Use DH_ALWAYS_EXCLUDE instead of passing override options to
    dh_installexamples.
  * Pass --sourcedirectory=source3 to dh instead of having to pass it to each
    dh_auto_* command.
  * Ironically, this means that we have to manually disable dh_auto_test,
    which now finds the makefile targets but doesn't work unless we build an
    extra wrapper library into our binaries that we don't want.
  * Drop a few configure options from debian/rules that shadow the built-in
    defaults.
  * debian/libsmbclient.lintian-overrides: yes, we know the package name
    doesn't match the soname - and it never should until there's an ABI
    change.

 -- Steve Langasek <vorlon@debian.org>  Fri, 07 Oct 2011 21:36:43 -0700

samba (2:3.5.11~dfsg-1) unstable; urgency=low

  * New upstream release

 -- Christian Perrier <bubulle@debian.org>  Fri, 05 Aug 2011 20:12:01 +0200

samba (2:3.5.10~dfsg-1) unstable; urgency=low

  * New upstream release
  * Security update, fixing the following issues:
    - CVE-2011-2694: possible XSS attack in SWAT
    - CVE-2011-2522: Cross-Site Request Forgery vulnerability in SWAT

 -- Christian Perrier <bubulle@debian.org>  Thu, 28 Jul 2011 12:19:01 +0200

samba (2:3.5.9~dfsg-1) unstable; urgency=low

  * New upstream release
  * Add "--quiet" to start-stop-daemon call in reload target in init
    script. Closes: #572483
  * Add examples/LDAP in examples for the samba package. With this,
    samba.schema will be provided in some way in the package.
    This very partially addresses #190162
  * patches/bug_221618_precise-64bit-prototype.patch: precise
    64bits prototype in libsmbclient-dev. Closes: #221618
  * patches/no-unnecessary-cups.patch: dropped after upstream
    changes to printing code
  * Update Standards to 3.9.2 (checked, no change)
  * Add build-arch and build-indep targets in debian/rules

 -- Christian Perrier <bubulle@debian.org>  Sat, 18 Jun 2011 07:08:00 +0200

samba (2:3.5.8~dfsg-5) unstable; urgency=low

  * Fix "tdb2.so undefined symbol: dyn_get_STATEDIR" by fixing a typo
    in fhs-filespath.patch. Closes: #629183, LP: #789097

 -- Christian Perrier <bubulle@debian.org>  Sat, 04 Jun 2011 13:48:32 +0200

samba (2:3.5.8~dfsg-4) unstable; urgency=low

  [ Debconf translations ]
  * Spanish (Omar Campagne).  Closes: #627813
  * Swedish (Martin Bagge / brother).  Closes: #627849
  * Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #627866

  [ Christian Perrier ]
  * bug_601406_fix-perl-path-in-example.patch:  fix path to perl
    binary in example file. Closes: #601406

 -- Christian Perrier <bubulle@debian.org>  Fri, 27 May 2011 12:23:05 +0200

samba (2:3.5.8~dfsg-3) unstable; urgency=low

  [ Debconf translations ]
  * Italian (Luca Monducci).  Closes: #626674
  * Dutch (Vincent Zweije).  Closes: #627519
  * Czech (Miroslav Kure).  Closes: #627442

 -- Christian Perrier <bubulle@debian.org>  Tue, 24 May 2011 22:40:04 +0200

samba (2:3.5.8~dfsg-2) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Add libwbclient-dev package.
  * Build against external libtdb.
  * Bump standards version to 3.9.1 (no changes).

  [ Mathieu Parent ]
  * Builddep on libctdb-dev or ctdb < 1.10

  [ Christian Perrier ]
  * Use db_settitle in debconf questions and make these
    titles translatable. Closes: #560318
  * Test the presence of testparm before trying to use it in init script
    Closes: #606320
  * Add cups to Should-{Start,Stop} in LSB headers of
    samba init script to guarantee that CUPS is started
    before samba. Closes: #619132
  * Drop libsmbclient-dev useless dependency on samba-common
    Closes: #597987

  [ Debconf translations ]
  * French (Christian Perrier)
  * Japanese (Kenshi Muto).  Closes: #626474
  * Galician (Miguel Anxo Bouzada).  Closes: #626477
  * Thai (Theppitak Karoonboonyanan).  Closes: #626487
  * Russian (Yuri Kozlov).  Closes: #626523
  * Danish (Joe Hansen).  Closes: #626531
  * Esperanto (Felipe Castro).  Closes: #626558
  * Hebrew (Eran Cohen).  Closes: #626638
  * Bokmål, (Bjørn Steensrud).
  * Italian (Luca Monducci).  Closes: #626674
  * Finnish (Tapio Lehtonen).  Closes: #626890
  * Portuguese (Miguel Figueiredo).  Closes: #627224
  * German (Holger Wansing).  Closes: #627354
  * Czech (Miroslav Kure).  Closes: #627442

 -- Christian Perrier <bubulle@sesostris.kheops.frmug.org>  Sun, 22 May 2011 21:15:21 +0200

samba (2:3.5.8~dfsg-1) unstable; urgency=low

  * New upstream release. This fixes the following bugs:
    - Winbind leaks gids with idmap ldap backend (upstrem #7777)
      Closes: #613624
    - printing from Windows 7 fails with 0x000003e6
      Closes: #617429
  * smb.conf(5) restored from samba 3.5.6 as a workaround to upstream
    #7997

 -- Christian Perrier <bubulle@debian.org>  Tue, 08 Mar 2011 22:38:32 +0100

samba (2:3.5.7~dfsg-1) unstable; urgency=low

  [ Christian Perrier ]
  * New upstream release
  * Security update, fixing the following issue:
    - CVE-2011-0719: denial of service by memory corruption
  * Use architecture wildcard "linux-any" in build dependencies
    Closes: #563372

 -- Christian Perrier <bubulle@debian.org>  Tue, 01 Mar 2011 20:59:34 +0100

samba (2:3.5.6~dfsg-5) unstable; urgency=low

  * Fix FTBFS on Hurd. Closes: #610678
  * Only try parsing dhcpd.conf is it's not empty,
    in dhclient-enter-hooks.d/samba.  Closes: #594088.

 -- Christian Perrier <bubulle@debian.org>  Sat, 05 Feb 2011 13:50:22 +0100

samba (2:3.5.6~dfsg-4) unstable; urgency=low

  * Fix pam_winbind file descriptor leak with a patch
    proposed in https://bugzilla.samba.org/show_bug.cgi?id=7265.
    Upstream claim is that #7265 is fixed in 3.5.6 but our bug submitter
    confirmed it is not while the patch applied here fixes the file
    descriptor leak.
    Closes: #574468

  [ Debconf translations ]
  * Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #607402

 -- Christian Perrier <bubulle@debian.org>  Sat, 15 Jan 2011 18:06:22 +0100

samba (2:3.5.6~dfsg-3) unstable; urgency=low

  [ Julien Cristau ]
  * Bump libwbclient0 shlibs to match the newest version in the symbols file.
  * Mark libwbclient0 as breaking other samba packages with versions older
    than 2:3.4.1, as they were linked against libtalloc1 instead of
    libtalloc2, and the combination causes crashes (closes: #593823).

 -- Christian Perrier <bubulle@debian.org>  Mon, 06 Dec 2010 20:14:04 +0100

samba (2:3.5.6~dfsg-2) unstable; urgency=low

  [ Steve Langasek ]
  * Fix debian/rules update-archs target to not add extra spaces on every
    invocation...

  [ Debconf translations ]
  * Catalan (Jordi Mallach).  Closes: #601101
  * Japanese (Kenshi Muto).  Closes: #601364
  * Bulgarian (Damyan Ivanov).  Closes: #601366
  * Hebrew (Omer Zak).  Closes: #601633
  * Kurdish (Erdal Ronahî).  Closes: #601719
  * Dutch (Remco Rijnders).  Closes: #602220
  * Greek (Konstantinos Margaritis).

  [ Christian Perrier ]
  * Include upstream's patch for "gvfsd-smb (Gnome vfs) fails to copy
    files from a SMB share using SMB signing.". Backported from
    to be released 3.5.7 version
    Closes: #605729

 -- Christian Perrier <bubulle@debian.org>  Sat, 04 Dec 2010 07:44:22 +0100

samba (2:3.5.6~dfsg-1) unstable; urgency=low

  * New upstream release. Fixes the following Debian bug:
    - rpcclient readline segfault. Closes: #597203

 -- Christian Perrier <bubulle@debian.org>  Sun, 10 Oct 2010 09:59:37 +0200

samba (2:3.5.5~dfsg-1) unstable; urgency=high

  [ Christian Perrier ]
  * New upstream release. Security release fixing:
    - CVE-2019-3069: Buffer overrun vulnerability in sid_parse.
      Closes: #596891.
  * Fix comment in swat's postinst. It is not turned off by default
    Closes: #596040
  * Drop transition code from (pre-etch) 3.0.20b-3 version in swat postinst

  [ Steve Langasek ]
  * debian/control: winbind needs libpam-runtime (>= 1.0.1-6) for
    pam-auth-update.  Closes: #594325.

  [ Debconf translations ]
  * Arabic (Ossama Khayat).  Closes: #596164

 -- Christian Perrier <bubulle@debian.org>  Tue, 14 Sep 2010 23:03:35 +0200

samba (2:3.5.4~dfsg-2) unstable; urgency=low

  * Release to unstable

  [ Debconf translations ]
  * Danish (Joe Dalton).  Closes: #592789.
  * Galician (Jorge Barreiro).  Closes: #592809

  [ Steve Langasek ]
  * debian/patches/fhs-filespaths.patch, debian/samba.postinst,
    debian/winbind.postinst: move some files from /etc/samba to
    /var/lib/samba where they belong: MACHINE.SID, schannel_store.tdb,
    and idmap2.tdb.

 -- Christian Perrier <bubulle@debian.org>  Tue, 07 Sep 2010 17:47:32 +0200

samba (2:3.6.0~pre1-1) experimental; urgency=low

  * New upstream release

 -- Christian Perrier <bubulle@debian.org>  Wed, 04 Aug 2010 01:39:11 +0200

samba (2:3.5.4~dfsg-1) experimental; urgency=low

  * New upstream release

 -- Christian Perrier <bubulle@debian.org>  Tue, 29 Jun 2010 22:00:53 +0200

samba (2:3.5.3~dfsg-1) experimental; urgency=low

  * New upstream release. Fixes the following bugs:
    - smbclient segfaults when used against old samba "security = share"
      Closes: #574886
  * Drop duplicate build dependency on ctdb

 -- Christian Perrier <bubulle@debian.org>  Wed, 19 May 2010 22:07:49 +0200

samba (2:3.5.2~dfsg-2) experimental; urgency=low

  * Resync changes with changes in trunk between 3:3.4.4~dfsg-1 and
    2:3.4.7~dfsg-2

 -- Christian Perrier <bubulle@debian.org>  Tue, 04 May 2010 17:13:47 +0200

samba (2:3.5.2~dfsg-1) experimental; urgency=low

  * New upstream release
  * Bugs fixed upstream:
    - Fix parsing of the gecos field
      Closes: #460494

 -- Christian Perrier <bubulle@debian.org>  Thu, 08 Apr 2010 19:48:07 +0200

samba (2:3.5.1~dfsg-1) experimental; urgency=low

  * New upstream release. Security fix: all smbd processes inherited
    CAP_DAC_OVERRIDE capabilities, allowing all file system access to be
    allowed even when permissions should have denied access.

 -- Christian Perrier <bubulle@debian.org>  Tue, 09 Mar 2010 10:54:01 +0100

samba (2:3.5.0dfsg-1) experimental; urgency=low

  * New upstream release. Not using "3.5.0~dfsg" as version number
    because we used a "higher" version number in previous versions.

 -- Christian Perrier <bubulle@debian.org>  Tue, 02 Mar 2010 22:03:15 +0100

samba (2:3.5.0~rc3~dfsg-1) experimental; urgency=low

  * New upstream release candidate

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Feb 2010 08:36:57 +0100

samba (2:3.5.0~rc2~dfsg-1) experimental; urgency=low

  * New upstream pre-release
  * Use new --with-codepagedir option. Consequently drop
    codepages-location.patch
  * Drop "Using Samba" from the samba-doc file list as it was
    removed upstream.

 -- Christian Perrier <bubulle@debian.org>  Sun, 31 Jan 2010 11:53:48 +0100

samba (2:3.5.0~rc1~dfsg-1) experimental; urgency=low

  [ Christian Perrier ]
  * New upstream pre-release

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 Jan 2010 23:31:01 +0100

samba (2:3.4.8~dfsg-2) unstable; urgency=low

  [ Steve Langasek ]
  * Drop the per-release smb.conf templates, only needed for upgrade paths
    that are no longer supported.
  * Call /etc/init.d/samba directly from the logrotate script instead of
    using invoke-rc.d, to address the irony that the only package I work on
    that *has* a logrotate script is inconsistent with my position in
    bug #445203.
  * Fix a bashism in the samba postinst that can cause the package
    installation to fail under dash.  LP: #576307.
  * Add symlink from /etc/dhcp/dhclient-enter-hooks.d to
    /etc/dhcp3/dhclient-enter-hooks.d for the hook location of the new
    isc-dhcp-client package.  Closes: #585056.

  [ Christian Perrier ]
  * Don't copy system accounts from /etc/passwd to
    /var/lib/samba/passdb.tdb. Closes: #502801
  * Update Standards to 3.9.0 (checked, no change)
  * Backport patch for upstream bug #7139 to fix "owner of file not
    available with kerberos"
    Closes: #586337

 -- Steve Langasek <vorlon@debian.org>  Wed, 14 Jul 2010 11:59:28 -0700

samba (2:3.4.8~dfsg-1) unstable; urgency=low

  [ Christian Perrier ]
  * New upstream release
  * Bugs fixed upstream:
    - Fix writing with vfs_full_audit. Closes: #574011
  * Drop deprecated 'share modes' parameter from default smb.conf
    Closes: #580561
  * Enable PIE during configure. Closes: #509135
  * Avoid winbind's logrotate script to fail when there is no
    /var/run/samba directory. Closes: #569926
  * Add explanations about "passdb backend" default setting change
    Closes: #553904

  [ Debconf translations ]
  * Spanish (Omar Campagne).  Closes: #579011

 -- Christian Perrier <bubulle@debian.org>  Wed, 12 May 2010 05:45:52 +0200

samba (2:3.4.7~dfsg-2) unstable; urgency=low

  [ Christian Perrier ]
  * Drop smbfs package (now provided by cifs-utils as a dummy transition
    package)

  [ Debconf translations ]
  * Portuguese (Miguel Figueiredo).  Closes: #575958

  [ Steve Langasek ]
  * winbind.prerm: don't forget to remove the PAM profile on package
    removal :/
  * Fix winbind.pam-config to not interfere with password changes for
    non-winbind accounts.  Closes: #573323, LP: #546874.
  * debian/samba.if-up, debian/rules: add an if-up.d script for samba to
    try to start nmbd, if it's not running because /etc/init.d/samba ran
    before the network was up at boot time.  Closes: #576415, LP: #462169.
  * debian/samba.if-up: allow "NetworkManager" as a recognized address
    family... it's obviously /not/ an address family, but it's what gets
    sent when using NM, so we'll cope for now.

 -- Christian Perrier <bubulle@debian.org>  Sat, 17 Apr 2010 07:49:49 +0200

samba (2:3.4.7~dfsg-1) unstable; urgency=low

  [ Steve Langasek ]
  * Add a PAM profile for pam_winbind.  Closes: #566890, LP: #282751.
  * Add the correct versioned build dependency on libtalloc-dev as
    we need 2.0.1 to build samba. Closes: #572603
  * Add avr32 to arches with a build dependency on ctdb. Closes: #572126

  [ Christian Perrier ]
  * New upstream release. Security fix: all smbd processes inherited
    CAP_DAC_OVERRIDE capabilities, allowing all file system access to be
    allowed even when permissions should have denied access.

 -- Christian Perrier <bubulle@debian.org>  Tue, 09 Mar 2010 10:52:24 +0100

samba (2:3.4.6~dfsg-1) unstable; urgency=low

  * New upstream release

 -- Christian Perrier <bubulle@debian.org>  Fri, 26 Feb 2010 22:39:50 +0100

samba (2:3.4.5~dfsg-2) unstable; urgency=low

  [ Steve langasek ]
  * Revert the "bashisms" fix from version 2:3.3.0~rc2-4; "local foo=bar"
    is explicitly allowed by Policy now, and this change introduced a
    syntax error.  Closes: #566946.

  [ Christian Perrier ]
  * No longer maker (u)mount.cifs setuid root. Add a notice
    about this in the package's NEWS.Debian file
    Closes: #567554
  * Use dh_lintian instead of manual install of lintian overrides
  * Updated Standards to 3.8.4 (checked, no change)

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Feb 2010 14:36:33 +0100

samba (2:3.4.5~dfsg-1) unstable; urgency=low

  * New upstream release. Bugs fixed by this release:
    - Memory leak in smbd. Closes: #538819, #558453
  * Declare a versioned dependency of winbind and samba on libwbclient0
    Closes: #550481
  * A few lintian fixes:
  * Drop /var/run/samba from samba-common. The directory is created
    by init scripts when needed.
  * No longer prepend a path to the mksmbpasswd call in samba.postinst.
    This prevents the local administrator to use a replacement version
    for some local reason.

 -- Christian Perrier <bubulle@debian.org>  Sat, 23 Jan 2010 12:16:42 +0100

samba (2:3.4.4~dfsg-1) unstable; urgency=low

  * New upstream version.
  * Drop all RFC files from upstream source, therefore using a "~dfsg"
    suffix to upstream version number.
  * Bugs fixed upstream:
    - fixed list of workgroup servers in libsmbclient.
      Closes: #555462, #561148
    - fixed documentation of the credentials file format in
      mount.cifs(8). Closes: #552250

 -- Christian Perrier <bubulle@debian.org>  Thu, 14 Jan 2010 20:16:34 +0100

samba (2:3.4.3-2) unstable; urgency=low

  [ Christian Perrier ]
  * Switch to source format 3.0 (quilt)
  * Better adapt "add machine script" example to adduser
    Thanks to Heiko Schlittermann for the suggestion
    Closes: #555466

  [ Steve Langasek ]
  * The "I hate non-declarative alternatives" upload:
    - debian/samba{,-common}.prerm: don't call update-alternatives --remove
      on upgrade, /do/ call it on other invocations of the prerm script.  If
      these tools ever go away, the removal needs to be handled on upgrade by
      the maintainer scripts of the new package version.
    - debian/samba{,-common-bin}.postinst: call update-alternatives
      unconditionally, don't second-guess the maintainer script arguments.
    - debian/samba.postinst: call update-alternatives after the debconf
      handling, not before; debconf triggers a re-exec of the script so
      anything done before invoking debconf is wasted because it will be
      re-done, and if there's already a debconf frontend running when this
      is called, the not-redirected update-alternatives output will confuse
      it.  Closes: #558116.
    - debian/samba-common.prerm: move to samba-common-bin, this is the package
      that owns these binaries.

 -- Christian Perrier <bubulle@debian.org>  Thu, 17 Dec 2009 16:53:13 +0100

samba (2:3.4.3-1) unstable; urgency=low

  * New upstream release. This fixes the following bugs:
    - Do not attempt to update /etc/mtab if it is
      a symbolic link. Closes: #408394
  * Bump Standards-Version to 3.8.3 (checked)

 -- Christian Perrier <bubulle@debian.org>  Sat, 31 Oct 2009 14:32:07 +0100

samba (2:3.4.2-1) unstable; urgency=high

  * New upstream release. Security update.
  * CVE-2009-2813:
    Connecting to the home share of a user will use the root of the
    filesystem as the home directory if this user is misconfigured to
    have an empty home directory in /etc/passwd.
  * CVE-2009-2948:
    If mount.cifs is installed as a setuid program, a user can pass it
    a credential or password path to which he or she does not have
    access and then use the --verbose option to view the first line of
    that file.
  * CVE-2009-2906:
    Specially crafted SMB requests on authenticated SMB connections
    can send smbd into a 100% CPU loop, causing a DoS on the Samba
    server.

 -- Christian Perrier <bubulle@debian.org>  Sat, 03 Oct 2009 08:30:33 +0200

samba (2:3.4.1-2) unstable; urgency=low

  * ./configure --disable-avahi, to avoid accidentally picking up an avahi
    dependency when libavahi-common-dev is installed.

 -- Steve Langasek <vorlon@debian.org>  Sat, 26 Sep 2009 00:01:12 -0700

samba (2:3.4.1-1) unstable; urgency=low

  [ Christian Perrier ]
  * New upstream release. This fixes the following bugs:
    - smbd SIGSEGV when breaking oplocks. Thanks to Petr Vandrovec
      for the clever analysis and collaboration with upstream.
      Closes: #541171
    - Fix password change propagation with ldapsam. Closes: #505215
    - Source package contains non-free IETF RFC/I-D. Closes: #538034
  * Turn the build dependency on libreadline5-dev to libreadline-dev
    to make further binNMUs easier when libreadline soname changes
    Thanks to Matthias Klose for the suggestion

  [ Steve Langasek ]
  * Don't build talloctort when using --enable-external-talloc; and don't
    try to include talloctort in the samba-tools package, since we're
    building with --enable-external-talloc. :)  Closes: #546828.

 -- Steve Langasek <vorlon@debian.org>  Mon, 21 Sep 2009 22:20:22 -0700

samba (2:3.4.0-5) unstable; urgency=low

  * Move /etc/pam.d/samba back to samba-common, because it's shared with
    samba4.  Closes: #545764.

 -- Steve Langasek <vorlon@debian.org>  Tue, 08 Sep 2009 18:43:17 -0700

samba (2:3.4.0-4) unstable; urgency=low

  [ Steve Langasek ]
  * debian/samba.pamd: include common-session-noninteractive instead of
    common-session, to avoid pulling in modules specific to interactive
    logins such as pam_ck_connector.
  * debian/control: samba depends on libpam-runtime (>= 1.0.1-11) for the
    above.
  * rename debian/samba.pamd to debian/samba.pam and call dh_installpam
    from debian/rules install, bringing us a smidge closer to a stock
    debhelper build
  * don't call pyversions from debian/rules, this throws a useless error
    message during build.
  * fix up the list of files that need to be removed by hand in the clean
    target; the majority of these are now correctly handled upstream.
  * debian/rules: fix the update-arch target for the case of unversioned
    build-deps.
  * Pull avr32 into the list of supported Linux archs.  Closes: #543543.
  * Fix LSB header in winbind.init; thanks to Petter Reinholdtsen for the
    patch. Closes: #541367.

  [ Christian Perrier ]
  * Use DEP-3 for patches meta-information

  [ Steve Langasek ]
  * Change swat update-inetd call to use --remove only on purge,
    and --disable on removal.
  * Add missing build-dependency on pkg-config, needed to fix libtalloc
    detection
  * debian/patches/external-talloc-support.patch: fix the Makefile so it
    works when using external talloc instead of giving a missing-depend
    error.
  * debian/patches/autoconf.patch: resurrect this patch, needed for the
    above.
  * debian/rules: build with --without-libtalloc
    --enable-external-libtalloc, also needed to fix the build failure.

 -- Steve Langasek <vorlon@debian.org>  Mon, 07 Sep 2009 22:58:29 -0700

samba (2:3.4.0-3) unstable; urgency=low

  [ Steve Langasek ]
  * debian/control: samba-common-bin has no reason to depend on
    libpam-modules.

  [ Christian Perrier ]
  * Fix "invalid argument" when trying to copy a file from smb share
    Use an upstream patch that will be included in 3.4.1
    Closes: #536757

 -- Christian Perrier <bubulle@debian.org>  Fri, 21 Aug 2009 11:08:43 +0200

samba (2:3.4.0-2) unstable; urgency=low

  [ Debconf translations ]
  * German. Closes: #536433

  [ Steve Langasek ]
  * Enable the ldap idmap module; thanks to Aaron J. Zirbes.  Closes: #536786.

  [ Jelmer Vernooij ]
  * Properly rename smbstatus.1 for alternatives. Closes: #534772

 -- Christian Perrier <bubulle@debian.org>  Sun, 02 Aug 2009 12:20:51 +0200

samba (2:3.4.0-1) unstable; urgency=low

  [ Christian Perrier ]
  * New upstream release: first upload to unstable for 3.4
  * Correct dependencies for samba-common-bin. Closes: #534595

  [ Debconf translations ]
  * Czech. Closes: #534793
  * Russian. Closes: #534796

 -- Christian Perrier <bubulle@debian.org>  Tue, 07 Jul 2009 20:42:19 +0200

samba (2:3.4.0~rc1-1) experimental; urgency=low

  * New upstream version. That fixes the following bugs:
    - Remove pidfile on clean shutdown. Closes: #299433, #454112
  * Drop swat-de.patch that was applied upstream
  * Bump debhelper compatibility level to 6 and declare a versioned
    dependency on debhelper >= 6.0.0

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Jun 2009 18:43:20 +0200

samba (2:3.4.0~pre2-1) experimental; urgency=low

  [ Jelmer Vernooij ]
  * Split binaries out of samba-common into samba-common-bin.
    Closes: #524661

  [ Christian Perrier ]
  * New upstream version. That fixes the following bugs:
    - Do not limit the number of network interfaces. Closes: #428618
    - Fix Connect4 in samr.idl. Closes: #526229
  * "Using samba" is back.
  * Drop non-linux-ports.patch that was integrated upstream
  * Drop smbpasswd-syslog.patch that was integrated upstream
  * Drop smbclient-link.patch that was integrated upstream

  [ Debconf translations ]
  * Italian. Closes: #529350

 -- Christian Perrier <bubulle@debian.org>  Sat, 06 Jun 2009 11:45:35 +0200

samba (2:3.4.0~pre1-1) experimental; urgency=low

  * New upstream pre-release
  * "Using samba" is dropped from upstream source. Therefore, drop
    debian/samba-doc.doc-base.samba-using

 -- Christian Perrier <bubulle@debian.org>  Wed, 20 May 2009 18:50:35 +0200

samba (2:3.3.6-1) unstable; urgency=high

  * New upstream release. Security release.
  * CVE 2009-1886: Fix Formatstring vulnerability in smbclient
  * CVE 2009-1888: Fix uninitialized read of a data value

 -- Christian Perrier <bubulle@debian.org>  Fri, 26 Jun 2009 18:21:51 +0200

samba (2:3.3.5-1) unstable; urgency=low

  [ Steve Langasek ]
  * debian/patches/undefined-symbols.patch: fix up patch so that it's
    suitable for submission upstream.
  * debian/patches/proper-static-lib-linking.patch: apply the rules to
    vfstest, ldbrename, nss_wins, pam_winbind, pam_smbpass, and
    rpc_open_tcp.

  [ Debconf translations ]
  * Italian. Closes: #529350

  [ Christian Perrier ]
  * New upstream version
  * Lintian fixes:
    -  Declare versioned dependency on debhelper to fit what we have in
       debian/compat
    - samba.postinst: do not call mksmbpasswd with an absolute path
  * Upgrade Standard to 3.8.2 (checked, no change)
  * Upgrade debhelper compatibility level to 6

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Jun 2009 08:01:16 +0200

samba (2:3.3.4-2) unstable; urgency=low

  [ Christian Perrier ]
  * Do no compile with clustering support on non-Linux platforms
    Closes: #528382

  [ Debconf translations ]
  * Basque. Closes: #528757

 -- Christian Perrier <bubulle@debian.org>  Sat, 16 May 2009 17:31:09 +0200

samba (2:3.3.4-1) unstable; urgency=low

  [ Christian Perrier ]
  * New upstream release:
    - Fixed daily winbind crash when retrieving users from an ADS server
      Closes: #522907.
  * Add idmap_tdb2 module to winbind package
  * No longer shrink "dead" code from smbd, winbindd and vfstest as it prevents
    VFS modules to properly load. Closes: #524048.

  [ Debconf translations ]
  * Bengali added.

  [ Steve Langasek ]
  * Recommend logrotate instead of depending on it.  Closes: #504219.

 -- Christian Perrier <bubulle@debian.org>  Sat, 02 May 2009 10:06:16 +0200

samba (2:3.3.3-1) unstable; urgency=low

  * New upstream release:
    - Fix map readonly. Closes: #521225
    - Add missing whitespace in mount.cifs error message. Closes: #517021
    - Includes our patch to fix detection of GNU ld version. As a
      consequence, we dropped fix_wrong_gnu_ld_version_check.patch
    - Fix segfault in lookup_sid. Closes: #521408

 -- Christian Perrier <bubulle@debian.org>  Sat, 11 Apr 2009 10:12:23 +0200

samba (2:3.3.2-2) unstable; urgency=low

  [ Steve Langasek ]
  * libcap2-dev is only available on Linux, so make this build-dependency
    conditional.  Closes: #519911.

  [ Christian Perrier ]
  * Switch samba-dbg to "Section: debug"
  * Update debian/copyright for year 2009. Thanks to debian-devel
    for the reminder.
  * Dropping Adam Conrad from Uploaders
  * Dropping Eloy Paris from Uploaders with special thanks for his tremendous
    work maintaining the package between 1997 and 2004.

  [ Mathieu Parent ]
  * ensure clustering is enabled with --with-cluster-support=yes
  * build-depends on ctdb >= 1.0.73. Closes: #520202.
  * samba suggests ctdb

  [ Debconf translations ]
  * Esperanto updated.  Closes: #519237.

 -- Christian Perrier <bubulle@debian.org>  Sun, 29 Mar 2009 09:23:35 +0200

samba (2:3.3.2-1) unstable; urgency=low

  [ Christian Perrier ]
  * New upstream release. Closes: #519626
    - mounts with -o guest will now automatically try to connect anonymously.
      Closes: #423971.
    - fix for brokenness when using 'force group'.  Closes: #517760.
    - fix for saving files on Samba shares using MS Office 2007.
      LP: #337037.
  * Re-fix slave links for manual pages in samba-common. Closes: #517204.

  [ Steve Langasek ]
  * Add missing debhelper token to libpam-smbpass.prerm.

 -- Christian Perrier <bubulle@debian.org>  Sun, 15 Mar 2009 12:16:48 +0100

samba (2:3.3.1-1) unstable; urgency=low

  [ Christian Perrier ]
  * New upstream release. Closes: #516981
    Upstream fixes in that release:
    - Fixed various spelling errors/typos in manpages
      Closes: #516047
    - Fix renaming/deleting of files using Windows clients.
      Closes: #516160
    - Fix syntax error in mount.cifs(8). Closes: #454799
  * Use a slave alternative for smbstatus.1 even though that manpage
    is not provided by samba4

  [ Jelmer Vernooij ]
  * Fix slave links for manual pages in samba-common. Closes: #517204.

  [ Steve Langasek ]
  * Add Vcs-{Browser,Svn} fields to debian/control.
  * When populating the sambashare group, it's not an error if the user
    simply doesn't exist; test for this case and let the install continue
    instead of aborting.  LP: #206036.
  * debian/libpam-smbpass.pam-config, debian/libpam-smbpass.postinst,
    debian/libpam-smbpass.files, debian/rules: provide a config block
    for the new PAM framework, allowing this PAM module to
    auto-configure itself
  * debian/control: make libpam-smbpass depend on
    libpam-runtime (>= 1.0.1-2ubuntu1) for the above
  * debian/patches/fix_wrong_gnu_ld_version_check.patch: new patch to fix
    wrong detection of the GNU ld version, so that the symbol export scripts
    will be properly applied when building.
  * refresh debian/libsmbclient.symbols for 3.3.1.

 -- Steve Langasek <vorlon@debian.org>  Mon, 02 Mar 2009 00:30:35 -0800

samba (2:3.3.0-4) unstable; urgency=low

  [ Steve Langasek ]
  * Build-Depend on libcap2-dev.  Closes: #515851.
  * debian/patches/fhs-filespaths-debatable.patch: Add a missing prototype
    for cache_path, which causes nearly undiagnoseable crashes when building
    with -fPIE, because of a wrong return type!  LP: #330626.

  [ Debconf translations ]
  * Belarusian added.  Closes: #516052.
  * Traditional Chinese updated. Closes: #516594
  * Swedish updated.  Closes: #516681.

  [ Mathieu Parent ]
  * enable clustering by default (CTDB). Closes: #514050

 -- Steve Langasek <vorlon@debian.org>  Tue, 24 Feb 2009 16:58:58 -0800

samba (2:3.3.0-3) unstable; urgency=low

  [ Steve Langasek ]
  * Re-add smb.conf fixes that were dropped in the 3.3.0 merge to unstable.
  * Make samba conflict with samba4, not with itself.

  [ Debconf translations ]
  * Vietnamese updated.  Closes: #515235.
  * Slovak updated.  Closes: #515240.

 -- Steve Langasek <vorlon@debian.org>  Mon, 16 Feb 2009 07:15:47 -0800

samba (2:3.3.0-2) unstable; urgency=low

  * Upload to unstable

 -- Christian Perrier <bubulle@debian.org>  Sat, 14 Feb 2009 13:38:14 +0100

samba (2:3.2.5-4) unstable; urgency=low

  * Fix segfault whan accessign some NAS devices running old versions of Samba
    Closes: #500129
  * Fix process crush when using gethostbyname_r in several threads
    Closes: #509101, #510450

 -- Christian Perrier <bubulle@debian.org>  Thu, 08 Jan 2009 05:59:17 +0100

samba (2:3.2.5-3) unstable; urgency=high

  * Security update
  * Fix Potential access to "/" in setups with registry shares enabled
    This fixes CVE-2009-0022, backported from 3.2.7
  * Fix links in HTML documentation index file.
    Closes: #508388
  * Drop spurious docs-xml/smbdotconf/parameters.global.xml.new
    file in the diff. Thanks to the release managers for spotting it

 -- Christian Perrier <bubulle@debian.org>  Sun, 21 Dec 2008 08:09:31 +0100

samba (2:3.2.5-2) unstable; urgency=low

  * Fix typo in bug number in a comment for the default smb.conf file
    Closes: #507620
  * Document the need to set appropriate permissions on the printer
    drivers directory, in the default smb.conf file. Also change
    the example group from ntadmin to lpadmin
    Closes: #459243
  * Add missing rfc2307.so and sfu*.so links that prevent using the
    'winbind nss info' feature properly
    Thans to Martin Dag Nilsson for reporting and Jelmer Jaarsma for
    the patch. Closes: #506109

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Dec 2008 13:56:07 +0100

samba (2:3.2.5-1) unstable; urgency=high

  * New upstream version. Security-only release.
    This addresses CVE-2008-4314: potentially leaking
    arbitrary memory contents to malicious clients.
  * Better document cases where using a "master" file for smb.conf
    is a bad idea. Closes: #483187
  * Insert example "add machine script" and "add group script" scripts
    in the default smb.conf. Closes: #349049
  * Move homepage URL to Homepage filed in debian/control

 -- Christian Perrier <bubulle@debian.org>  Thu, 27 Nov 2008 11:36:35 +0100

samba (2:3.3.0-1) experimental; urgency=low

  * New upstream release. Fixes the following bugs:
    - smb file deletion gvfs. Closes: #510564
    - smbclient du command does not recuse properly. Closes: #509258
    - mention possible workgroup field in credential files in mount.cifs(8)
      Closes: #400734
    - bashism in /usr/share/doc/samba-doc/examples/perfcounter/perfcountd.init
      Closes: #489656
    - describe '-g' option in smbclient man page. Closes: #510812
    - fix swat status table layout. Closes: #511275

  [ Jelmer Vernooij ]
  * Use alternatives for the smbstatus, nmblookup, net and
    testparm binaries and various data files in samba-common
    to allow installation of Samba 3 together with Samba 4.
  * Add myself to uploaders.

  [ Christian Perrier ]
  * Add mbc_getOptionCaseSensitive@Base, smbc_setOptionCaseSensitive@Base,
    smbc_set_credentials@Base, smbc_urldecode@Base and smbc_urlencode@Base to
    libsmbclient's symbols file with 3.3.0 as version number
  * Also add 18 symbols to libwbclient0's symbols file with 3.3.0 as
    version number

 -- Christian Perrier <bubulle@debian.org>  Fri, 30 Jan 2009 21:41:49 +0100

samba (2:3.3.0~rc2-4) experimental; urgency=low

  [ Steve Langasek ]
  * Revert one of the template depersonalization changes from the -2 upload,
    because it loses important context

  [ Christian Perrier ]
  * Use double quotation marks in debconf templates
  * Add 'status" option to init scripts. Thansk to Dustin Kirkland for
    providing the patch. Closes: #488275
  * Move WHATSNEW.txt, README, Roadmap to samba-common. Closes: #491997
  * [Lintian] Add ${misc:Depends} to dependencies of binary packages
    that didn't have it already as we're using debhelper in the source
    package
  * [Lintian] Don't ignore errors in swat.postrm
  * [Lintian] Fix "local foo=bar" bashisms in samba-common.dhcp, samba.config
    and samba-common.config
  * smb.conf.5-undefined-configure.patch: fix syntax error in smb.conf(5)
    Closes: #512843

  [ Debconf translations ]
  * Asturian added. Closes: #511730

 -- Christian Perrier <bubulle@debian.org>  Sat, 24 Jan 2009 16:04:57 +0100

samba (2:3.3.0~rc2-3) experimental; urgency=low

  * Fix around the libsmbclient/libsmbclient-dev descriptions, which got
    swapped in the last upload.
  * Drop a boilerplate sentence from the samba-common, smbclient, swat,
    samba-doc, samba-doc-pdf, samba-dbg, and libwbclient0 descriptions
    that's not relevant for these packages.
  * Hyphenate "command-line" in the smbclient short description.
  * Fix up the smbclient description, which got crossed with the smbfs one.
  * Fix the smbfs description, which was not actually fixed in the previous
    upload.  Really closes: #496206.
  * Further minor adjustments to the description of the swat package.
  * Fix various inaccuracies in the winbind package description.
  * Clarify in the description that samba-tools are extra, only useful for
    testing.

 -- Steve Langasek <vorlon@debian.org>  Tue, 30 Dec 2008 18:42:05 -0800

samba (2:3.3.0~rc2-2) experimental; urgency=low

  [ Steve Langasek ]
  * Handle clearing out netbios settings whenever the DHCP server has gone
    away.  Closes: #299618.

  [ Christian Perrier ]
  * Point the correct document about password encryption in debconf templates
    Corrected in translations as well. Closes: #502838
  * Reword debconf templates to avoid mentioning the local host as a "server".
    Closes: #171177
  * Use this opportunity for other minor rewording:
    - replace "SMB" by "SMB/CIFS"
    - more strongly discouraging the use of plain text passwords
    - unpersonnalization
  * Reword the libpam-smbpass package description
    Thanks to Justin B. Rye for the very useful suggestions
    Closes: #496196
  * Improve the package descriptions by rewording the description overhaul
    Also improve the specific information for samba and samba-dbg
    Thanks again to Justin B. Rye for the invaluable help
    Closes: #496200
  * Improve libsmbclient package description. Closes: #496197
  * Improve libwbclient0 package description. Closes: #496199
  * Improve samba-doc package description. Closes: #496202
  * Improve samba-tools package description. Closes: #496203
  * Improve samba-common package description. Closes: #496204
  * Improve smbclient package description. Closes: #496205
  * Improve smbfs package description. Closes: #496206
  * Improve swat package description. Closes: #496207
  * Improve winbind package description. Closes: #496208
  * Improve samba-doc-pdf package description. Closes: #496211
  * Update French debconf translation

 -- Christian Perrier <bubulle@debian.org>  Mon, 29 Dec 2008 11:50:04 +0100

samba (2:3.3.0~rc2-1) experimental; urgency=low

  * New upstream release

 -- Christian Perrier <bubulle@debian.org>  Wed, 17 Dec 2008 08:22:18 +0100

samba (2:3.3.0~rc1-2) experimental; urgency=low

  * Provide idmap_adex and idmap_hash in winbind.
    Thanks to Jelmer Jaarsma for reporting and providing a patch

 -- Christian Perrier <bubulle@debian.org>  Thu, 04 Dec 2008 19:59:23 +0100

samba (2:3.3.0~rc1-1) experimental; urgency=low

  * New upstream release

 -- Christian Perrier <bubulle@debian.org>  Fri, 28 Nov 2008 10:51:32 +0100

samba (2:3.3.0~pre2-1) experimental; urgency=low

  * New upstream release.

 -- Christian Perrier <bubulle@debian.org>  Fri, 07 Nov 2008 20:52:36 +0100

samba (2:3.2.4-1) unstable; urgency=low

  [ Steve Langasek ]
  * New upstream release.
    - debian/rules: we don't need to move cifs.upcall around, it's now
      installed to the right place upstream.
    - Fixed in this release:
      - typo in cifs.upcall.8. Closes: #501499

  [ Christian Perrier ]
  * Create /var/lib/samba in samba-common. Thanks to Thierry Carrez for
    the patch. Closes: #499359

 -- Christian Perrier <bubulle@debian.org>  Sat, 18 Oct 2008 08:20:31 +0200

samba (2:3.2.3-3) unstable; urgency=low

  [ Steve Langasek ]
  * Add missing manpage for cifs.upcall; thanks to Per Olofsson for pointing
    this out.  Closes: #497857.
  * Georgian debconf translation added. Closes: #498426
  * Polish debconf translation added. Thanks to Łukasz Paździora.

  [ Jelmer Vernooij ]
  * Add ldb-tools to Suggests: of samba. Closes: #488384

 -- Christian Perrier <bubulle@debian.org>  Fri, 03 Oct 2008 20:37:19 +0200

samba (2:3.2.3-2) unstable; urgency=low

  [ Christian Perrier ]
  * Fix FTBFS on GNU/kFreeBSD. Closes: #496880

 -- Steve Langasek <vorlon@debian.org>  Sat, 30 Aug 2008 00:46:07 -0700

samba (2:3.2.3-1) unstable; urgency=high

  * High-urgency upload for security fix
  * New upstream release
    - Fix "/usr/lib/cups/backend/smb does not try port 139 anymore by default"
      Closes: #491881
    - Fix the default permissions on ldb databases.  Addresses
      CVE-2008-3789; closes: #496073.
    - debian/rules, debian/smbfs.files: build with cifs.upcall,
      newly introduced to replace cifs.spnego
    - debian/rules: no more need to rename libsmbclient.so to
      libsmbclient.so.0, or libwbclient.so to libwbclient.so.0

  [ Noèl Köthe ]
  * fixing lintian warning "build-depends-on-1-revision"

 -- Steve Langasek <vorlon@debian.org>  Wed, 27 Aug 2008 10:19:59 -0700

samba (2:3.2.1-1) unstable; urgency=low

  [ Steve Langasek ]
  * Build-depend on keyutils only on the linux archs.  Closes: #493401.
  * New patch debian/patches/shrink-dead-code.patch: throw all .o files into
    a .a archive as a first pass before linking the final executables, so
    that the executables don't end up with quite so much unused code bloating
    the system.  Not applied to net or ntlm_auth, which have particularly
    hairy linking needs.  Partially addresses: bug #474543; no code was
    harmed in the making of this patch.
  * Build-depend on libcups2-dev | libcupsys2-dev, to facilitate backports.

  [ Christian Perrier ]
  * New upstream release
    - Fix trusted domain handling in Winbindd. Closes: #493752
    - Fix for print jobs that continued to show as active after printing
      had completed.  Closes: #494899.

 -- Steve Langasek <vorlon@debian.org>  Thu, 14 Aug 2008 16:13:24 -0700

samba (2:3.2.0-4) unstable; urgency=low

  * Brown paper bag bug: add a change to debian/patches/fhs-filespaths.patch
    that went missing somehow, causing samba to look for secrets.tdb in
    /etc/samba instead of /var/lib/samba where it's been for years.  No
    migration handling added, because this was only present in unstable for
    about a day.  Thanks to Rick Nelson for pointing this out.

 -- Steve Langasek <vorlon@debian.org>  Mon, 21 Jul 2008 17:39:48 -0700

samba (2:3.2.0-3) unstable; urgency=low

  * Upload to unstable.
  * debian/patches/proper-static-lib-linking.patch: fix SMB_LIBRARY macro
    and Makefile.in to properly avoid linking .a libraries into other .a
    libraries, since this bloats the libraries without providing any useful
    functionality.
  * Version the build-dependency on libtalloc-dev, to ensure we're building
    against a package with the right symbols.
  * Add debian/libsmbclient.symbols and debian/libwbclient0.symbols, to get
    more fine-grained versioned library dependencies
  * Bump the shlibs version for libsmbclient to 2:3.2.0, as new symbols
    have been added.
  * Re-add docs/registry to samba-doc, restored upstream
  * Move schannel_store.tdb out of /etc/samba to /var/lib/samba, where it
    belongs according to the FHS.  Closes: #454770.

 -- Steve Langasek <vorlon@debian.org>  Sun, 20 Jul 2008 15:38:10 -0700

samba (2:3.2.0-2) experimental; urgency=low

  * Fix up the copyright file to correctly document that we're now under
    GPLv3, not GPLv2.

 -- Steve Langasek <vorlon@debian.org>  Tue, 08 Jul 2008 12:21:47 -0700

samba (2:3.2.0-1) experimental; urgency=low

  [ Christian Perrier ]
  * New samba-tools package to provide all "torture" tools:
    smbtorture msgtest masktest locktest locktest2 nsstest vfstest
    pdbtest talloctort replacetort tdbtorture smbconftort
  * Upgrade Standard to 3.8.0 (checked)
  * Merged from unstable:
    * Drop "invalid users = root" from the default smb.conf file
      as it differs from upstream's behaviour and upstream is fairly
      noisy about this choice of ours. Closes: #462046
    * Drop commented "guest account = nobody". This is already upstream's
      default
    * Remove versioned Build-Depends when satisfied in etch (actually all
      versioning in Build-Depends)
    * Remove Conflicts with non-existing packages
    * Drop dpkg-dev and binutils from Build-Depends, since the versioned
      build-dep is no longer needed and these are both Build-Essential
    * Mini-policy for settings in smb.conf:
      - don't explicitly set settings to their default value
      - commented settings with the default value are commented with "#"
      - commented settings with a non-default value are commented with ";"
    * Apply this policy to "socket options". Closes: #476104
    * No longer gratuitously use /usr/lib/libsmbclient.so.0.1 but a more logical
      libsmbclient.so.0 as upstream doesn't assign versions
    * Add idmap_*(8) man pages (idea taken from SerNet packages)
    * Create the entire set of directories needed by clients for
      Point-and-Click printing (including old clients!) in
      /var/lib/samba/printers (idea taken from SerNet packages)
    * Update copyright and README.debian information for current and past
      maintainers. Remove redundant mention of Tridge (the copyright is enough)
    * Add doc-base files for samba-doc-pdf. Closes: #451685
    * add a soft dependency on slapd in init script to allow
      proper operation when dependency-based boot sequence is enabled.
      Thanks to Petter Reinholdtsen for reporting and providing a patch
      Closes: #478800
  * Rename libcupsys2-dev to libcups2-dev in build dependencies
  * Localize SWAT in German. Closes: #487681

  [ Debconf translations ]
  * Merged from unstable:
    * Kurdish. Closes: #480151
    * Romanian updated. Closes: #488709.

  [ Steve Langasek ]
  * New upstream release
  * Merged from unstable:
    * debian/patches/no-unnecessary-cups.patch: don't try to connect to a
      cups server when we know that no printers are configured.
      Closes: #479512.

  [ Jelmer Vernooij ]
  * Merged from unstable:
  * Fix bashism in smbtar. (Closes: #486056)

  [ Peter Eisentraut ]
  * Merged from unstable:
    * Removed myself from Uploaders

 -- Christian Perrier <bubulle@debian.org>  Sun, 06 Jul 2008 09:59:07 +0200

samba (2:3.2.0~rc2-1) experimental; urgency=low

  [ Christian Perrier ]
  * New upstream release

  [ Steve Langasek ]
  * Enable building of cifs.spnego for the smbfs package, adding a
    build-dependency on keyutils-dev, to allow kerberos-based authentication
    of cifs mounts.  Closes: #480663, LP: #236830.

 -- Christian Perrier <bubulle@debian.org>  Thu, 12 Jun 2008 17:17:38 +0200

samba (2:3.2.0~rc1-2) experimental; urgency=low

  * Reupload to experimental. Sigh.

 -- Christian Perrier <bubulle@debian.org>  Sat, 31 May 2008 11:08:14 +0200

samba (1:3.2.0~rc1-1) unstable; urgency=low

  * New upstream version
  * debian/samba-doc.doc-base.samba-using: index file is no named toc.html

 -- Christian Perrier <bubulle@debian.org>  Fri, 30 May 2008 20:22:57 +0200

samba (1:3.2.0~pre3-1) experimental; urgency=low

  * New upstream version
  * debian/patches/fix-manpage-htmlchars.patch: dropped as fixed upstream
  * docs/registry removed from samba-doc as missing from upstream tarball
    (upstream bug #5421)
  * debian/samba-doc.doc-base.samba-using: The index (and only) file
    is now book.html

 -- Christian Perrier <bubulle@debian.org>  Sat, 26 Apr 2008 08:20:21 +0200

samba (1:3.2.0~pre2-2) experimental; urgency=low

  [ Christian Perrier ]
  * Upload to experimental with an epoch as the earlier version
    accidentally went to unstable.

  [ Peter Eisentraut ]
  * Removed myself from Uploaders

 -- Christian Perrier <bubulle@debian.org>  Sun, 06 Apr 2008 20:38:35 +0200

samba (3.2.0~pre2-1) unstable; urgency=low

  * New upstream (pre-)release. It closes the following bugs:
    - typos in net.8. Closes: #460487, #460491
    - mention insmb.conf(5) that logging still occurs when
      "syslog only" is enabled and "syslog=0". Closes: #311300
    - bad link in HTML docs. Closes: #358479
    - enhance a useless and confusing debug message in pdb_ldap
      Closes: #448546
    - mention the correct default debug level in smbclient(1)
      Closes: #292371
    - no longer mention that "ip" parameter can use the host name
      in mount.cifs(8). Closes: #296057
    - wrong spelling of "its own" in source comments fixed
      Closes: #448686
    - fix "ldapsam_getgroup: Did not find group" debug message
      Closes: #448546
    - fix smbclient(1): useless use of cat. Closes: #429349

  [ Steve Langasek ]
  * debian/patches/fix-manpage-htmlchars.patch: patch all the manpages from
    3.2.0pre2, which ended up with html entity encodings embedded in them
    by mistake.  This patch is expected to go away again for 3.2.0pre3.
  * fix up the FHS patches for the new upstream release:
    - debian/patches/fhs-newpaths.patch has been merged upstream, drop it.
    - debian/patches/fhs-filespaths.patch has been mostly applied; only one
      path usage remains inconsistent, and a new .tdb has been added with
      the wrong path so fix this up here too.
    - debian/patches/fhs-filespaths-debatable.patch: updated for some new
      uses of lock_path() which we map to cache_path().
    - debian/patches/fhs-assignpaths.patch: patch source/m4/check_path.m4
      instead of source/configure.in.
  * debian/patches/smbstatus-locking.patch: merged upstream
  * debian/patches/smbpasswd-syslog.patch: updated to account for new
    calls to logging functions
  * Handle the new libraries available in samba 3.2: ship libwbclient as a
    shared library, link against the system libtalloc (adding a
    build-dependency on libtalloc-dev - which is actually sort of kludgy
    because this only works as long as the system libtalloc has the same
    soname as the one within the samba tree, this should be fixed to
    properly build against the system libtalloc), and suppress generation
    of the tdb and netapi libraries which aren't useful to us right now.

 -- Christian Perrier <bubulle@debian.org>  Wed, 05 Mar 2008 22:45:28 +0100

samba (2:3.0.31-1) unstable; urgency=medium

  * New upstream release

 -- Christian Perrier <bubulle@debian.org>  Sat, 12 Jul 2008 16:57:09 +0200

samba (2:3.0.30-4) unstable; urgency=low

  [ Christian Perrier ]
  * Rename libcupsys2-dev to libcups2-dev in build dependencies
  * Localize SWAT in German. Closes: #487681

  [ Jelmer Vernooij ]
  * Fix bashism in smbtar. (Closes: #486056)

  [ Jamie Strandboge ]
  * debian/patches/upstream_bug5517.patch: adjust cli_negprot() to properly
    calculate buffer sizes. This bug was introduced in the fix for
    CVE-2008-1105. Closes: #488688

  [ Debconf translations ]
  * Romanian updated. Closes: #488709.

 -- Christian Perrier <bubulle@debian.org>  Sun, 06 Jul 2008 11:43:53 +0200

samba (2:3.0.30-3) unstable; urgency=low

  [ Christian Perrier ]
  * add a soft dependency on slapd in init script to allow
    proper operation when dependency-based boot sequence is enabled.
    Thanks to Petter Reinholdtsen for reporting and providing a patch
    Closes: #478800

  [ Steve Langasek ]
  * debian/patches/no-unnecessary-cups.patch: don't try to connect to a cups
    server when we know that no printers are configured.  Closes: #479512.

 -- Christian Perrier <bubulle@debian.org>  Tue, 10 Jun 2008 21:03:51 +0200

samba (2:3.0.30-2) unstable; urgency=high

  * Brown paper bag releae with epoch increased after yet another
    accidental upload of 3.2.0 to unstable. Sigh and apologies to
    autobuilders.

 -- Christian Perrier <bubulle@debian.org>  Sat, 31 May 2008 12:08:50 +0200

samba (1:3.0.30-1) unstable; urgency=high

  * New upstream release: fix a heap overflow when parsing SMB responses in
    client code. (CVE-2008-1105). Closes: #483410

 -- Christian Perrier <bubulle@debian.org>  Wed, 28 May 2008 22:38:44 +0200

samba (1:3.0.29-1) unstable; urgency=low

  * New upstream release

 -- Christian Perrier <bubulle@debian.org>  Thu, 22 May 2008 07:31:55 +0200

samba (1:3.0.28a-3) unstable; urgency=low

  * The "bug hunting at SambaXP" release
  * Drop "invalid users = root" from the default smb.conf file
    as it differs from upstream's behaviour and upstream is fairly
    noisy about this choice of ours. Closes: #462046
  * Drop commented "guest account = nobody". This is already upstream's
    default
  * Remove versioned Build-Depends when satisfied in etch (actually all
    versioning in Build-Depends)
  * Remove Conflicts with non-existing packages
  * Drop dpkg-dev and binutils from Build-Depends, since the versioned
    build-dep is no longer needed and these are both Build-Essential
  * Mini-policy for settings in smb.conf:
    - don't explicitly set settings to their default value
    - commented settings with the default value are commented with "#"
    - commented settings with a non-default value are commented with ";"
  * Apply this policy to "socket options". Closes: #476104
  * No longer gratuitously use /usr/lib/libsmbclient.so.0.1 but a more logical
    libsmbclient.so.0 as upstream doesn't assign versions
  * Add idmap_*(8) man pages (idea taken from SerNet packages)
  * Create the entire set of directories needed by clients for
    Point-and-Click printing (including old clients!) in
    /var/lib/samba/printers (idea taken from SerNet packages)
  * Update copyright and README.debian information for current and past
    maintainers. Remove redundant mention of Tridge (the copyright is enough)
  * Add doc-base files for samba-doc-pdf. Closes: #451685
  * Kurdish debconf translation. Closes: #480151

 -- Christian Perrier <bubulle@debian.org>  Wed, 16 Apr 2008 23:14:46 +0200

samba (1:3.0.28a-2) unstable; urgency=low

  [ Peter Eisentraut ]
  * Removed myself from Uploaders

  [ Steve Langasek ]
  * debian/patches/manpage-encoding.patch: fix up the manpage synopses to
    not use embedded iso8859-1 non-break spaces, there is a roff escape
    sequence that we should use instead.  Closes: #470844.

  [ Christian Perrier ]
  * Reupload with an epoch to supersede an accidental upload of 3.2.0
    in unstable

 -- Christian Perrier <bubulle@debian.org>  Sat, 05 Apr 2008 11:59:23 +0200

samba (3.0.28a-1) unstable; urgency=low

  [ Christian Perrier ]
  * New upstream release. This fixes the following Debian bugs:
    - Prevent nmbd from shutting down when no network
      interfaces can be located. Closes: #433449
  * Debian patches dropped as applied upstream:
    - make-distclean.patch
    - linux-cifs-user-perms.patch
    - cifs-umount-same-user.patch
    - get_global_sam_sid-non-root.patch
    - chgpasswd.patch
    - cups.patch
  * Fix doc-base section from Apps/Net to Network
  * Fix copyright in debian/copyright
  * Updated Standards-Version to 3.7.3 (no changes needed)
  * [Lintian] No longer use -1 revision for the libacl-dev build
    dependency

  [ Steve Langasek ]
  * Merge smb.conf changes from Ubuntu:
    - correct an inconsistency inthe winbind enum comment
    - correct default and example settings to use the canonical names for all
      options, rather than historical synonyms
    - clarify the comment for 'max log size'.
    Thanks to Chuck Short and Richard Laager.
  * Add an additional sed command to samba-common.postinst to cleverly
    pick up any shares that have been appended to the default smb.conf
    and exclude them from the ucf diff.

 -- Christian Perrier <bubulle@debian.org>  Fri, 14 Mar 2008 21:28:16 +0100

samba (3.0.28-4) unstable; urgency=low

  [ Steve Langasek ]
  * Brown paper bag: fix samba-common.files to list all of the smb.conf
    templates, not just the current one.  Closes: #470138.
  * Drop debian/patches/gcc42-arm-workaround.patch, which should have been
    dropped in the previous upload

 -- Steve Langasek <vorlon@debian.org>  Sun, 09 Mar 2008 04:09:26 -0700

samba (3.0.28-3) unstable; urgency=low

  * Drop the arm optimization workaround, as the compiler is now reported
    to be fixed.
  * Add missing eventlogadm(8) manpage.
  * Refresh the list of Linux architectures from type-handling, to pick up
    libacl-dev on armel.  Closes: #465121.
  * Convert handling of smb.conf to use ucf, so that we can sanely manage
    syntax changes going forward.
  * In the process, fix the dhcp handling to allow proper reconfiguration
    via debconf.

  [ Debconf translations ]
  * Indonesian added. Closes: #469976

 -- Steve Langasek <vorlon@debian.org>  Sat, 08 Mar 2008 17:11:16 -0800

samba (3.0.28-2) unstable; urgency=low

  [ Steve Langasek ]
  * Drop some further code in samba-common.postinst that's specific to
    pre-3.0 upgrades.
  * Make the mount.smbfs wrapper a bash script instead of a POSIX sh script,
    so we can use bash array variables and cope with arguments containing
    embedded spaces (such as share names).  Thanks to Julian Gilbey
    <jdg@debian.org> for the patch.  Closes: #457105.
  * debian/patches/gcc42-arm-workaround.patch: work around an arm compiler
    problem by building rpc_parse/parse_prs.o with -O0 on this architecture.
    Thanks to Martin Michlmayr for helping to pin down the problem file.
    Closes: #445566.
  * mount.smbfs: map the smbfs "guest" option to "guest,sec=none", which is
    a closer approximation of the semantics with cifs.

 -- Christian Perrier <bubulle@debian.org>  Sat, 05 Jan 2008 09:46:06 +0100

samba (3.0.28-1) unstable; urgency=high

  * New upstream release. Security fix
  * Fix a remote code execution vulnerability when running as a domain
    logon server (PDC or BDC).  (CVE-2007-6015)

 -- Christian Perrier <bubulle@debian.org>  Tue, 11 Dec 2007 00:12:11 +0530

samba (3.0.27a-2) unstable; urgency=low

  * debian/patches/disable-weak-auth.patch: disable plaintext authentication
    on the client, and lanman authentication on both client and server, by
    default since these are only needed for Win9x or Samba with encrypted
    passwords disabled and are potential password attack vectors.  This
    change is backported from Samba 3.2.  LP: #163194.
  * Don't build the userspace tools for the deprecated smbfs kernel driver
    anymore; instead, use a shell wrapper around mount.cifs that translates
    option names between the smbfs and cifs drivers.
    Closes: #169624, #256637, #265468, #289179, #305210, #410075;
    LP: #29413
  * debian/panic-action: detect when we're on an Ubuntu system and direct bug
    reporters to Launchpad instead of to the Debian BTS.  Closes: #452940.
  * debian/samba.init: call log_progress_msg separately for each daemon on
    stop rather than passing a second arg to log_daemon_msg, for greater
    compatibility with both Debian and Ubuntu LSB initscript implementations.
    Closes: #453350.
  * Drop smbldap-tools to Suggests:, consistent with the textbook meaning of
    recommends/suggests which is now implemented correctly in apt.
    Closes: #453144.
  * Get rid of the build-dependency on type-handling:
    - add a new target, "update-archs", to be invoked by hand to refresh
      the list of known Linux architectures for the libacl1-dev
      build-dep; this avoids the clean target making changes to
      debian/control
    - rework the sed line so that it works in-place on debian/control,
      so we can get rid of debian/control.in as well and just update
      debian/control directly
    Closes: #340570.

 -- Steve Langasek <vorlon@debian.org>  Tue, 04 Dec 2007 18:35:29 -0800

samba (3.0.27a-1) unstable; urgency=low

  [ Steve Langasek ]
  * New upstream release
    - fix regression with smbfs clients, introduced by the security fix in
      3.0.27.  Closes: #451839.
    - debian/patches/cifs-umount-trailing-slashes.patch: merged upstream.
  * Drop the deprecated "printer admin" example from the default smb.conf.
    Closes: #451273.
  * Add a *new* debian/patches/cups.patch to *enable* cups as the default
    printing system, because since the original introduction of this patch
    in Debian there was a regression upstream that caused cups to never be
    selected as the default print system.
  * Set the default value for the workgroup question to "WORKGROUP" in
    samba-common.templates, not just in the template smb.conf, so that the
    debconf question comes out right every time; and always treat this
    as a high-priority debconf question instead of selecting the
    priority based on whether there's an existing value, since there's
    now *always* an existing value but the value doesn't tell us
    anything meaningful about the user's preference.  Closes: #451271.
  * Drop some code from samba.postinst that only applies to upgrades from
    pre-3.0 (i.e., pre-sarge) packages

  [ Christian Perrier ]
  * Update the "built by" part of README.debian
  * Remove the very outdated parts of README.debian

 -- Steve Langasek <vorlon@debian.org>  Fri, 23 Nov 2007 13:04:52 -0800

samba (3.0.27-1) unstable; urgency=low

  * New upstream version
    - fixes a remote code execution vulnerability when running nmbd as a
      WINS server. (CVE-2007-5398; closes: #451385)
    - fixes a buffer overflow in nmbd when running as a domain controller
      during processing of GETDC logon server requests. (CVE-2007-4572)

  [ Steve Langasek ]
  * fhs.patch: net usershares should also be stored under /var/lib, not under
    /var/run.  No transition handling in maintainer scripts, since this
    feature is not activated by default.
  * get_global_sam_sid-non-root.patch: avoid calling get_global_sam_sid()
    from smbpasswd -L or pam_smbpass when running as non-root, to avoid a
    foreseeable panic.  Closes: #346547, #450738.
  * usershare.patch: enable "user shares" by default in the server with a
    default limit of 100, to support user shares on both upgrades and new
    installs with no need to munge config files.  Thanks to Mathias Gug
    <mathiaz@ubuntu.com> for the patch.  Closes: #443230.
  * On Ubuntu, support autopopulating the sambashare group using the existing
    members of the admin group; no equivalent handling is done on Debian,
    because there doesn't seem to be an appropriate template group we can use
    that wouldn't be considered a privilege escalation for those users.
  * Update Samba to explicitly use the C locale when doing password changes,
    to account for Linux-PAM's recently adopted i18n support.
    Closes: #451272.
  * Enforce creation of the pid directory (/var/run/samba) in the samba
    init script, for compatibility with systems that use a tmpfs for
    /var/run.  Closes: #451270.
  * debian/patches/cups.patch, debian/NEWS: drop the patch to force bsd
    as the default printing system, as CUPS is now the dominant/default
    printing system for Linux.

  [ Debconf translations ]
  * Hebrew added. Closes: #444054

  [ Christian Perrier ]
  * Split fhs.patch into 3 separate patches to make upstream integration
    easier:
    - fhs-newpaths.patch: introduce new paths
    - fhs-filespaths.patch: assign files to new paths
    - fhs-assignpaths.patch: assign paths to FHS-compatible locations
  * Compile with DNS update support. Thanks to Matthias Gug for
    reporting and contributions from Launchpad's #156686
    Closes: #449422

 -- Steve Langasek <vorlon@debian.org>  Thu, 15 Nov 2007 11:46:17 -0800

samba (3.2.0~pre1-1) experimental; urgency=low

  * New upstream (pre-)release

  [ Steve Langasek ]
  * fhs.patch: net usershares should also be stored under /var/lib, not under
    /var/run.  No transition handling in maintainer scripts, since this
    feature is not activated by default.
  * Update smbstatus-locking.patch to use db_open() instead of
    tdb_open(), per upstream recommendation.
  * Use talloc_strdup() and talloc_asprintf() instead of static strings in
    data_path(), state_path(), and cache_path(), as suggested by Volker
    Lendecke.

  [ Debconf translations ]
  * Hebrew added. Closes: #444054

  [ Christian Perrier ]
  * Split fhs.patch into 4 separate patches to make upstream integration
    easier:
    - fhs-newpaths.patch: introduce new paths
    - fhs-filespaths.patch: assign files to new paths
    - fhs-filespaths-debatable.patch: assign files to new paths (part that
      seems more difficult to be integrated upstream)
    - fhs-assignpaths.patch: assign paths to FHS-compatible locations

 -- Christian Perrier <bubulle@debian.org>  Sun, 21 Oct 2007 09:14:42 +0200

samba (3.0.26a-1) unstable; urgency=low

  * New upstream release.
  * Remove the samba-common/unsupported-passdb debconf template and
    the associated code in samba-common.postinst, that deals with pre-etch
    versions transition
  * Remove the samba/tdbsam template and the remaining line referencing
    it (for no need) in samba.postinst. That code was removed in 3.0.23c-2
    and was dealing with pre-3.0 transitions.

 -- Christian Perrier <bubulle@debian.org>  Sun, 16 Sep 2007 10:16:29 +0200

samba (3.0.26-1) unstable; urgency=high

  * New upstream release: security update for CVE-2007-4138:
    incorrect primary group assignment for domain users using the rfc2307 or
    sfu winbind nss info plugin.

 -- Christian Perrier <bubulle@debian.org>  Tue, 11 Sep 2007 19:16:32 +0200

samba (3.0.25c-1) unstable; urgency=low

  [ Noèl Köthe ]
  * new upstream released from 2007-08-20
    - added smbfs deprecation information to help and manpage
      Closes: #360384
    - fixed winbind leaking file descriptors
      Closes: #410663
    - fixed smbpasswd fails with errorcode SUCCESS as normal user
      Closes: #155345

  [ Christian Perrier ]
  * Drop the (upstream unmaintained) python bindings (python-samba package)
  * swat: turn the dependency on samba-doc to a Recommends:
    Thanks to Peter Eisentraut for dealing with that issue and bringing it
    back. Closes: #391742

 -- Christian Perrier <bubulle@debian.org>  Sun, 26 Aug 2007 14:57:16 +0200

samba (3.0.25b-2) unstable; urgency=low

  [ Steve Langasek ]
  * Don't start nmbd if 'disable netbios' is set in the config.
    Closes: #429429.
  * missing_userspace_bugzilla999.patch: always use opt_gid and opt_uid,
    set to those of the invoking user, when called as non-root.
    Closes: #431661.
  * Fix up fhs.patch for some new FHS regressions:
    - make sure all references to winbindd_idmap.tdb look in /var/lib/samba
    - make sure all references to winbindd_cache.tdb look in /var/cache/samba
    - share_info.tdb belongs in /var/lib/samba; this is a regression
      introduced in 3.0.23-1, so fix up this path on samba upgrade
    - move the ADS "gpo" cache directory to /var/cache/samba
    - move idmap_cache.tdb to /var/cache/samba, and fix up the path on
      winbind upgrade
  * linux-cifs-user-perms.patch: also support setting a default uid and gid
    value when mount.cifs is called as non-root
  * cifs-umount-trailing-slashes.patch: canonicalize mount point names when
    umount.cifs is called, to avoid unnecessarily leaving entries behind in
    /etc/mtab if invoked with a trailing slash in the mount point name
  * cifs-umount-same-user.patch: the CIFS_IOC_CHECKMOUNT ioctl check
    in umount.cifs assumed that errors would return a value > 0, when in fact
    the return value on failure is -1.  Correct this assumption, which was
    allowing any user to unmount shares mounted by other users.
  * smbpasswd-syslog.patch: Fix pam_smbpass to no longer call openlog()
    and closelog(), since this will interfere with syslogging behavior
    of the calling application.  Closes: #434372.
  * swat should depend only on inet-superserver, not update-inetd, per
    Marco d'Itri.

  [ Christian Perrier ]
  * debian/panic-action: bail out if there's no "mail" command
    Patch from the Ubuntu samba packagers.
  * debian/smb.conf: use the comment from Ubuntu package for the "valid users"
    setting of [homes] as a basis for ours. Ubuntu's wording is better.

  [ Peter Eisentraut ]
  * Don't ignore errors from make distclean, as per lintian check

  [ Debconf translations ]
  * Gujarati updated. Closes: #436215

 -- Steve Langasek <vorlon@debian.org>  Fri, 17 Aug 2007 18:38:58 -0700

samba (3.0.25b-1) unstable; urgency=low

  * New upstream version
  * Bugs fixed upstream:
    - correct default mentioned for "store dos attribute" in smb.conf(5)
      Closes: #367379
    - fix typo in pdbedit.c. Closes: #421758
    - fixed crashes in idmap_rid. Closes: #428411
    - misleading documentation in smb.conf(5). Closes: #218477
    - don't crash when no eventlog names are defined in smb.conf
      Closes: #424683
    - typography errors in manpages. Closes: #427865, #418811
    - fix compilation and linking of pam_smbpass.so. Closes: #430755
  * Drop patches that have been applied upstream:
    - nmbd-signalling.patch

 -- Christian Perrier <bubulle@debian.org>  Wed, 27 Jun 2007 15:12:13 +0200

samba (3.0.25a-2) unstable; urgency=low

  [ Debconf translations ]
  * Danish updated. Closes: #426773

  [ Christian Perrier ]
  * Clean out some remaining cruft that is not deleted
    by "make clean". Taken from Ubuntu patches.
  * Add missing userspace patches to properly pass uid and gid with 2.6
    kernels. See #408033 and upstream's #999 for rationale
  * Drop smbmount-unix-caps.patch as workaraound for #310982 as the issue
    is fixed in 2.4 and 2.6 kernels (2.6 kernels need
    missing_userspace_bugzilla999.patch, though)
    Closes: #408033
  * Add the samba-common and winbind packages to samba-dbg to get
    debugging symbols for winbindd, net, etc.
  * Replace all occurrences of ${Source:Version} by ${$binary:Version} in
    dependencies. All these were Arch:any depending on Arch:any (the only
    Arch:any depending on Arch:all already used ${source:Version}

  [ Steve Langasek ]
  * Update samba.config to not override user preference on passdb.tdb
    creation after initial configuration.  Closes: #350926.
  * Drop the last vestiges of the unified samba.patch; this reverts the
    change for bug #112195 which it's been determined has no actual security
    benefits, and drops the fix for bug #106976 which is superseded
    upstream.

  [ Debconf translations ]
  * Vietnamese updated.  Closes: #426979.

 -- Christian Perrier <bubulle@debian.org>  Wed, 13 Jun 2007 15:47:06 +0200

samba (3.0.25a-1) unstable; urgency=low

  [ Christian Perrier ]
  * New upstream version
  * Bugs fixed upstream:
    - password expiration loog on samba domain controllers. Closes: #425083
    - no more login on samba servers that are members of samba domains
      Closes: #425680, #426002
    - users no longer have access according to their secondary groups
      on shares with "force group". Closes: #424629
  * Debian packaging fixes:
    - Enforce building with "--with-ads" and therefore fail
      when the build can't be done with kerberos support.
      Closes: #424637
    - debian/control: wrap long lines in packages' descriptions
    - uncomment out use of type-handling in the clean target, because
      type-handling has been fixed to support the new /usr/share/dpkg/ostable
    - avoid installing extra COPYING files in /usr/share/doc/* (one was
      installed along with the pcap2nbench example)
  * Merge Ubuntu changes:
    - use of PIDDIR instead of hardcoding it in samba.init and winbind.init
  * Patches to upstream source:
    - patches/fhs.patch: recreate winbindd_cache.tdb in the cache directory
      instead of the lock directory. Thanks to C. K. Jester-Young for the
      patch. Closes: #425640

  [ Steve Langasek ]
  * swat and samba depend on update-inetd instead of on netbase; swat also
    depends on "openbsd-inetd | inet-superserver", for samba this is only a
    Suggests.

 -- Christian Perrier <bubulle@debian.org>  Sun, 27 May 2007 09:30:02 +0200

samba (3.0.25-1) unstable; urgency=high

  * New upstream version including security fixes
  * Bugs fixed upstream:
    - nmbd no longer segfaults on bad interface line
      Closes: #265577, #386922, #359155, #366800
    - documentation issues about displaycharset. Closes: #350790
    - documentation makes it clear that case options such as
      "default case" can only be set on a per-share basis.
      Closes: #231229
    - all occurrences of "encypt" fixed in smb.conf(5)
      Closes: #408507
    - two typos on "account" fixed in source/passdb/pdb_ldap.c and
      source/utils/pdbedit.c. Closes: #402392
    - no longer panic when using the (deprecated) "only user" option
      in user level security. Closes: #388282
    - CVE-2007-2444 (User privilege elevation because of a local SID/Name
      translation bug)
    - CVE-2007-2446 (Multiple heap overflows allow remote code execution)
    - CVE-2007-2447 (Unescaped user input parameters are passed as
                     arguments to /bin/sh allowing for remote command
                     execution)

  [ Debconf translations ]
  * Marathi added. Closes: #416802
  * Esperanto added. Closes: #417795.
  * Basque updated. Closes: #418196.
  * Wolof updated. Closes: #421636

  [ Christian Perrier ]
  * /etc/dhcp3/dhclient-enter-hooks.d/samba tests for /etc/init.d/samba
    before running invoke-rc.d. Closes: #414841

  [ Steve Langasek ]
  * Comment out use of type-handling in the clean target, because
    type-handling is currently broken in unstable and clean shouldn't be
    editing debian/control anyway.

 -- Christian Perrier <bubulle@debian.org>  Mon, 14 May 2007 10:30:15 +0200

samba (3.0.24-6) unstable; urgency=high

  * Arrrgh, cut'n'paste error in the regexp in the last upload, so the bug
    is still present :/  Fix a missing ] in the regexp for passdb backend
    checking, really-closes: #415725.

 -- Steve Langasek <vorlon@debian.org>  Sat, 24 Mar 2007 03:32:46 -0700

samba (3.0.24-5) unstable; urgency=high

  * The "see what you get for trusting the quality of my packages,
    release team?  Release team, please unblock this package" release.
  * High-urgency brown-paper-upload for etch-targetted fix for
    regression introduced in the last version

  [ Steve Langasek ]
  * Fixed the regexp used for matching broken passdb backend settings,
    since we were getting false positives on *all* values. :/  The
    correct match should be: one or more non-space, non-comma
    characters, followed by a space or a comma, followed by zero or more
    spaces, followed by one or more non-space characters.  Closes: #415725.

  [ Debconf translations ]
  * Nepali
  * Korean; closes: #414883.
  * Russian
  * Arabic
  * Portuguese
  * Greek. Closes: #415122
  * Norwegian Nynorsk added.
  * Marathi added. Closes: #416802

 -- Steve Langasek <vorlon@debian.org>  Wed, 21 Mar 2007 13:49:46 -0700

samba (3.0.24-4) unstable; urgency=medium

  [ Steve Langasek ]
  * Documentation fix for a problem affecting upgrades from sarge: if
    passdb backend is still a comma- or space-separated list after any
    attempts at automatic fix-ups, throw a debconf error notifying the
    user that they'll need to fix this manually.  Closes: #408981.

  [ Debconf translations ]
  * French
  * Spanish
  * Galician; closes: #414605.
  * Swedish; closes: #414610.
  * Brazilian Portuguese; closes: #414603.
  * German; closes: #414630.
  * Norwegian Bokmål; closes: #414619.
  * Bulgarian; closes: #414624.
  * Romanian; closes: #414629.
  * Tagalog; closes: #414637.
  * Khmer; closes: #381833.
  * Thai; closes: #414664.
  * Slovak; closes: #414665.
  * Slovenian
  * Simplified Chinese; closes: #414671.
  * Japanese; closes: #414673.
  * Hungarian; closes: #414677.
  * Dzongkha; closes: #414680.
  * Estonian; closes: #414679.
  * Catalan
  * Malayalam; closes: #414728
  * Traditional Chinese; closes: #414730
  * Turkish
  * Italian; closes: #414708
  * Finnish; closes: #414736
  * Dutch; closes: #414741
  * Albanian; closes: #414778.
  * Czech; closes: #414793.

 -- Steve Langasek <vorlon@debian.org>  Tue, 13 Mar 2007 16:29:21 -0700

samba (3.0.24-3) unstable; urgency=low

  [ Christian Perrier ]
  * Merge some Ubuntu changes:
    - do not expose the Samba version anymore
    - default workgroup set to WORKGROUP (default workgroup of
      Windows workstations)
  * Fix FTBFS on GNU/kFreeBSD. Thanks to Petr Salinger for the patch
    Closes: #394830
  * Add commented "winbind enum*" settings in smb.conf
    This will point users to these important settings which changed
    their default behaviour between sarge and etch. Closes: #368251

  [ Steve Langasek ]
  * samba-common.dhcp: support creating /etc/samba/dhcp.conf the first
    time the script is called if the dhcp client was already running at
    the time of install, and manually reload samba to get the updated
    config files read.  Thanks to Bas Zoetekouw for the patch.
    Closes: #407408.
  * While we're at it, use atomic replace for /etc/samba/dhcp.conf just
    in case someone else reloads samba while the script is running.  Low
    impact, low-risk change.

 -- Steve Langasek <vorlon@debian.org>  Sun, 11 Mar 2007 23:34:10 -0700

samba (3.0.24-2) unstable; urgency=low

  * Re-upload with a proper .orig.tar.gz.

 -- Steve Langasek <vorlon@debian.org>  Mon,  5 Feb 2007 19:55:34 -0800

samba (3.0.24-1) unstable; urgency=high

  * New upstream release, security update
  * Fixes for the following security advisories:
    - Directly affecting Debian:
      - CVE-2007-0452 (Potential Denial of Service bug in smbd)
    - Not affecting Debian:
      - CVE-2007-0453 (Buffer overrun in NSS host lookup Winbind
        NSS library on Solaris)
      - CVE-2007-0454 (Format string bug in afsacl.so VFS plugin)
  * Correct paths for the documentation pointers in the default smb.conf
    file. Thanks to Ted Percival for his care reporting this. Closes: #408898

 -- Christian Perrier <bubulle@debian.org>  Mon,  5 Feb 2007 05:27:07 +0100

samba (3.0.23d-4) unstable; urgency=low

  * Debconf translation updates:
    - Slovenian added.

 -- Christian Perrier <bubulle@debian.org>  Wed,  3 Jan 2007 08:43:50 +0100

samba (3.0.23d-3) unstable; urgency=low

  * Debconf translation updates:
    - Malayalam added. Closes: #403107
    - Tamil added. Closes: #403353

 -- Christian Perrier <bubulle@debian.org>  Mon,  1 Jan 2007 10:17:18 +0100

samba (3.0.23d-2) unstable; urgency=low

  * Build-Conflicts: libfam-dev to avoid problems accessing shares
    when using GAMIN. Closes: #400617
  * Lintian fixes:
    - Run debconf-updatepo in the clean target to ensure up-to-date PO
      and POT files
    - debian/patches/no_unbreakable_spaces_in_man.patch:
      Replace all non-breakable spaces by regular spaces in man pages.
      They are encoded in ISO-8859-1 which is not recommended in man pages.
      This should be submitted upstream.
    - reformat too long lines in package description

 -- Christian Perrier <bubulle@debian.org>  Sun,  3 Dec 2006 09:39:29 +0100

samba (3.0.23d-1) unstable; urgency=low

  * new upstream release (2006-11-15)

  [ Noèl Köthe ]
  * updated documentation.patch for 3.0.23d
  * updated non-linux-ports.patch for 3.0.23d
  * updated adapt_machine_creation_script.patch for 3.0.23d
  * updated autoconf.patch for 3.0.23d

  [ Debconf translations ]
  * Added Bosnian. Closes: #396634
  * Added Bulgarian. Closes: #397773

 -- Noèl Köthe <noel@debian.org>  Thu, 16 Nov 2006 13:55:26 +0100

samba (3.0.23c-4) unstable; urgency=low

  [ Debconf translations ]
  * Added Greek.
  * Added Gujarati. Closes: #394430
  * Added Korean. Closes: #394509
  * Added Nepali.
  * Updated Czech (typo fixed).
  * Added Wolof. Closes: #396079

 -- Christian Perrier <bubulle@debian.org>  Sun,  5 Nov 2006 09:42:40 +0100

samba (3.0.23c-3) unstable; urgency=low

  [ Debconf translations ]
  * Updated Catalan; thanks to Guillem Jover for his help
  * Updated Russian.
  * Updated Spanish. Add a missing word and correct the copyright header
  * Updated Vietnamese. Closes: #394164
  * Added Albanian. Closes: #393777
  * Added Chinese (Traditional).
  * Added Thai.

 -- Christian Perrier <bubulle@debian.org>  Sat, 21 Oct 2006 10:44:11 +0200

samba (3.0.23c-2) unstable; urgency=low

  [ Debconf translations ]
  * Updated Swedish. Closes: #386510.
  * Updated Japanese. Closes: #386534.
  * Updated Italian. Closes: #386691.
  * Updated Romanian. Closes: #388254.
  * Updated German. Closes: #389072.
  * Updated Brazilian Portuguese. Closes: #389097.
  * Updated Basque. Closes: #389722.
  * Updated Turkish. Closes: #390887
  * Updated Danish. Closes: #390878
  * Updated German. Closes: #390813
  * Updated Simplified Chinese. Closes: #390959
  * Updated Arabic.
  * Updated Spanish. Closes: #391735
  * Updated Dutch. Closes: #392082
  * Added Slovak. Closes: #386847.
  * Added Finnish. Closes: #390150.
  * Added Estonian. Closes: #391102.
  * Added Norwegian Bokmål. Closes: #391692
  * Added Hungarian. Closes: #391746

  [ Steve Langasek ]
  * Change the Maintainer field at last to the mailing list... gives
    our spam rules some testing, in response to popular demand :)
  * Check for update-inetd on purge before trying to invoke it;
    closes: #388606.

  [ Peter Eisentraut ]
  * Make swat binNMU-safe by using ${source:Version} for dependency on
    samba-doc
  * Make samba-common owner of /var/{cache,log,run}/samba, let samba and
    winbind only delete files they know they're exclusive owners of.
    Closes: #370718.
  * Use python-central to manage installation of python-samba.
    Closes: #386499.  (patch by Patrick Winnertz)
  * Use upstream makefile to install Python module.
  * Build-Depend on python-dev instead of python-all-dev.
  * Removed old upgrade support.
  * Remove possibly leftover comma from "passdb backend" setting in
    smb.conf on upgrade. Closes: ##383307.
  * Added libpam-smbpass logcheck file by martin f krafft.
    Closes: #391487, #391916.

  [ Christian Perrier ]
  * Add LSB info to the init script

 -- Christian Perrier <bubulle@debian.org>  Thu, 12 Oct 2006 18:31:46 +0200

samba (3.0.23c-1) unstable; urgency=low

  [ Christian Perrier ]
  * New upstream version
  * Split out samba/run_mode with "__Choices".

  [ Noèl Köthe ]
  * corrected samba override disparity:
    samba-dbg_3.0.23b-2_i386.deb: package says priority is optional, override says extra.

  [ Debconf translations ]
  * Updated Galician. Closes: #383001.
  * Updated Danish. Closes: #383025.
  * Added Tagalog. Closes: #383039, #383252.
  * Updated Khmer.
  * Updated Arabic.
  * Updated Dzongkha. Closes: #383125.
  * Updated Vietnamese. Closes: #383126.
  * Updated Czech. Closes: #384760.

  [ Peter Eisentraut ]
  * Preseed configure result for method to detect interfaces in
    debian/config.cache; the test might otherwise fail if there are no
    interfaces configured at build time. Closes: #382429.
  * Refined panic-action script text. Closes: #382500.

 -- Noèl Köthe <noel@debian.org>  Mon, 04 Sep 2006 12:10:28 +0200

samba (3.0.23b-2) unstable; urgency=low

  [ Debconf translations ]
  * Updated Romanian. Closes: #382358
  * Updated Dzongkha. Closes: #382448, #382948
  * Updated Basque. Closes: #382456
  * Added Simplified Chinese. Closes: #382489

  [ Peter Eisentraut ]
  * Remove no longer functioning "guest" value from "passdb backend"
    setting in smb.conf on upgrade. Closes: #382296

  [ Steve Langasek ]
  * Drop code and debconf questions specific to upgrades from samba <= 2.2.
  * Reword some debconf translations as discussed on the list.
  * Rerun debconf-updatepo.
  * Switch debian/ca.po to UTF-8.
  * Restore some reverted strings for Galician, Czech, Brazilian Portuguese,
    Spanish, French, Italian, Catalan, Portuguese, Russian, and Japanese.
  * Update translations for Brazilian Portuguese, Spanish, French, Italian,
    Catalan, and Portuguese.

 -- Peter Eisentraut <petere@debian.org>  Mon, 14 Aug 2006 19:04:31 +0200

samba (3.0.23b-1) unstable; urgency=low

  * New upstream release

  [ Debconf translations ]
  * Updated Galician. Closes: #381988

 -- Noèl Köthe <noel@debian.org>  Tue, 08 Aug 2006 22:28:00 +0200

samba (3.0.23a-1) unstable; urgency=medium

  * New upstream release

  * Fixes the following Debian bugs:
    - winbind: panic()s when started outside of a domain context.
      Closes: #337070
    - Make smbclient -L use RPC to list shares, fall back to RAP.
      Closes: #168732
    - Potential hang in nmbd. Upstream bug #3779. Closes: #367472
    - Typos in "ldap group suffix" in smb.conf(5) (upstream #3780).
      Closes: #367507
    - Erroneous permissions checks after 3.0.10 -> 3.0.14a
      (upstream #2591). Closes: #307626
    - Anonymous memory exhaustion DoS (CVE-2006-3403). Closes: #378070
    - ImportError exception raised when trying to import samba.smb
      (upstream #3567). Closes: #350050
    - Changed references from pam_pwdb to pam_unix (upstream #3225).
      Closes: #206672
    - SWAT segfault (upstream #3702). Closes: #363523

  [ Adam Conrad ]
  * Fix typo in smb.conf that causes all samba apps to whine.
    Closes: #369782
  * Add myself to Uploaders, on the off chance that I might upload.

  [ Debconf translations ]
  * Add Galician translation of debconf templates. Closes: #361204, #369403
  * Add Basque translation of debconf templates. Closes: #375104
  * Add Romanian translation of debconf templates. Closes: #379246
  * Add Khmer translation of debconf templates. Closes: #381833
  * Add Dzongkha translation of debconf templates.
  * Updated Russian. Closes: #369375
  * Updated Czech. Closes: #369408
  * Updated Japanese. Closes: #369457
  * Updated Italian. Closes: #369587
  * Updated Swedish. Closes: #369730
  * Updated Dutch. Closes: #376515
  * Updated Vietnamese. Closes: #381557
  * Updated French.
  * Updated Brazilian.
  * Updated Portuguese. Closes: #372632
  * Updated Arabic.

  [ Christian Perrier ]
  * Add dependency on procps for samba, as ps is used in init scripts.
    Thanks to Bastian Blank for reporting. Closes: #365618
  * Rewrite debconf templates to be compliant with 6.5.2 of the Developer's
    Reference
  * Add support for /etc/default/winbind. Closes: #262313, #374411
    Thanks to Guido Guenther for the old patch and to Jérôme Warnier
    for reminding us about it.
  * Compile with --with-cifsmount which is now needed to properly compile
    mount.cifs and umount.cifs. See samba bug #3799

  [ Peter Eisentraut ]
  * Use debian/compat instead of DH_COMPAT
  * Updated Standards-Version to 3.7.2 (no changes needed)
  * Replaced libsmbclient shlibs file by dh_makeshlibs call, so the
    required ldconfig calls appear in the maintainer scripts
  * Adjusted debian/rules to get 3.0.23rc1 to build
  * Updated to debhelper level 5
  * Rearranged dh_strip calls so that build succeeds with
    DEB_BUILD_OPTIONS=nostrip. Closes: #288995
  * Create /var/spool/samba and use it as default printer spool.
    Closes: #275241
  * Made winbind init script more careful about returning proper exit code
  * Added winbindd_priv group as owner of winbindd_privileged directory.
    Closes: #307257
  * Python transition preparations: renamed package to python-samba,
    removed hardcoded references to Python version 2.3. Closes: #380939
  * Removed unwanted swat debconf warning
  * Put localized swat messages into /usr/share/samba, where swat looks for
    them. Closes: #376991

 -- Peter Eisentraut <petere@debian.org>  Mon,  7 Aug 2006 23:00:49 +0200

samba (3.0.22-1) unstable; urgency=medium

  [ Steve Langasek ]
  * New upstream release
    - CAN-2006-1059: fixes an information leak in logfiles of systems using
      winbind with log level >= 5.
  * Fix a typo in the default smb.conf (closes: #354495).

  [ Noèl Köthe ]
  * replacing SMB with SMB/CIFS in the descriptions like
    named on the samba.org webpage. Closes: #356335

 -- Steve Langasek <vorlon@debian.org>  Sun, 12 Mar 2006 22:40:28 +0100

samba (3.0.21c-1) unstable; urgency=low

  * New upstream release
  * add a few logon-related parameters as good and safe
    examples for *DC-type settings. Closes: #349051
  * add an example "add user script". Closes: #349050
  * drop outdated information from the smbfs package description
    Closes: #352828

 -- Christian Perrier <bubulle@debian.org>  Sat, 25 Feb 2006 11:58:45 +0100

samba (3.0.21b-1) unstable; urgency=low

  * The "Tridge" release: celebrates the 2005 Free Software Award winner

  * New upstream release

  * Upstream bugs fixed by the new upstream release:
    - Support changing expired passwords in
      pam_winbindd. Closes: #258302
    - vfs_full_audit fixes for multiple connections. Closes: #348419
    - crashes of smbd in security=server mode
      Closes: #346045, #346069, #350598, #351448

  [ Peter Eisentraut ]
  * Put correct paths for Debian installations into the man pages, and
    remove outdated swat setup instructions therein. Closes: #321005
  * Fix lintian overrides and install them into the right packages.
  * Remove swat inetd registration in remove, not purge. Closes: #313214
  * Add findsmb script. Closes: #231806
  * Fix sonames of libnss_win{bind,s}.so. Closes: #333290
  * Remove autoconf build dependency.
  * Remove remnants of old patch system.
  * Install smbumount setgid root. Closes: #253437
  * Add watch file.
  * Activate kernel oplocks. Closes: #218511
  * Disable PIE compilation. Closes: #346416

  [ Christian Perrier ]
  * activate building of idmap_rid. Closes: #284681.
    Thanks to Ubuntu patches
  * activate building of idmap_ad. Closes: #341814
  * modify the long description of the libsmbclient-dev package to
    avoid repeating the long description. Thanks, linda.

  [ Steve Langasek ]
  * Also enable setresuid()/setresgid() on alpha and sparc now that support
    for Linux 2.2 is dropped.

 -- Christian Perrier <bubulle@debian.org>  Mon,  6 Feb 2006 07:02:20 +0100

samba (3.0.21a-4) unstable; urgency=low

  [ Peter Eisentraut ]
  * Add umount.cifs. Closes: #340967
  * Really make mount.cifs and umount.cifs suid root. Closes: #340966

  [ Christian Perrier ]
  * Add "bind interfaces only" and "interfaces" options (commented)
    to the default smb.conf file. Closes: #349043

  [ Steve Langasek ]
  * Add missing changes to source/include/config.h.in into the
    autoconf.patch, so that samba looks for files in /var/lib/samba like it's
    supposed to instead of in /var/run/samba!  Closes: #349372, #349464.

 -- Steve Langasek <vorlon@debian.org>  Mon, 23 Jan 2006 00:59:20 -0800

samba (3.0.21a-3) unstable; urgency=low

  * Add Build-Depends on quilt (>= 0.40 as we use quilt.make)

 -- Christian Perrier <bubulle@debian.org>  Sat, 21 Jan 2006 23:02:32 +0100

samba (3.0.21a-2) unstable; urgency=low

  [ Christian Perrier ]
  * Switch to quilt for patches management. Refresh all patches so
    that they apply cleanly. Closes: #345557
  * debian/patches/adapt_machine_creation_script.patch:
    - adapt example machine creation script to Debian. Closes: #346234
  * winbind.dirs:
    - added /var/run/samba. Closes: #347585

  [ Peter Eisentraut ]
  * swat.links:
    - file added. Closes: #346001

  [ Noèl Köthe ]
  * fixed typo in panic-script. Closes: #348410

  [ Steve Langasek ]
  * debian/patches/autoconf.patch:
    - move changes to autogenerated files into their own patch now that we've
      lost the script that was calling autogen.sh for us; this also helps
      make debian/rules clean just a little bit cleaner.
  * debian/patches/fhs.patch:
    - fix new references to registry.tdb (closes: #348874).
    - also move account_policy.tdb, perfcount, and eventlog into /var/lib/samba
      where they belong

 -- Christian Perrier <bubulle@debian.org>  Fri, 20 Jan 2006 14:20:35 +0100

samba (3.0.21a-1) unstable; urgency=low

  [ Christian Perrier ]
  * *Really* make samba-doc suggest samba-doc-pdf. This change finally
    did not make it in the previous release.

  [ Noèl Köthe ]
  * new upstream release 3.0.21a
    - removed smbsh.1 from debian/rules
    - added new smbclient programm smbget (with conflict/replace
      to existing Debian smbget package)
    - added libsmbclient.7 to libsmbclient package
    - added umount.cifs.8 to smbfs package
    - added pam_winbind.7 to winbind package
    - added new /usr/bin/eventlogadm to samba package which is
      documented here http://www.samba.org/~jerry/Samba-EventLog-HOWTO.txt
    - fixed "cd command fails in smbclient". Closes: #307535
    - fixed "file descriptor leak". Closes: #339564
    - fixed "smbclient(1) doesn't list same options as
      smbclient usage statement". Closes: #154184
    - fixed "typo in smbmount.8". Closes: #260673
    - fixed "smbmount manual page doesn't have a link to
      smbumount". Closes: #297535
    - fixed "smb.conf man page references non-existent
      BROWSING.txt file". Closes: #316458
    - fixed "smb.conf - improve topic: hosts deny (S)". Closes: #273480
    - fixed "fails to manage groups containing spaces". Closes: #299592
    - corrected nonpic-libsmbclient.patch to apply
    - corrected fhs.patch to apply
  * added myself to Uploaders
  * Rewording of the panic action script. Closes: #335051
  * added missing swat translation to swat package

 -- Noèl Köthe <noel@debian.org>  Sun, 01 Jan 2006 12:45:33 +0100

samba (3.0.20b-4) unstable; urgency=low

  [ Christian Perrier ]
  * Remove the smbldap-tools-* directory from the examples of samba-doc
    as these tools exist as an independent package. Closes: #341934
  * Swedish debconf translation update. Closes: #342022
  * Preserve the local admin settings for run_mode in /etc/default/samba
    when upgrading. Closes: #234038, #267988, #269735
  * Winbind also must depend on lsb-base. Closes: #343379
  * Enable swat in inetd when installing it and remove it when
    uninstalling. Closes: #87905, #230936, #268429

  [ Peter Eisentraut ]
  * Added separate samba-doc-pdf package, suggested by samba-doc.
    Closes: #281971
  * Removed duplicate documentation in swat package, symlinked to
    samba-doc; swat now depends on samba-doc. Closes: #233447

 -- Christian Perrier <bubulle@debian.org>  Tue, 20 Dec 2005 17:08:20 +0100

samba (3.0.20b-3) unstable; urgency=low

  [ Steve Langasek ]
  * Drop the FHS transition code from the samba postinst, since it's
    not needed for upgrades from sarge (and most of it not for upgrades
    from woody).

  [ Noèl Köthe ]
  * libpam-smbpass dependency on samba-common
    Closes: #297923
  * Updated swedish debconf translation. Closes: #335784
  * Added Recommends: smbldap-tools. Closes: #227675

  [ Peter Eisentraut ]
  * Added doc-base support. Closes: #55580
  * Fixed dh_installexamples call so the debian/*.examples files are
    actually used.
  * Patched libpam-smbpass README to refer to examples directory.
    Closes: #215771

  [ Christian Perrier ]
  * Add a working passwd chat line to the default smb.conf file
    Closes: #269746
  * Add the profiles binary and man page to the shipped files. Closes: #225494
  * Add a dependency on samba-common for winbind and force versions to match
    Closes: #273007, #264855
  * Add /var/log/samba to winbind directories. Closes: #340833
  * Lintian cleaning:
    - Add a few lintian overrides to avoid lintian complaining
      for things done on purpose or just because it makes wrong assumptions
    - Corrected FSF address in debian/copyright
    - Make swat depend on netbase as it uses update-inetd in its postinst
      script
    - Correct shebang lines in config scripts
    - Remove an extra copy of the GPL in smbldap-tool examples in samba-doc
    - Minor correction in libsmbclient-dev description to avoid strictly
      repeating the short description in the long description
    - Call confmodule in swat.postinst as this is the only way to guarantee
      that the config script is run in all cases

 -- Christian Perrier <bubulle@debian.org>  Sat,  3 Dec 2005 07:30:40 +0100

samba (3.0.20b-2) unstable; urgency=low

  * Don't build with -gstabs any more; -g no longer gives a problematic
    size hit, and -gstabs is no longer supported on ia64.

 -- Steve Langasek <vorlon@debian.org>  Wed, 19 Oct 2005 19:02:44 -0700

samba (3.0.20b-1) unstable; urgency=low

  * Christian Perrier:
    - Debconf translations:
      - Added Vietnamese. Closes: #317876
      - Updated German. Closes: #322907
  * Steve Langasek:
    - Use ${misc:Depends} in debian/control instead of depending on
      debconf directly, allowing use of cdebconf as an alternative.
      Closes: #332088.
  * Noèl Köthe
    - corrected libsmbclient priority to optional. Closes: #310045
    - corrected the path of ServerType.html in smb.conf. Closes: #296500
    - updated Standards-Version to 3.6.2 (no changes needed)
    - added homepage to description
    - switched init scripts (samba and winbind) to lsb-functions
      (took patches from ubuntu)
    - added Swedish. Closes: #331437
    - removed outdated "guest" value in "passdb backend" in default smb.conf
      Closes: #289519
    - moved smbpasswd(5) to samba-common where the binary and smbpasswd(8)
      is; Replaces: all previous versions of samba.  Closes: #253603
    - new upstream release 3.0.20b (from 2005-10-13). Closes: #324515
      - support for Windows Vista. Closes: #323489
      - Mac OS Tiger Problem fixed. Closes: #309836
      - BUG 2688: re-implement support for the -P (--port) option.
        Closes: #307746
      - "man smb.conf" warnings fixed. Closes: #266320
      - testprns removed by upstream so removed in samba.files
      - corrected docs/*.pdf names (samba-doc.docs)
      - corrected diagnosis.html path (samba.docs)
      - removing patches which are included upstream:
        dos7-xcopy-always-copies-files.patch
           (* BUG 2622: Remove DPTR_MASK as it makes no sense.)
        hide-special-file-fix.patch
           (* Hide dot files and directory logic fixes.)
        rap-printing-bigendian.patch
           (* BUG 1998: Correct byte ordering bug when storing
              16-bit RAP print job ids.)
        smbclient-vfat-loop.patch
        smbclient-vfat-loop2.patch
           (* BUG 2698: Fix infinite listing loop in smbclient
              caused by an invalid character set conversion.)
      - fixed the following patches which didn't applied cleanly
        fhs.patch
        non-linux-ports.patch

 -- Steve Langasek <vorlon@debian.org>  Tue, 18 Oct 2005 19:02:21 -0700

samba (3.0.14a-6) unstable; urgency=low

  * Use DEB_HOST_ARCH_OS instead of DEB_HOST_GNU_SYSTEM to detect
    Linux in debian/rules, for compatibility with dpkg-dev >= 1.13.9;
    add a versioned build-depend accordingly.  Closes: #315955
  * Switch to libreadline5.

 -- Steve Langasek <vorlon@debian.org>  Fri,  1 Jul 2005 00:13:12 -0700

samba (3.0.14a-5) unstable; urgency=low

  * Fix libsmbclient.a to be built as non-PIC instead of PIC.
    Closes: #279243.

 -- Steve Langasek <vorlon@debian.org>  Wed,  8 Jun 2005 05:46:52 -0700

samba (3.0.14a-4) unstable; urgency=high

  * Last-minute upload for sarge, because I don't listen to anything
    that RM guy says
  * Patch smbmount to strip CAP_UNIX out of the capabilities passed to
    the kernel when uid, gid, dmask, or fmask options have been
    specified; this keeps the mount permissions from changing out from
    under the user when upgrading to a server (or to a kernel) that
    supports unix extensions.  Closes: #310982.
  * Second patch to smbclient search continuation logic, from upstream:
    preserve the original UCS2 filename to guard against lossy
    conversions, and break out if we find ourselves looping.
    Closes: #311157.
  * Upstream fix to make print job cancellations work on big-endian
    systems when talking to RAP-style clients (i.e., smbclient).
    Closes: #311213.
  * Add build-dependency on libpopt-dev, so that we consistently use the
    system popt lib instead of the bundled one.

 -- Steve Langasek <vorlon@debian.org>  Thu,  2 Jun 2005 07:02:46 -0700

samba (3.0.14a-3) unstable; urgency=high

  * Urgency set to high for a bug that makes smbclient/libsmbclient
    /almost/ mostly unusable
  * Fix smbclient's search continuation logic so that it works correctly
    against 2K servers offering VFAT-hosted shares; many thanks to
    Jeremy Allison for the timely upstream fix.  Closes: #309798.
  * Update pt_BR debconf translation.  Thanks to Andre Luis Lopes
    <andrelop@debian.org>. (closes: #308510)
  * Add Russian debconf translation, thanks to Yuriy Talakan
    <yt@amur.elektra.ru>. (closes: #310063)

 -- Steve Langasek <vorlon@debian.org>  Thu, 26 May 2005 23:37:57 -0700

samba (3.0.14a-2) unstable; urgency=low

  * Point the sense of the file_is_special() check right way around;
    thanks to Matthijs Mohlmann for catching this.  Closes: #305747.
  * debian/patches/dos7-xcopy-always-copies-files.patch:
    Fix the MS-DOS 7 XCOPY copying files over and over bug
    Closes: #309003
  * Steve Langasek <vorlon@debian.org>:
    - Add Christian Perrier to Uploaders:.  Thanks, Christian :)

 -- Steve Langasek <vorlon@debian.org>  Sun,  8 May 2005 04:43:21 -0700

samba (3.0.14a-1) unstable; urgency=low

  * New upstream version
    - A more complete upstream fix for missing files in file listings,
      should really give us working (closes: #302771); drop
      xp-missing-files.patch, which has been superseded.
  * Use the right path when removing mount.cifs binary in the clean
    target.  Closes: #303318.

 -- Steve Langasek <vorlon@debian.org>  Mon, 18 Apr 2005 03:22:29 -0700

samba (3.0.11-1) unstable; urgency=high

  * New upstream version
    - Fixes duplicated entry in swat(8) manpage (closes: #292957).
    - Fix queue handling so that processes serving print clients don't
      spin off into infinity and clobber the system (closes: #274969).
    - Make sure we use C-locale toupper/tolower functions for case
      conversion, since Turkish pairing rules are incompatible
      (closes: #286174).
  * Fix logrotate script to exit true instead of false when nmbd.pid is
    missing (closes: #287263).
  * Added Portuguese debconf translation. Thanks to Miguel Figueiredo
    <elmig@debianpt.org>. (closes: #286375)
  * Added Italian debconf translation. Thanks to Luca Monducci
    <luca.mo@tiscali.it>. (closes: #284125)
  * Add support for building on the Debian BSD and Hurd ports; thanks to
    Robert Millan for the patch. (closes: #266693)
  * debian/patches/xp-missing-files.patch: import patch from upstream to
    fix missing entries in directory listings when talking to WinXP
    servers (closes: #297771).

 -- Steve Langasek <vorlon@debian.org>  Wed, 23 Mar 2005 00:13:16 -0800

samba (3.0.10-1) unstable; urgency=high

  * New upstream release.
    - CAN-2004-1154: integer overflow can lead to remote code execution
      by authenticated users; closes: #286023.
  * High-urgency upload for sarge-targetted RC bugfix.
  * Sync the fhs.patch to samba 3.0.10.
  * Install mount.cifs suid root, to make user mounts possible
    (closes: #283819).
  * debian/patches/cups.patch: Change the default printing system, so we
    can compile in CUPS support without making it the default -- CUPS is
    not a reasonable default on Debian, at least for sarge.

 -- Steve Langasek <vorlon@debian.org>  Fri, 17 Dec 2004 11:56:01 -0800

samba (3.0.9-1) unstable; urgency=low

  * New upstream release
    - Fixes Win9x printing; closes: #283530, #282571, #283818.
    - Fixes a problem with setting dosmodes on filesystems without ACL
      support; closes: #283661.
    - Drop ldapsam_compat.patch, redundant now that a fix is integrated
      upstream

 -- Steve Langasek <vorlon@debian.org>  Thu,  2 Dec 2004 01:11:39 -0800

samba (3.0.8-2) unstable; urgency=low

  * Fix the module paths for python2.3-samba so that "import foo from samba"
    works, and include the __init__.py glue; closes: #222867).
  * Enable quota support; closes: #246839.
  * Fix missing symbols in libsmbclient (and libnss_wins), and add
    -Wl,-z,defs to the libsmbclient link options to prevent future
    instances of undefined symbols (closes: #281181).
  * Fix for the legacy ldapsam_compat backend; thanks to Fabien
    Chevalier for the patch (closes: #274155).

 -- Steve Langasek <vorlon@debian.org>  Mon, 15 Nov 2004 06:54:13 -0800

samba (3.0.8-1) unstable; urgency=high

  * New upstream package. Urgency set to "high" because of a potential
    Denial of Service vulnerability in previous 3.0.x releases
    (CAN-2004-0930). (Eloy)
  * Introduce new -dbg package, so we can make better sense out of the
    cleverly-supplied backtrace emails. (Vorlon)
  * Applied patch from Luke Mewburn <luke@mewburn.net> to fix missing
    lock_path() to state_path() change in the FHS patches. (Eloy)

 -- Eloy A. Paris <peloy@debian.org>  Mon,  8 Nov 2004 13:39:34 -0500

samba (3.0.7-2) unstable; urgency=high

  * High-urgency upload for sarge-targetted RC fixes.
  * Use autogen.sh in unpatch-source as well as in patch-source, to get
    rid of the autom4te.cache cruft.
  * debian/patches/make-distclean.patch: add some missing files to the
    distclean target in source/Makefile.in (mostly-fixes: #276203).
  * Change compile-time default of 'use sendfile' to 'no', since the
    current Samba implementation is broken (closes: #261917, #275741,
    #270175).
  * Add mount.cifs into the smbfs package; thanks to Igor Belyi for
    showing us just how simple this patch should be. ;)  Since cifs is
    the preferred kernel driver in 2.6, bugs related to smbfs and 2.6
    are considered closed unless someone can show that they exist with
    the cifs driver as well (closes: #249890, #269443, #227791, #236869,
    #260707, #261808, #270175).
  * Fix FHS migration code so that it only affects upgrades from old
    package versions, and doesn't cause us to mess with non-standard
    directories that may have been re-added by the admin
   (closes: #251858).

 -- Steve Langasek <vorlon@debian.org>  Tue, 26 Oct 2004 01:35:23 -0700

samba (3.0.7-1) unstable; urgency=high

  * New upstream release. This release fixes two possible denial of
    service conditions; one in nmbd and one in smbd. The CVE numbers
    for these vulnerabilities are:

    CAN-2004-0807 for the smbd DoS
    CAN-2004-0808 for the nmbd DoS

    Urgency is set to "high" because of these vulnerabilities; so this
    new release propagates to testing ASAP.

    Thanks to the Samba Team and the Debian Security Team for the
    heads up.
  * Remove post-3.0.6 patches that are now in 3.0.7.

 -- Eloy A. Paris <peloy@debian.org>  Mon, 13 Sep 2004 00:53:38 -0400

samba (3.0.6-4) unstable; urgency=low

  * Update LDAP schema (closes: #269797).
  * Applied a couple of upstream fixes that will be present in Samba 3.0.7.

 -- Eloy A. Paris <peloy@debian.org>  Tue,  7 Sep 2004 15:28:42 -0400

samba (3.0.6-3) unstable; urgency=low

  * Put libsmbclient where it belongs, in /usr/lib. (closes: #267704)

 -- Eloy A. Paris <peloy@debian.org>  Wed, 25 Aug 2004 01:58:37 -0400

samba (3.0.6-2) unstable; urgency=low

  * Added Danish debconf translation. Thanks to Claus Hindsgaul
    <claus_h@image.dk>. (closes: #232884)

 -- Eloy A. Paris <peloy@debian.org>  Mon, 23 Aug 2004 17:24:19 -0400

samba (3.0.6-1) unstable; urgency=low

  * New upstream version.
  * Incorporate Turkish debconf translation; thanks to Recai Oktas
    <roktas@omu.edu.tr>. (closes: #252031)
  * Update pt_BR debconf translation. Thanks to Andre Luis Lopes
    <andrelop@debian.org>. (closes: #208113)

 -- Eloy A. Paris <peloy@debian.org>  Mon, 23 Aug 2004 12:34:44 -0400

samba (3.0.5-2) unstable; urgency=high

  * Patches from Fabien Chevalier <fabien.chevalier@supelec.fr>
    to fix:
    + libnss_wins crashes other programs (closes: #252591)
    + Can't list share files/dirs, but can acces deeper files/dirs
      (closes: #264572)
    + Samba 3.0.5 Printserver doesn't work with WinXP SP2 (closes: #265871)
  * Urgency "high" to make it into testing as soon as possible since
    at least #265871 is pretty bad now that WinXP SP2 has been released.
    Thanks for the help Fabien! Both Vorlon and I have been very busy
    lately.

 -- Eloy A. Paris <peloy@debian.org>  Wed, 18 Aug 2004 13:25:41 -0400

samba (3.0.5-1) unstable; urgency=high

  * New upstream version. Urgency "high" because of potential buffer
    overflows. The security fixes are the only difference between
    3.0.4 and 3.0.5.

 -- Eloy A. Paris <peloy@debian.org>  Thu, 22 Jul 2004 08:07:36 -0400

samba (3.0.4-5) unstable; urgency=low

  * Doh! Build-depends on libcupsys2-dev (>=1.1.20final+cvs20040330-4),
    not an unversioned libcupsys2-dev. (closes: #250523)

 -- Eloy A. Paris <peloy@debian.org>  Tue, 25 May 2004 07:43:54 -0400

samba (3.0.4-4) unstable; urgency=low

  * Rebuilt with libcupsys2-gnutls10 for unstable.
    Closes: #250424, #250483, #250491, #250515, #250523, #250592, #250736
    Closes: #250742, #250733

 -- Eloy A. Paris <peloy@debian.org>  Mon, 24 May 2004 22:32:52 -0400

samba (3.0.4-3) unstable; urgency=low

  * Color me stupid; I uploaded an experimental version to unstable.

 -- Eloy A. Paris <peloy@debian.org>  Sat, 22 May 2004 00:40:58 -0400

samba (3.0.4-1) unstable; urgency=low

  Eloy:

  * New upstream version.
    Closes: #247640 (New upstream version available)
    Closes: #238905 (Printing crash fix)
    Closes: #247090 (panic in viewing printerqueue)

  Vorlon:

  * Incorporate Catalan debconf translations; thanks to
    Aleix Badia i Bosch <abadia@ica.es> and the Debian L10n Catalan Team.
    (closes: #236640)
  * Incorporate Czech debconf translations; thanks to
    Miroslav Kure <kurem@upcase.inf.upol.cz> (closes: #236274).
  * Update libsmbclient shlibs, due to an incompatibility with older
    versions that prevents gnome-vfs from working correctly
    (closes: #245869).

 -- Eloy A. Paris <peloy@debian.org>  Fri, 21 May 2004 11:42:19 -0400

samba (3.0.2a-1) unstable; urgency=low

  * New upstream version.

 -- Eloy A. Paris <peloy@debian.org>  Tue, 24 Feb 2004 10:30:47 -0500

samba (3.0.2-2) unstable; urgency=high

  * Apply patch from Urban Widmark <urban@teststation.com> to prevent
    users from mounting remote filesystems containing suid files
    (closes: 232327).  This represents an exploitable security hole on
    systems running Linux 2.6 kernels.

 -- Steve Langasek <vorlon@debian.org>  Thu, 12 Feb 2004 21:38:40 -0600

samba (3.0.2-1) unstable; urgency=high

  * New upstream release.
    - LaMont Jones: correct false failure LFS test that resulted
      in _GNU_SOURCE not being defined (thus resulting in strndup()
      not being defined) (closes: #226694)
    - Segfault fixes. (closes: #230012) (maybe more, but we need bug
      reporters to confirm.)

    Urgency "high" due to a password initialization bug that could grant
    an attacker unauthorized access to a user account created by the
    mksmbpasswd.sh shell script. See WHATSNEWS.txt for details and
    workarounds for those not wishing to upgrade (which is a bad idea
    anyway since this new release fixes lots of other bugs.)

 -- Eloy A. Paris <peloy@debian.org>  Sun,  8 Feb 2004 10:06:29 -0500

samba (3.0.1-2) unstable; urgency=low

  * Include ntlm_auth's man page.
  * Don't create directories outside of the source directory during
    package build time. (closes: #227221, #227238, #225862)
  * Don't include the "Using Samba" book in the swat package, just a
    symlink that points to the book included in the samba-doc package.

 -- Eloy A. Paris <peloy@debian.org>  Tue, 13 Jan 2004 13:48:13 -0500

samba (3.0.1-1) unstable; urgency=low

  * New upstream version (closes: #225565)
  * Add support in the dhcp hook for netbios scope, and handle better
    the case of multiple DHCP-using interfaces (closes: #224109).
  * Use "tail -n 1 ..." instead of "tail -1 ..." so POSIX-compliant
    tail works. Thanks to Paul Eggert <eggert@twinsun.com>.
  * Include /usr/bin/ntlm_auth in the winbind package.
  * Run configure with "--with-piddir=/var/run/samba" since the
    default got changed to /var/run in this new upstream version.

 -- Eloy A. Paris <peloy@debian.org>  Tue, 30 Dec 2003 16:21:31 -0500

samba (3.0.0final-1) unstable; urgency=low

  * It's here, it's here, it's here, Samba 3.0.0 is here!
  * Incorporate Japanese debconf translations; thanks to Kenshi Muto
    <kmuto@debian.org>. (closes: #209291)

 -- Eloy A. Paris <peloy@debian.org>  Thu, 25 Sep 2003 13:39:28 -0400

samba (3.0.0beta2+3.0.0rc4-1) unstable; urgency=low

  * New upstream version.

 -- Eloy A. Paris <peloy@debian.org>  Sat, 13 Sep 2003 08:47:56 -0400

samba (3.0.0beta2+3.0.0rc3-1) unstable; urgency=low

  * New upstream release. Last Release Candidate according to the
    Samba Team. Samba 3.0.0 is around the corner, in a week or so.
    - Fixes use of non-PIC code in nss shared libraries (closes: #208773)
    - 'unix password sync' option now runs the unix password program as
      root again (closes: #209739).
  * One-line patch to make packages buildable with distcc (closes: #210227)

 -- Eloy A. Paris <peloy@debian.org>  Tue,  9 Sep 2003 07:57:16 -0400

samba (3.0.0beta2+3.0.0rc2-1) unstable; urgency=low

  * New upstream release.
  * Link against libgnutls7 instead of libgnutls5. (closes: #208151)

 -- Eloy A. Paris <peloy@debian.org>  Tue,  2 Sep 2003 21:37:13 -0400

samba (3.0.0beta2+3.0.0rc1-1) unstable; urgency=low

  * New upstream version (skipped samba 3.0.0beta3 due to time
    constraints.) This ugly version number will go away when the final
    Samba 3.0.0 is released.
  * Drag new unpackaged tools into the packages: smbcquotas (smbclient),
    vfs modules (samba), smbtree(1) manpage (smbclient), tdbbackup(8)
    manpage (samba). (closes: #151158)
  * Switch to DH_COMPAT level 4:
    - no explicit conffile listings needed
    - the postinst for libsmbclient is now completely autogenerated
    - use the default init script handling (with support for
      invoke-rc.d) in debhelper, instead of the currently buggy upgrade
      path (closes: #185439)
    - add support for ${misc:Depends} in control for those packages with
      init scripts
  * Add versioned dependency on libpam-runtime and change
    /etc/pam.d/samba to use the new common PAM config blocks.
  * New python2.3-samba package (old python2.2-samba is no more.)
    (closes: #206171)

 -- Eloy A. Paris <peloy@debian.org>  Mon, 25 Aug 2003 17:05:14 -0400

samba (3.0.0beta2-1) unstable; urgency=low

  * New upstream release
    - The smb.conf(5) manpage documents config options again
      (closes: #197963).
    - Handling of winbind/idmap has been restructured; domain members
      should be able to map domain accounts to local accounts again
      (closes: #196815).
    - Use the locale charset for 'display charset' by default
      (closes: #194406).
    - Fix for segfault in smbclient when using the -b option
      (closes: #196833).
    - Handle an empty 'passdb backend' list gracefully (closes: #193946).
  * Don't set 'display charset' anymore on upgrade, since this is now
    grabbed from the locale by default -- a much better option.
  * Removed time.c.patch which is now in the upstream sources.
  * Update FHS patch for two new tdb files (netsamlogon_cache.tdb,
    privilege.tdb).
  * Remove python-linker.patch, since the Kerberos package has been
    fixed to no longer use rpath
  * Remove configure.patch: the hppa glibc bug this was added for is
    long since fixed, and upstream isn't interested in supporting this
    kludge.
  * Update references to missing documentation in sample smb.conf file
    (closes: #187632).
  * Fix handling of krb5 link line, building on a patch from Stefan
    Metzmacher <metze@metzemix.de>.
  * Add patch so smbclient's tar support works with popt
    (closes: #194921).

 -- Steve Langasek <vorlon@debian.org>  Wed,  2 Jul 2003 20:59:09 -0500

samba (3.0.0beta1-2) unstable; urgency=low

  * Update build-deps to libacl1-dev (>= 2.2.11-1), libacl1 (>= 2.2.11-1)
    to make sure we get the right shlib dependencies (closes: #193149).
  * Update the dhcp config hooks so they're suitable for sourcing (i.e.,
    don't call "exit") (closes: #196477).
  * Bring package into line with current policy by adding support for
    the DEB_BUILD_OPTIONS flag, and enabling debugging symbols (-gstabs)
    by default
  * Make sure libpam-smbpass is a self-contained DSO.
  * Fix a typo in samba-common.dhcp that caused us to spuriously rewrite
    the server list.
  * Fix python install script to ignore -Wl linker flags, as seen in the
    output from the latest krb5-config.
  * Add LDAP and Unicode information about upgrading from 2.2 to
    README.debian.
  * Remove dangerous and confusing browse options from the default
    smb.conf (closes: #198804).
  * Reorder smb.conf options for clearer grouping, and clarify the
    comments.
  * Add a default [print$] share to the sample smb.conf, and create the
    necessary tree under /var/lib/samba/printers. (closes: #168173)
  * s/winbind/idmap/ in smb.conf, since the option names have changed.
  * Fix the patch for postexec handling, so that we chdir("/") at the
    right time.

 -- Steve Langasek <vorlon@debian.org>  Thu, 12 Jun 2003 15:02:00 -0500

samba (3.0.0beta1-1) unstable; urgency=low

  * New upstream version.
    - fix for empty browselist bug (closes: #194553)
    - fix for tab completion segfault in smbclient (closes: #194776)
    - Samba now works as a domain member again without segfaulting
      (closes: #194134, #194394, #194775)
    - WinXP machines can join a Samba-controlled domain again
      (closes: #195362)
  * Build-depend on python-dev >= 2.2 instead of on just python-dev
    (without version).
  * Added Vorlon'n patch to source/lib/time.c to fix #194075.
    (closes: #194075)

 -- Eloy A. Paris <peloy@debian.org>  Sun,  8 Jun 2003 22:26:43 -0400

samba (2.999+3.0.alpha24-3) unstable; urgency=low

  * Make sure Samba DSOs are compiled with -fPIC. (closes: #194324)
  * Rebuild against pristine Kerberos libs, to squelch warnings about
    versioned symbols. (closes: #194431, #194396)

 -- Steve Langasek <vorlon@debian.org>  Thu, 22 May 2003 15:32:00 -0500

samba (2.999+3.0.alpha24-2) unstable; urgency=low

  * Fixed description of the smbfs package. (closes: #194183)
  * Negate the sense of the unixsam check when upgrading. (closes: #194234)

 -- Steve Langasek <vorlon@debian.org>  Wed, 21 May 2003 12:21:53 -0400

samba (2.999+3.0.alpha24-1) unstable; urgency=low

  * New upstream version. (closes: #189354)

 -- Eloy A. Paris <peloy@debian.org>  Tue, 20 May 2003 13:55:57 -0400

samba (2.999+3.0.alpha23-5) unstable; urgency=low

  * Move the python package from section "net" to section "python".
  * Make sure we use PIC code for python on all platforms.
  * French translation of an additional debconf template, courtesy of
    Christian Perrier <bubulle@debian.org>. (closes: #188832)
  * Updated Brazilian Portuguese translation from André Luís Lopes
    <andrelop@ig.com.br>.
  * s/unixsam/guest/ everywhere, since the unixsam backend is now
    deprecated. (closes: #190095)
  * Create our temp config file as /etc/samba/smb.conf.dpkg-tmp; not
    only does using /tmp violate SELinux policies, it introduces the
    possibility of data loss during the final copy if /tmp is a separate
    filesystem. (closes: #189823)
  * Pull in fix for SWAT, so that logins work again
    (closes: #188255, #192077).
  * Move passdb.tdb into /var/lib/samba, since it's not user-editable.
  * Make sure with don't ship any .cvsignore files.
  * Don't ship examples for python2.2-samba and samba-doc in an
    "examples" directory inside another "examples" directory.

 -- Eloy A. Paris <peloy@debian.org>  Tue,  6 May 2003 12:05:46 -0400

samba (2.999+3.0.alpha23-4) unstable; urgency=low

  * Instead of s/LPT1:/LPT:/, we need to do s/LPT:/LPT1:/ -- now all
    non-RPC printing clients are working again.
  * Change shlibs to 0 instead of 0.1.  The library already in the
    archive is using this soname, and there are no packages depending
    on libsmbclient, so skip changing the package name for now.
    (closes: #188661)

 -- Steve Langasek <vorlon@debian.org>  Fri, 11 Apr 2003 14:42:00 -0500

samba (2.999+3.0.alpha23-3) unstable; urgency=low

  * Put the Samba Python modules in /usr/lib/python2.2/site-packages/,
    not in /usr/lib/python2.2/lib-dynload/.

 -- Eloy A. Paris <peloy@debian.org>  Wed,  9 Apr 2003 19:49:25 -0400

samba (2.999+3.0.alpha23-2) unstable; urgency=low

  * New package python2.2-samba that includes the Python modules
    included in the Samba sources. Feedback on these modules and the new
    package is welcome, as we (Debian Samba maintainers) don't use them.
    (closes: #170731, #173322)
  * Move libsmbclient-dev from section "devel" to "libdevel".
  * Fix panic action script to give a sensible error message instead of
    an empty backtrace when we don't have permission to attach to the
    process. (closes: #188164)
  * Fix libpam-smbpass so that it really does something. (closes: #178245)
  * Apply patch to fix printing-related segfaults. (closes: #188076)

 -- Eloy A. Paris <peloy@debian.org>  Sun,  6 Apr 2003 21:40:33 -0400

samba (2.999+3.0.alpha23-1) unstable; urgency=high

  * new upstream release, includes security fix for DSA-262
  * tweak the debconf templates to avoid references to specific
    front-ends (closes: #183718)

 -- Steve Langasek <vorlon@debian.org>  Sun,  9 Mar 2003 14:58:00 -0600

samba (2.999+3.0.alpha21-5) unstable; urgency=low

  * touch up the package descriptions a little bit (caps, punctuation)
  * remove addtosmbpass, which snuck back in when we weren't looking
  * reverse the position of the wins server tag, after looking more
    closely at the code (closes: #183061)
  * fix a glitch in the Spanish .po that rendered it invalid, plus a typo
  * updated Brazilian Portuguese templates (closes: #183295)
  * fix a typo in upstream manpage (s/shave/share/) (closes: #180546)
  * run sed before we run sed, to deal with crazybad special chars
    in the workgroup name (!) (closes: #176717)

 -- Steve Langasek <vorlon@debian.org>  Sat,  1 Mar 2003 15:14:00 -0600

samba (2.999+3.0.alpha21-4) unstable; urgency=low

  * add scripts to samba-common to grab the netbios-name-servers options
    if we're running a DHCP client (closes: #38413)
  * major rearrangement of build scripts: install target now operates on
    debian/tmp, not debian/samba, so we can see when new files are
    added and decide where to put them; several files that should have
    been in samba-common but were in samba (for the above reason) --
    smbcacls, -- have been moved, with a replaces: added.
  * Fix rc script so that whitespace is consistent between inetd and
    daemon modes (closes: #174677).
  * smbclient -M must always connect to port 139, because port 445
    doesn't support messaging and we can't do the port 135 stuff yet
    (closes: #175292, #167859).
  * Import the diff from upstream CVS, which has fixed a few bugs
    (closes: #178219, #177583, #181467, #181487, #181603, #175864).
    Remove a few patches of ours which are now superseded.
  * Add po-debconf support to the tree, for better i18n.
  * Install the libsmbclient.so symlink in the libsmbclient-dev package,
    per policy (closes: #181466).

 -- Steve Langasek <vorlon@debian.org>  Fri, 27 Dec 2002 00:37:00 -0600

samba (2.999+3.0.alpha21-3) unstable; urgency=low

  * Drop --with-ldapsam from the configure options, since this no longer
    means what we thought it did.  Revert patch for changing the 'passdb
    backend' defaults.
  * Add patch from CVS HEAD to fix pdbedit segfault; postinst script
    should work better now. (Closes: #173936)

 -- Steve Langasek <vorlon@debian.org>  Sun, 22 Dec 2002 13:29:00 -0600

samba (2.999+3.0.alpha21-2) unstable; urgency=low

  * add CONFIGDIR to the set of directories exported in the install
    target, so we don't try to write to /etc/ on the autobuilders.
  * Reset the default 'passdb backend' value to something sensible, so
    that we don't unnecessarily break upgrading systems (closes: #173731).

 -- Steve Langasek <vorlon@debian.org>  Fri, 20 Dec 2002 09:13:00 -0600

samba (2.999+3.0.alpha21-1) unstable; urgency=low

  * new upstream release, many patches now incorporated upstream

 -- Steve Langasek <vorlon@debian.org>  Mon, 16 Dec 2002 23:39:00 -0600

samba (2.999+3.0.alpha20-4) unstable; urgency=low

  * Remove obsolete comments about non-existant LDAP support in the
    Debian Samba packages. (Closes: #165035)
  * Apply patch for segfault in pam_smbpass when using the unixsam
    backend.
  * Drop support for nmbd in inetd, since it's not supported by
    upstream and is reported to cause problems (closes: #23243, #137726,
    165037).
  * Clarify example printing configs in smb.conf (closes: #168174).
  * Make sure nmbd still responds to SIGTERM if it has no interfaces to
    listen on (closes: #168079).
  * Fix to get samba working again on 64-bit archs, after a
    pointer<->int size mismatch bug.  Already fixed in upstream CVS.
  * Merge fix from CVS for broken libsmbclient.h references to internal
    structures (closes: #162956).
  * Add a default 'panic action' for Samba that will give us genuinely
    useful debugging information after a crash.
  * Fixed correct patch to example configurations in the libpam-smbpass
    packages (closes: #169350).
  * acl-dev is not in sid anymore; Build-Depend on libacl1-dev instead
    (closes: #169682).
  * Only ask the user for permission to edit if there's a chance of us
    damaging something.

 -- Steve Langasek <vorlon@debian.org>  Mon, 18 Nov 2002 19:53:00 -0500

samba (2.999+3.0.alpha20-3) unstable; urgency=low

  * Make sure smbstatus behavior is sane when Samba *has* been started,
    as well as when it has not (closes: #164179).  Thank to Robbert Kouprie
    <robbert@radium.jvb.tudelft.nl> for this patch.
  * Not using 'killall' in any of the maintainer scripts (the last one
    remaining was winbind.logrotate.) We now just use 'kill' to send
    a SIGHUP to a specific PID (which is stored in a file in
    /var/run/samba.)
  * Do not depend on procps because we're not using killall anymore.

 -- Eloy A. Paris <peloy@debian.org>  Tue, 15 Oct 2002 22:15:57 -0400

samba (2.999+3.0.alpha20-2) unstable; urgency=low

  * fix an off-by-one error in smbd/lanman.c, which should shut off the
    flood of log messages (closes: #157432)
  * add a --config-cache option to the configure invocation, since
    autoconf 2.5 doesn't load config.cache by default (closes: #163504)

 -- Steve Langasek <vorlon@debian.org>  Sat,  5 Oct 2002 01:40:00 -0500

samba (2.999+3.0.alpha20-1) unstable; urgency=low

  * new upstream release
    - non-primary groups appear to work again (closes: #161271)
  * the official beginning of the upstream 3.0 branch
  * exit without error from smbstatus when no connections have
    been seen yet (closes: #161489)

 -- Steve Langasek <vorlon@debian.org>  Wed,  2 Oct 2002 19:02:00 -0500

samba (2.999+3.0cvs20020906-1) unstable; urgency=low

  * CVS update
    - domain authentication works again (closes: #158698)
  * Factor out common code in samba-common.config
  * Handle character set settings in smb.conf on upgrade
    (closes: #153913, #158770)
  * Don't use killall in logrotate script; there are better ways
    (closes: #160076)
  * Ignore value of 'hostname lookups' for hosts allow/hosts deny
    (closes: #154376)

 -- Steve Langasek <vorlon@debian.org>  Sat,  7 Sep 2002 11:46:00 -0500

samba (2.999+3.0cvs20020829-1) unstable; urgency=low

  * CVS update.
  * Move the smb.conf manpage to the samba-common package (closes: #159572)

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Aug 2002 17:53:25 -0500

samba (2.999+3.0cvs20020827-1) unstable; urgency=low

  * CVS update. (Closes: #158508)
  * Part 1 of 3 of the library separation patch that Vorlon wrote has
    gone upstream - removed the patch from our patches/ directory.
  * Debconf note to warn users that their smb.conf will be re-written
    and changed if they use Swat to maintain it. (Closes: #158479)
  * Fixed typo in samba.prerm.

 -- Eloy A. Paris <peloy@debian.org>  Tue, 27 Aug 2002 15:23:23 -0400

samba (2.999+3.0cvs20020825-2) unstable; urgency=low

  * scale back the tdbsam migration support, because of undesirable
    side-effects; now always defaults to 'no'.
  * strip out hyperactive library dependencies that are only needed by
    smbd (closes: #155156).
  * nuke any broken registry.tdb files left by previous CVS snapshots.
  * support rolling back the smbpasswd->tdbsam conversion on downgrade,
    since many people are likely to need to downgrade for a while.
  * remove postrm handling of legacy directories, and add handling of
    current ones.

 -- Steve Langasek <vorlon@debian.org>  Sun, 28 Jul 2002 09:44:24 -0500

samba (2.999+3.0cvs20020825-1) unstable; urgency=low

  * CVS update. These packages are based on Samba 3.0alpha19 + any
    code commited after 3.0alpha19 was released.

 -- Eloy A. Paris <peloy@debian.org>  Sun, 25 Aug 2002 14:56:46 -0400

samba (2.999+3.0cvs20020723-1) unstable; urgency=medium

  * remove spurious line from samba.config
  * migrate from smbpasswd to tdbsam
  * re-add the pdbedit util and manpage
  * compile in ldapsam support (closes: #146935)
  * add PRIVATEDIR to the list of vars we override for the install
    target, so Samba doesn't try to create /etc/samba (closes: #153746).
  * fix makefile handling of LOGBASEDIR, so that logs always end up in
    the right place (closes: 153727).
  * Fixed bug in the FHS migration path that causes nmbd to read its
    state from one location, but write it out to another. (closes: #154210)
  * Make sure nmbd is always looking for wins.tdb in the same place.

 -- Steve Langasek <vorlon@debian.org>  Fri, 19 Jul 2002 21:38:54 -0500

samba (2.99.cvs.20020713-1) unstable; urgency=low

  * first attempt for 3.0pre.
  * only post a debconf note about moving logfiles if we're upgrading
    from a version that had the logfiles in the old location
    (closes: #152924).

 -- Steve Langasek <vorlon@debian.org>  Sat, 13 Jul 2002 12:54:25 -0500

samba (2.2.5-2) unstable; urgency=low

  * No longer ship make_printerdef, which is deprecated. (closes: #63059)
  * Clean up some empty directories from the samba package.
  * Add call to dh_installinit for winbind rc.x symlinks (closes: #151860).
  * Clean up per-package documentation lists, to reduce clutter
    (closes: #147638).
  * Make sure we don't ship pdbedit's man page since we are still using
    smbpasswd passwords. (closes: #152208)
  * move libnss_wins.so to libnss_wins.so.2, where glibc expects to find
    it (closes: #148586).
  * reorder postinst, so that installing samba-common from scratch loads
    the debconf answers properly (closes: #151985).
  * add lintian overrides for winbind, to eliminate some noise.
  * rename pam_smbpass changelog to comply with policy.

 -- Steve Langasek <vorlon@debian.org>  Sun, 23 Jun 2002 22:45:04 -0500

samba (2.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Eloy A. Paris <peloy@debian.org>  Sun,  9 Jun 2002 15:49:21 -0400

samba (2.2.4+2.2.5pre1-1) experimental; urgency=low

  * Getting ready for Samba 2.2.5.
  * Remove patches/parse_spoolss.patch, now included upstream.
  * Fixed thinko WRT POSIX ACL support, which we "half-enabled" in
    2.2.4-1. We don't use POSIX ACL support ourselves, so we'd
    appreciate reports from those using this feature so we can
    be sure this works.
  * Fix the filename-matching algorithm used for smbtar's 'exclude'
    functionality. (closes: #131571)
  * Look for secrets.tdb in /var/lib/samba, and handle in the postinst.
    This is not really a config file, because users don't edit it.
    (closes: #147429)
  * Doxygen fix for libsmbclient.h, thanks to Tommi Komulainen
    <Tommi.Komulainen@iki.fi> for the patch. (closes: #144847)

 -- Eloy A. Paris <peloy@debian.org>  Tue, 28 May 2002 11:33:51 -0400

samba (2.2.4-1) unstable; urgency=low

  * New upstream release (closes: #144713)
  * Building with POSIX ACL support (closes: #137819)
  * Include samples, exclude INSTALL from libpam-smbpass (closes: #145055)
  * Compile with --with-automount, for NIS homedir support (closes: #123396)
  * Add a proper 'flags' field to the mount entry we write to /etc/mtab;
    fixes a display bug with mount (closes: #140397)
  * Added logic to /etc/init.d/samba so a help message is printed out
    when Samba is running from inetd _and_ we are not booting, i.e. the
    user called the init script manually. Thanks to Francesco
    Potorti <pot@gnu.org> for the suggestion on how to implement this.
    (Closes: #139807, #140204)
  * samba.postinst: added logic so we don't call /etc/init.d/samba if
    we are running from inetd (this prevents the stupid help message
    to be printed during package upgrades if we are running from inetd.)
  * samba.prerm: idem.
  * /etc/init.d/samba: delete stale PID files after nmbd and smbd are
    stopped. This prevents start-stop-daemon from printing an ugly
    error message when called from '/etc/init.d/samba stop'. I prefer
    this than running start-stop-daemon with --oknodo because
    start-stop-daemon might print other important error messages that with
    --oknodo it would otherwise not print. (Closes: #102187, #109301)
  * Patch from jerry@samba.org to fix parsing of spoolss structures.

 -- Eloy A. Paris <peloy@debian.org>  Thu, 23 May 2002 23:16:52 -0400

samba (2.2.3a-7) unstable; urgency=medium

  * More README.debian updates.
  * Neutralize the smb.conf 'lock dir' directive, which doesn't mean
    what the FHS says it should, and causes us no end of grief.
    (Closes: #122299)
  * LPRng-handling patch so that jobs printed to recent versions of
    LPRng show up properly as 'done' instead of 'paused' in the Windows
    print queue.  Thanks to Jaroslav Serdula <serdula_jaroslav@vse.sk>
    for this patch. (Closes: #139458)
  * Applied patch from Urban Widmark <urban@teststation.com>
    (smbfs upstream maintainer) to add a '-n' option to smbmount
    that does the same as mount's '-n'. (Closes: #139590)
  * Minor tweak to unpatch-source so we unpatch sources in the
    reverse order we patched them.
  * Don't depend on grep in samba.prerm to determine if Samba was
    running before the upgrade starts.
  * Tweak the wording of debconf templates.
  * Incorporate debconf translations for French, Spanish and Portuguese;
    thanks to Carlos Valdivia Yagüe <valyag@hotpop.com> (es),
    Andre Luis Lopes <andrelop@ig.com.br> (pt_BR), and Philippe
    Batailler and Denis Barbier <barbier@debian.org> (fr).
    (closes: #142657, #142659, #141551, #141699, #141682)
  * Fixed symlinks in the swat package so the point to /usr/share/doc/
    instead of /usr/doc/. Added note to the description of the
    swat packages that says that samba-doc must be installed for
    the on-line documentation to work. Thanks to Torne Wuff
    <torne@wolfpuppy.org.uk>. (Closes: #95437)
  * 'dh_installinit -n' gives us no initscript handling -- we need to
    handle all starting and stopping of daemons ourselves, which wasn't
    happening in the {pre,post}rm scripts.
  * Vary the priority of the debconf question "Do you want to generate
    /etc/samba/smbpassd?" depending on whether the file already exists.
    File exists -> priority 'medium', file does not exist -> priority
    'low'. Changed priorities of all other questions from 'high' to 'medium'.

 -- Steve Langasek <vorlon@debian.org>  Sat, 20 Apr 2002 17:48:27 -0400

samba (2.2.3a-6) unstable; urgency=low

  * Call db_stop as soon as we're done with debconf in the postinst, to
    avoid hanging bugs (closes: #137813)
  * Ony call 'update-inetd --add' on first installation, just as we only
    call 'update-inetd --remove' on package purge.
  * Bring our shipped smb.conf closer in line with the upstream
    defaults: don't twiddle the send/recv buffer sizes, since the Linux
    kernel already provides a much better default setting
     (closes: #80966, #80934, #137415, #133477)
  * Added libnss_wins.so to the winbind package (closes: #137201)
  * Updates to README.debian.

 -- Eloy A. Paris <peloy@debian.org>  Tue, 12 Mar 2002 10:57:40 -0500

samba (2.2.3a-5) unstable; urgency=low

  * Having multiple workgroup lines in your smb.conf, though wacky, is
    perfectly valid.  Account for this in samba-common.config.
    (closes: #137157)

 -- Steve Langasek <vorlon@debian.org>  Sun, 10 Mar 2002 21:52:51 -0600

samba (2.2.3a-4) unstable; urgency=low

  * Fixed typo in samba.postinst. Cosmetic fixes there as well.
  * Fix to improper usage of /usr/bin/tr in samba-common config script
    (closes: #137744)

 -- Steve Langasek <vorlon@debian.org>  Sat,  9 Mar 2002 14:14:02 -0500

samba (2.2.3a-3) unstable; urgency=medium

  * Make sure /etc/init.d/samba is executable before calling it
    in the postinst. Quickly checked all other maintainer scripts
    to make sure we are not calling an init script if it is not
    executable. (closes: #137321)
  * Fix up maintainer scripts to detect if samba was not running before
    an upgrade. (closes: #33520, #130534)
  * Make sure /etc/samba/ is included in the samba-common package.
    Closes: #137157

 -- Steve Langasek <vorlon@debian.org>  Fri,  8 Mar 2002 11:13:21 -0500

samba (2.2.3a-2) unstable; urgency=low

  * merge in debconf support:
    - Moved all smb.conf-related questions to samba-common (smb.conf
      is part of the samba-common package, not the samba package.)
    - smb.conf is not a samba-common conffile anymore since it is
      being managed by debconf. It is ABSOLUTELY necessary to make
      sure /etc/samba/smb.conf _NEVER_ gets overwritten by changes
      made via debconf. In other words, any changes made by the user
      should be honored by the debconf interface.
    - samba.postinst now moves old log files from /var/log/ to
      /var/log/samba/. There's a Debconf note that informs the user
      the log files are stored now in a new location.
    - debian/control:
      + Make samba depend on debconf.
    - New file debian/samba.templates.
    - New file debian/samba.config.
    - Re-worked debian/samba.postinst.
      + Got rid of all /etc/samba/debian_config sillyness.
    - remove /usr/sbin/sambaconfig; "dpkg-reconfigure samba" replaces
      it.
    - Removed debian/samba.prerm.
    - Cleaned up /etc/init.d/samba.
      + Added infrastructure for debconf.
      + Got rid of all /etc/samba/debian_config sillyness.
      + Got rid of /etc/samba/smbpasswd conversion stuff for
        compatibility with versions of Samba < 2.0.0final-2.
    (closes: #127959, #34408, #113594)
  * make samba.postinst ignore the absence of /var/log/{s,n}mb*;
    makes for a clean upgrade path.
  * Building with MSDFS support (closes: #116793)

 -- Steve Langasek <vorlon@debian.org>  Tue,  5 Mar 2002 14:14:33 -0600

samba (2.2.3a-1) unstable; urgency=low

  * New upstream version (closes: #135001)
  * Potato builds were failing because debian/rules was not creating
    debian/winbind/etc/logrotate.d/. A user having problems creating
    Potato packages brought this to my attention. dh_installlogrotate
    takes care of creating the directory for us, that's why we didn't
    notice.
  * Removed code that converts /etc/samba/smbpasswd from an ancient
    format to the new format of Samba 2.0.0 and later.
    Closes: #134375 - samba: postinst failed due to missing
            /usr/bin/convert_smbpasswd.
  * Re-organized FHS migration code in samba.postinst. Make sure we
    don't fail when we move files that don't exist.
    Closes: #133813 - samba: Install failed.
  * Adding docs. to the libpam-smbpass package.
  * Remove man pages for findsmb because we are not providing this
    script.
    Closes: #134181 - findsmb referenced, but not included.
  * Removed replace.patch because it is now present upstream.
  * Added patch from Jerry Carter to fix a problem when saving
    document preferences for printing from NT clients.
  * The real winbindd daemon is a forked process so we can't use
    --make-pidfile when calling start-stop-daemon. Fixed
    /etc/init.d/winbind to work around the issue. Thanks to
    Lin Li <linl@xandros.com> for the patience and for reporting
    the problems. Hopefully I got it right this time.

 -- Eloy A. Paris <peloy@debian.org>  Wed, 20 Feb 2002 18:39:03 -0500

samba (2.2.3-6) unstable; urgency=low

  * Make sure there are actual files in /var/state/samba before trying
    to move them (Closes: #133534, #133510).
  * Fix up the 2.2.3 makefile so that pam_smbpass builds correctly
    again.

 -- Steve Langasek <vorlon@debian.org>  Tue, 12 Feb 2002 09:19:29 -0600

samba (2.2.3-5) unstable; urgency=low

  * Whoops, missed a spot on the samba.postinst -- will fail badly if
    /var/state/samba/ no longer exists.  Better get this fix into the
    next upload. ;) (Closes: #133088)
  * Regenerate configure only if it is older than configure.in.
  * Fix smbd handling of network neighborhood lists, which was missed
    in the FHS conversion (Closes: #133091)

 -- Eloy A. Paris <peloy@debian.org>  Sat,  9 Feb 2002 16:37:57 -0500

samba (2.2.3-4) unstable; urgency=low

  * FHS cleanup; files in /var are now properly sorted according to
    their nature. (Closes: #102101)
  * Remove patches to source/configure, since we now call autoconf to
    regenerate this file cleanly.
  * lintian fixes:
      - Create winbind.conffiles and add /etc/logrotate.d/winbind and
        /etc/init.d/winbind to it.
      - Use a relative symlink for /usr/lib/cups/backend/smb.
      - Removal of a .cvsignore file in the samba-doc package.
  * winbind.init fixes:
      - Corrected name of the pid file (Steve)
      - Make start-stop-daemon create a pid file for winbindd since it
        does not create one on his own.
  * #DEBHELPER# is not needed in samba.postinst because we are adding
    manually everything that debhelper adds automatically. In fact,
    since we are calling update-rc.d without standard paramaters I
    think we can't use #DEBHELPER#.
  * Fix fatal syntax error in samba.prerm.

 -- Steve Langasek <vorlon@debian.org>  Thu,  7 Feb 2002 13:12:08 -0500

samba (2.2.3-3) unstable; urgency=low

  * work on lintian-cleanness in the package (wrong permissions,
    maintainer scripts in need of debhelpering)
  * /lib/security/pam_smbpass.so is now being included in the
    libpam-smbpass package only, and not in both the libpam-smbpass and
    samba packages (which was the case prior to 2.2.3-3.)
  * Instead of making our patch scripts executable in the rules file
    we run them through /bin/sh.
  * New 'winbind' package that has all the winbind stuff that was in the
    samba package in 2.2.3-2 and before.
  * Added replace.patch: patch from Jeremy Allison to fix problems when
    replacing or overwriting files in a Samba share. Patch was sent to
    the samba mailing list.

 -- Eloy A. Paris <peloy@debian.org>  Tue,  5 Feb 2002 21:12:48 -0500

samba (2.2.3-2) unstable; urgency=low

  * add support to debian/scripts/{patch-source,unpatch-source} for
    automatic updating and cleaning of <version.h>. This was a request
    from the Samba Team: they wanted us to clearly mark our packages
    so it is always known a user is running Samba with (possibly)
    Debian-specific patches.
  * Change init.d killscript link to K19samba, so we stop before autofs
    (closes: 117327)
  * Make our patch scripts executable in the rules file -- dpkg won't do
    this for us (closes: #132415).

 -- Steve Langasek <vorlon@debian.org>  Mon,  4 Feb 2002 09:51:00 -0600

samba (2.2.3-1) unstable; urgency=low

  * New upstream release (closes: #131228).
  * Restructured build system that provides DBS-like separation of
    patches
  * Fix typo in smbfs description (closes: #116209).
  * Use killall -q in logrotate.d script, to avoid spurious cron
    emails (closes: #130100).

 -- Steve Langasek <vorlon@debian.org>  Sat,  2 Feb 2002 19:56:18 -0500

samba (2.2.2-12) unstable; urgency=high

  * (Steve) Patch for source/client/client.c.
    Closes: #86438 smbclient: Transfering several GB causes the average
            speed to be messed up.
  * Uploading with urgency=high to expedite the move from unstable
    to testing because of the security problem fixed in -11.

 -- Eloy A. Paris <peloy@debian.org>  Fri, 25 Jan 2002 22:31:12 -0500

samba (2.2.2-11) unstable; urgency=low

  * Building with --with-libsmbclient. We have created two new
    packages: libsmbclient and libsmbclient-dev. Hopefully this
    will help some people that want to add the capability of
    speaking SMB to their applications.
    Closes: #117132 - libsmbclient support library?
  * (Steve) Make swat do the right thing when reading (parsing)
    the saved preferences in smb.conf.
    Closes: #55617 swat mutilates the linpopup message command.
  * Updated README.Debian. Updated descriptions in debian/control.
  * Remembered to bump up version number in source/include/version.h
    (need to automate this or else I'll keep forgetting.)
  * (Steve) one liner for source/web/diagnose.c.
    Closes: #106976 - smbd/nmbd not running message with swat/linuxconf.
  * Added '|| true' to the post-rotate script so logrotate doesn't
    fail if either nmbd or smbd is not running.
    Closes: #127897 - /etc/logrotate.d/samba fails if there is no smbd process.
  * Fixed incorrect file locations in swat's man page and added a
    Debian-specific note to /usr/share/doc/swat/README.
    Closes: #71586 swat: needs documentation fixes for debian.
  * smbmount in the smbfs package does not have the setuid bit set.
    Apparently, smbmount uses libsmb without checking the environment.
    Thanks to Christian Jaeger <christian.jaeger@sl.ethz.ch> for
    finding the local root exploit.
  * Applied old patch from Jerry) Carter" <jerry@samba.org> to correct
    the following two problems in Samba 2.2.2:
    - %U and %G could not be used in services names
      in smb.conf.
    - %G would fail to be expanded in an "include = ..."
      line.

 -- Eloy A. Paris <peloy@debian.org>  Sat, 19 Jan 2002 21:35:26 -0500

samba (2.2.2-10) unstable; urgency=low

  * (Steve) Add missing manual pages.
    Closes: Bug#128928: missing manpages in smbfs.

 -- Eloy A. Paris <peloy@debian.org>  Sun, 13 Jan 2002 14:39:55 -0500

samba (2.2.2-9) unstable; urgency=low

  * (Steve) Fix broken URL's in HTML docs.
    Closes: Bug#17741: bad links in html docs (at last!!!)

 -- Eloy A. Paris <peloy@debian.org>  Fri, 11 Jan 2002 13:37:07 -0500

samba (2.2.2-8) unstable; urgency=low

  * Added "Replaces: samba (<= 2.2.2-5)" to the smbclient section in
    debian/control so rpcclient.1, which was in samba-2.2.2-5, does not
    cause problems now that it is part of smbclient (>= 2.2.2-6).  Closes:
    Closes: Bug#128684: error upgrading smbclient in sid.

 -- Eloy A. Paris <peloy@debian.org>  Fri, 11 Jan 2002 11:42:40 -0500

samba (2.2.2-7) unstable; urgency=low

  * (Steve) Patch to make behavior honor what the docs. say about "hosts allow"
    taking precedence over "hosts deny".
    Closes: Bug#49249: swat: error with host deny ?!

 -- Eloy A. Paris <peloy@debian.org>  Thu, 10 Jan 2002 12:36:58 -0500

samba (2.2.2-6) unstable; urgency=low

  * (Steve) Adds manpage for rpcclient to the proper file,
    removes smbtorture from the distro because this tool isn't intended for
    widespread consumption.
    Closes: #63057 - no manual page for smbtorture.
  * (Steve) Removed -gnu from the configure arguments (--build, --host) in
    debian/rules so config.sub is able to properly create the host and target
    tuples.

 -- Eloy A. Paris <peloy@debian.org>  Wed,  9 Jan 2002 14:39:51 -0500

samba (2.2.2-5) unstable; urgency=low

  * Fixes from vorlon:
  * Use /usr/bin/pager instead of more.
    Closes: #125603: smbclient violates pager policy.
  * Make /etc/logrotate.d/samba a conffile, send smbd and nmbd
    a SIGHUP to have the log files reopened, fixes to
    /etc/logrotate.d/samba.
    Closes: #127897: log file rotation.
    Closes: #118277: /etc/logrotate.d/samba not listed in conffiles.
  * s/covert/convert/.
    Closes: #121653 probable typo in install message.

 -- Eloy A. Paris <peloy@debian.org>  Sun,  6 Jan 2002 03:14:58 -0500

samba (2.2.2-4) unstable; urgency=low

  * Applied patch from Steve to work around problem in glibc that affects the
    HPPA architecure. The patch detects the error condition at configure time
    and compiles without LFS support if necessary.
    Closes: Bug#126763: samba completely broken on hppa.
  * Including unicode_map.1251.
    Closes: Bug#126719: samba-common: unicode_map.1251 missing.
  * Updated smbd daemon version to match Debian package version.
    Closes: Bug#127199: Package version and smbd daemon version don't match.

 -- Eloy A. Paris <peloy@debian.org>  Mon, 31 Dec 2001 14:32:47 -0500

samba (2.2.2-3) unstable; urgency=low

  * Added some spaces in package description in debian/control.
    Closes: #120730 - missing spaces in package description for nice
            alignment.
  * Spelling fixes.
    Closes: #125328, #125329, #125330, #125367, #125365, #125403.
  * Steve Langasek <vorlon@debian.org> is the co-maintainer of the Debian
    Samba packages!!! Added him to the uploaders field in debian/control.

 -- Eloy A. Paris <peloy@debian.org>  Tue, 18 Dec 2001 00:54:25 -0500

samba (2.2.2-2) unstable; urgency=low

  * Backed out changes to source/filename.c per Andrew Tridgell's request.
    This changes were introduced in 2.2.1a-7 as an attempt to fix #47493.
    Tridge found out that they break smbd.
